Installing LANSA on Windows

Installing LANSA on Windows Guide

· About this Guide

· Planning a New Installation

· Before You Start Your Install

· Install or Upgrade?

· Installation Checklists

· Install LANSA on Windows

· Upgrade LANSA on Windows

· Modify or Repair LANSA on Windows

· Uninstall LANSA on Windows

· LANSA Windows License

· LANSA for the Web Configuration and Set up on Windows

· LANSA Integrator Configuration and Set up on Windows

· LANSA Open Configuration and Set up on Windows

· Other Configuration and Set up on Windows

· Troubleshooting

· Appendix A. Summary of Installed Objects

· Appendix B. LANSA for the Web Multi-tier Configuration

· Appendix C. What is LANSA?

· LANSA Glossary in the Documentation Roadmap.

Edition Date November 21, 2012

© LANSA

Contents

About this Guide

Who should use this Guide

How to use this Guide

Additional Information

1. Planning a New Installation

1.1 LANSA Software Components

1.1.1 LANSA System Definitions

1.1.2 LANSA Repository Data

1.2 LANSA Development Models

1.2.1 Independent Visual LANSA Systems

1.2.2 Local and Network (thin) Clients

1.2.3 Master and Slave Systems

1.2.4 Synchronizing Master and Slave Systems

1.2.5 LANSA for the Web Development Models

1.3 LANSA for the Web Deployment Models

1.3.1 Considerations for the Windows Multi-Tier Deployment Model

1.3.2 Considerations for the Mixed Multi-Tier Deployment Model

1.3.3 Multi-Homing with LANSA for the Web

1.4 Deployment Systems

1.5 IBM i Software Components

1.6 Windows Software Components

1.7 LANSA Integrator Development/Deployment Components

1.7.1 Studio

1.7.2 JSM Server

1.7.3 JSM Proxy

1.7.4 RFI

1.7.5 User Agent

1.7.6 Install LANSA Integrator on Windows

2. Before You Start Your Install/Upgrade

2.1 Install or Upgrade?

2.2 Visual LANSA General Checklist

2.2.1 Checklist for Visual LANSA Independent/Slave

2.2.2 Visual LANSA Client Only - Network and Local Checklist

2.2.3 LANSA for the Web on Windows General Checklist

2.2.4 LANSA for the Web - Web Server Checklist

2.2.5 LANSA Open Checklist

2.2.6 Individual Install Checklist

2.2.7 Install Steps for LANSA for the Web in a Multi-Tier Configuration

2.3 Frequently Asked Questions

2.3.1 General Questions

2.3.2 Visual LANSA Questions

2.3.3 LANSA for the Web on Windows Questions

2.3.4 LANSA Integrator Questions

2.3.5 LANSA Open Questions

2.4 Microsoft IIS and the IIS Plug-in

3. Install LANSA on Windows

3.1 Choose Install/Upgrade or Repair

3.2 Select Features

3.3 Select the Visual LANSA System Type

3.3.1 IBM i Slave

3.3.2 Independent Visual LANSA System

3.3.3 Client to a Slave Database Server

3.3.4 Client to an Independent Database Server

3.4 Specify Options

3.4.1 Windows Start Menu Folder

3.4.2 Configure IIS

3.4.3 LANSA Network Name

3.4.4 Database

3.4.5 Data Source Options

3.4.6 Initialize Database and Partitions

3.4.7 Connection Information to Master

3.4.8 IBM i Language Options

3.4.9 Local Data Directory

3.4.10 Compiler

3.4.11 Listener Service Options

3.4.12 User Id for Visual LANSA Web Configuration

3.4.13 User Id for Web Server Configuration

3.4.14 Websites for IIS Plugin

3.4.15 Website for Web Images

3.4.16 IIS Virtual Folder

3.4.17 JSM Administrator Service

3.4.18 User Id for JSMDirect Configuration

3.4.19 LANSA Open Translation Tables

3.4.20 Network Client Server Details

3.5 One-Click Install

3.6 Task: Install Other Features

4. Upgrade LANSA on Windows

4.1 BEFORE you Upgrade LANSA

4.2 Start the Upgrade

4.3 Options and Summary

5. Modify or Repair an existing install

5.1 Select the features to be upgraded

5.2 Upgrade Visual LANSA & SQL Database

6. Uninstall LANSA on Windows

6.1 Files that are not removed

7. LANSA Windows License

8. LANSA for the Web Single-tier Communication Setup

8.1 Before You Begin Checklist

8.2 Task: Web-enable the Partition

8.3 Task: Communications Link to Data/Application Server

8.3.1 Configure LANSA Listener on Windows Data/Application Server

8.3.2 Set up Users on Windows Data/Application Server

8.4 Task: Configure Data/Application Server

8.4.1 Before You Begin Checklist

8.4.2 Step 1. Start the LANSA for the Web Administrator with Windows Data/Application Server

8.4.3 Step 2. Windows User Registration

8.4.4 Step 3. Test the LANSA for the Web Function Editor and Windows Partition Set Up

8.5 Task: Configure IIS Plug-in Communications with Data/Application Server

8.5.1 Before You Begin

8.5.2 Step 1. Start the LANSA for the Web Administrator

8.5.3 Step 2. Define Connection to Data/Application Server

8.5.4 Step 3. Select Web Server Behavior

8.5.5 Step 4. Specify Data/Application Server Connection

8.5.6 Step 5. Restart IIS and Verify the Web Server is ready to use

8.6 Task: Test LANSA for the Web

8.7 Task: LANSA for the Web e-Business Framework Wizard

8.7.1 Wizard Security

8.8 Web on IBM i versus Windows: Platform Differences

9. LANSA Integrator Configuration and Set up on Windows

9.1 Task: Configure the Java Service Manager on Windows

9.2 Task: Test Java Service Manager on Windows

9.3 Task: Specify Default Server for JSM Client

10. LANSA Open Configuration and Set up on Windows

10.1 Task: Configure LANSA Open Communications

10.1.1 Before You Begin

10.1.2 Step 1. Execute the LANSA Open Configurator

10.1.3 Step 2. Prepare LANSA for iSeries Server

10.2 Summary of LANSA Open Installed Objects

10.3 Configuration File

10.3.1 Communication and Session Parameters

10.3.2 Directories

10.3.3 Format Parameters

10.3.4 Regional Parameters

11. Other Configuration and Set up on Windows

11.1 Task: Setting Up & Updating System Definitions

11.1.1 Setting up LANSA System Definitions

11.1.2 System Initialization

11.1.3 Partition Initialization

11.1.4 PLUGIN

11.1.5 Backing up Your Local Repository

11.1.6 REFRESH

11.1.7 Rebuilding Definition Files

11.2 Task: Transferring Fields, Files, Processes and Functions

11.2.1 How to Export from the IBM i

11.2.2 How to Import to the Workstation

11.3 Task: Test Visual LANSA

11.3.1 Before You Begin Checklist

11.3.2 Step 1. Create a Visual LANSA Process

11.3.3 Step 2. Create a Visual LANSA Function using a Template

11.3.4 Step 3. Compile Visual LANSA Test Process

11.3.5 Step 4. Execute Visual LANSA Test Process

11.3.6 Testing using the DEM Partition

11.3.7 Personnel System Demonstration Files

11.4 Visual LANSA - What's Next?

11.5 LANSA for the Web - What's Next?

11.6 LANSA Integrator - What's Next?

11.7 LANSA Open - What's Next?

11.8 Multiple Install - What's Next?

11.9 Upgrade - What's Next?

12. Troubleshooting

12.1 General Windows Troubleshooting

Cannot execute install programs

Reporting Install/Upgrade Errors to LANSA Support

Security Warning dialog appear when starting an install/upgrade

LANSA Communication Administration and LANSA Configurations

12.2 Visual LANSA Troubleshooting

Import failed during system initialization

Communications failure when connecting to IBM i Master during system initialization

12.3 LANSA for the Web Troubleshooting

LANSA for the Web Troubleshooting Checklist

LANSA for the Web Administrator & Function Editor

Executing LANSA for the Web Applications

12.4 LANSA Integrator Troubleshooting

Appendix A. Summary of Installed Objects

Appendix B. LANSA for the Web Multi-tier Communication Setup

Task: Multi-tier - Configure Administrator Communications Link to Data/Application Server

Step 1. Start the LANSA Communications Administrator on the PC

Step 2. Add a New Host Route

Step 3. Verify Listener is Active on the Data/Application Server

Step 4. Start the Administrator

Multilingual Considerations

Identify IP Address of Data/Application Server

Appendix C. What is LANSA?

What is LANSA for iSeries?

What is Visual LANSA?

What is Visual LANSA Framework?

What is LANSA for the Web?

What is the e-Business Framework Wizard?

Web Application Modules (WAMs)

What is Commerce Edition?

What is the LANSA Integrator?

LANSA Composer

What is LANSA Open?

What are the Open System Utilities for IBM i?

What is LANSA Client?

TOC \n \h \z \t "Heading 2,1,Heading 3,2,Heading 4,3"


About this Guide

The information in this guide is specific to the LANSA Version 12 software. It cannot be used with earlier versions. If you are installing an earlier version, please be sure to use the related version's guides and installation media.

Before you begin to use this guide, you may wish to review the following:

Who Should Use This Guide

How To Use This Guide

Additional Information

For the latest product information and updates, please refer to the technical information section of the LANSA Web site at www.lansa.com/support.

In this guide, the term "Windows" refers to Windows XP and Vista.


Who should use this Guide

This guide has been written for Windows system administrators or developers who are responsible for installing and maintaining the LANSA development and execution environments.

This guide describes the installation of LANSA software and their components on a Microsoft Windows platform.

During the installation, you may install:

· Visual LANSA which could include Visual LANSA Framework

· LANSA for the Web and its associated Web Editor and Web Administrator

· LANSA Integrator

· LANSA Open

It is assumed that the installer has some knowledge of the Windows operating system.


How to use this Guide

This guide has been designed for online access. Information has been cross-referenced to help you understand how the installation parameters relate from one step to the next. If you are using a printed version of this guide, you will not have access to the hyperlinks. It is strongly recommended that you have access to the online version of this guide during the installation.

This guide contains detailed instructions for the installation and upgrade of LANSA software products on the Windows platform.

If this is your first time installing a LANSA system, or if you are unfamiliar with the different installation models for each product, we recommend you review Planning a new Installation which provides a high-level roadmap of the LANSA software installation on Windows, which includes common development and deployment scenarios and a summary of associated tasks.

If you are not familiar with the LANSA family of products, review What is LANSA? for a description of each product in the LANSA family of software products.

You should review Before You Install/Upgrade and also the Visual LANSA Requirements Checklist before you begin the software installation or upgrade. This section also includes frequently asked questions, which you may find helpful.

The remainder of the guide is divided into specific product installation tasks.

If you encounter any problems during the installation, review Troubleshooting.

You will require the Installing LANSA on IBM i Guide in order to complete the installation or upgrade of any LANSA products on IBM i. For example, to use LANSA Open with the IBM i, the server configuration and set up instructions are located in this guide.


Additional Information

Before you contact your local vendor for technical support, please review Troubleshooting.

For more details about installing, configuring or troubleshooting LANSA software, you can refer to these guides:

· Installing LANSA on IBM i

· Visual LANSA Administrator's Guide

· LANSA Communications Set Up Guide

· LANSA for the Web Guide

· LANSA for the Web Housekeeping Guide

· LANSA Integrator Guide

· LANSA Open Guide

For the latest product information, refer to the LANSA product Web site at www.lansa.com/support.

Your feedback will help us improve the overall quality of the LANSA documentation and training. Please email your comments to lansatraining@LANSA.com.au.

You will require the Installing LANSA on IBM i Guide in order to complete any server configuration tasks involving LANSA for iSeries.


1. Planning a New Installation

LANSA is a family of multi-platform application development tools. This section defines each of the software components that can be installed.

Because LANSA supports multiple platforms, the software can be configured to use development environments on IBM i and Windows.

Web development and Web deployment models may also be multi-tier using both IBM i and Windows.

It is important to be clear about the software components and where they are required. They are described in:

· LANSA Software Components

The various models for development and deployment are described in:

· LANSA Development Models

· LANSA for the Web Deployment Models

· LANSA Integrator Development/Deployment Components

Basically, LANSA Systems can be classified as:

· Independent Visual LANSA Systems and Master and Slave Systems

· Deployment Systems, which are remote systems, for example Linux, that receive objects from a Visual LANSA development system.

If you are using a master and slave system, it is important that you understand the task of Synchronizing Master and Slave Systems.

A LANSA System is defined as a group of LANSA Software Components that share a common LANSA System Definition. A single system may contain many different products. For example, a single LANSA System could be a development environment using LANSA for iSeries on an IBM i server with LANSA for the Web on a Windows server and many Slave Visual LANSA Systems on developer PCs. A LANSA for iSeries System running a different LANSA version would be a separate LANSA System because it uses a different LANSA System Definition (e.g. System Definitions for that version).


1.1 LANSA Software Components

The LANSA Software Components are the LANSA program objects that are installed on a platform. These are the programs that LANSA uses to support both the development environment and the application execution environment.

Each LANSA product has its own set of software components and may also share its software components with other LANSA products.

For example, LANSA for the Web requires the LANSA for iSeries or Visual LANSA software components to be installed.

As LANSA supports an n-tier architecture, all LANSA Software Components do not have to be installed on the same machine or platform. For example, the LANSA for the Web's Web Server Components may be installed on a different machine (Web Server) than the Visual LANSA Software Components (Data/Application Server).

Also see

LANSA System Definitions

LANSA Repository Data

Ý Planning a New Installation


1.1.1 LANSA System Definitions

The LANSA System Definition Data is the LANSA system-specific data used by LANSA software to define and support the development environment. The LANSA System Definition Data includes the following types of information:

· RDML Command Definitions

· System Message Files

· Application Templates

· Built-In Functions

· System Definition Characteristics (system owners, user authorities, machine date formats, etc.)

· Task Lists

· Enrolled Users

· Enrolled PCs.

A LANSA System Definition is primarily identified by its version number. Parts of the System Definition Data can be customized to create a specific development environment.

Ý LANSA Software Components


1.1.2 LANSA Repository Data

The LANSA Repository data is the application-specific data entered by a developer using the LANSA Software. The developer builds a repository for their business application. The LANSA Repository includes the following types of objects:

· Fields

· Files

· Processes

· Functions

· System variables

· HTML pages

· Web Components

· Forms

· Reusable parts, etc.

For example, in the Personnel System Demonstration, the PSLMST file and the EMPNO field are data in the LANSA Repository.

Ý LANSA Software Components


1.2 LANSA Development Models

Following are some considerations for choosing one or other of the different development models available with LANSA on Windows. For a pictorial overview of these models, refer to Select the Visual LANSA System Type in the install LANSA on Windows steps.

For details, review:

Independent Visual LANSA Systems

Local and Network (thin) Clients

Master and Slave Systems

Synchronizing Master and Slave Systems

LANSA for the Web Development Models


1.2.1 Independent Visual LANSA Systems

A Visual LANSA System can be described as Independent if there are no other LANSA development systems that depend on the system, that is, it has no slaves and it is not part of a distributed development model. There is just one LANSA Repository and it is considered as the master Repository.

For example, an Independent Visual LANSA System is a single user LANSA development environment. It maintains its own LANSA System Definition Data. The LANSA Repository data is not shared with any other LANSA Systems.

An Independent Visual LANSA Workstation can also become a server in a multi-user development environment with one or more Local and Network (thin) Clients linked to it. This allows the Repository data to be used by more than one developer, but there is only one Repository.

The Deployment Tool is used to move or export your LANSA applications developed on an Independent System.

Ý LANSA Development Models


1.2.2 Local and Network (thin) Clients

If you are installing thin clients, note that there are two types. Both store only a limited number of files, but the difference is in the location of the database and the resulting difference in processing speed. Clients may be attached to an Independent Visual LANSA system or a Visual LANSA system in a multi-tier configuration.

A Network Client is a thin client that has only shortcuts installed. This means that all Repository and LANSA processes are accessed from the Windows Server. Because the network client obtains all files from the Windows Server, processing is slower than with a Local Client. With this client type, however, when any LANSA upgrades are made to the Windows Server, they are automatically also made to the Network Client. To install a Network Client, in the installation process, select the Setup Type: Shortcuts to run Visual LANSA install on another workstation.

A Local Client has a full LANSA system installed except for the Repository which is accessed on the Windows Server. To install a Local Client in the installation process you choose, as the Setup Type: Typical or Custom Visual LANSA development environment and then, as the System Type, select Client to a Slave Database Server (master is on an IBM i) or Client to an Independent Database Server (master is on a Windows workstation), as appropriate. If any LANSA upgrades are needed, they must be made to each Local Client.

Ý LANSA Development Models


1.2.3 Master and Slave Systems

Master LANSA System

A Master LANSA System is identified by its ability to maintain its LANSA System Definition Data. Master LANSA Systems are independent. The Master System Definition Data is loaded when a system is installed or upgraded. LANSA Repository data can be imported from another LANSA System. (A Master LANSA System does not use a host monitor.)

If you use LANSA for iSeries on an IBM i it is always a Master System. Each LANSA for iSeries System may have a Slave Visual LANSA System.

A Visual LANSA System on Windows can be a Master System but it does not have any Slave Systems. It can have Clients, which can use the Repository data for development. Refer to Independent Visual LANSA Systems for more details.

Slave LANSA System

A Slave LANSA System is not able to maintain the LANSA System Definition Data. It receives its system definition from a Master LANSA System. It is dependent upon the Master LANSA System. The System Definitions must be updated on the Slave system whenever a change is made to the Master System.

A Slave LANSA System shares Repository data with the Master System. The Slave System may use a host monitor to check-in and check-out Repository data from the Master LANSA System. For more details about the host monitor, refer to Host Monitor in the Administrator's Guide.)

A Visual LANSA System can be a slave to only a LANSA for IBM i Master System. It cannot be a slave to another Visual LANSA System.

You may have multiple Slave Visual LANSA systems accessing the LANSA Repository on a single IBM i.

Developing with Master and Slave Systems

When developing LANSA applications with Master and Slave Systems, there can be only one Master LANSA Repository. The Master LANSA Repository typically resides on the IBM i with the Master LANSA for iSeries System.

The Visual LANSA Slave system also has a local or Slave LANSA Repository. The Slave Visual LANSA Repository contains copies of the objects from the Master Repository that are in the process of being developed or maintained using Visual LANSA. Visual LANSA uses a database management system on the workstation to store the local LANSA Repository.

Two types of information are stored in the LANSA Repositories:

· LANSA system definitions

· LANSA application definitions.

It is very important to keep the LANSA system definitions and LANSA application definitions synchronized. LANSA provides a number of facilities to assist in this task. Refer to Synchronizing Master and Slave Systems.

Ý LANSA Development Models

Master and Slave System Configurations

Visual LANSA uses a database management system to store the local or Slave LANSA Repository. This section defines the supported database configurations for developing with the Master and Slave systems.

Supported Configurations

A separate Visual LANSA database must be used for each LANSA system on the IBM i. The database may be a workstation (single user) or a server (multi-user) database. Just one Visual LANSA database should be used for one LANSA Repository on the IBM i.

In the above configuration, a workstation or server with one Visual LANSA Repository is used to store information from one LANSA for iSeries system. More than one Slave System can store information from the same LANSA system, but there will be a separate local Visual LANSA Repository on each workstation for each LANSA system.

In the above configuration, a workstation or server database with two or more Visual LANSA Repositories is used to store information from different LANSA for iSeries systems. The LANSA systems may reside on one IBM i or on different IBM i servers.

Prohibited Configurations

The following Master and Slave Repository configurations will cause problems and are therefore not supported:

A single Visual LANSA database must not be used to store information from more than one LANSA system on the IBM i. It does not matter whether the LANSA systems reside on one IBM i or on different IBM i. You must use multiple Visual LANSA Systems so that each system is separate.

Multiple Visual LANSA databases on the same stand-alone workstation or server must not be used to store information from a single IBM i LANSA system. This is especially relevant when there is more than one Visual LANSA developer. A team of developers should share one database.

Ý LANSA Development Models


1.2.4 Synchronizing Master and Slave Systems

When developing applications using Master and Slave LANSA Systems, you must keep both the LANSA System Definitions and the LANSA Application Definitions synchronized.

Synchronizing System Definitions

The system definitions of the local and master Repositories are set up using two automated procedures:

· To populate each local Repository for the first time and to periodically update the definitions, you will use the automated System Initialization and Partition Initialization facilities. These facilities are described in Setting Up and Updating System Definitions.

Synchronizing Application Definitions

Application definitions are transferred between your Master and Slave using one of the following:

· Visual LANSA Check In/Check Out facilities, which are described in Host Monitor in the Visual LANSA Administrators Guide.

· LANSA for iSeries Housekeeping Export facility and the Visual LANSA Import facility, which are described in Transferring Fields, Files, Processes and Functions.

· LANSA for iSeries Repository Synchronization facility, which is described in LANSA PC Development in the LANSA for iSeries User Guide.

Ý LANSA Development Models


1.2.5 LANSA for the Web Development Models

For developing LANSA for the Web applications, you will need:

· A Data/Application Server, which can be a Windows or an IBM i server. The Data/Application Server is where your LANSA Repository resides and where the LANSA application runs.

· A Web Server, which can be a Windows or an IBM i server. The Web Server can be the same IBM i as your Data/Application Server, i.e. you can use single IBM i for both the Web Server and Data/Application Server.

· A Windows PC connected to the IBM i server to run the Web Administrator and Web Function Editor.

· A Windows PC with a supported browser to test your applications.

Your application development environment may be different from your intended deployment configuration.

A typical multi-tier Windows-based development environment might appear as follows:

Using the LANSA for the Web Development installation, it is also possible to use a single-tier, Windows-based development environment where both the Web Server and the Data/Application Server are installed on a single PC.

A typical Single-tier IBM i-based development environment might appear as follows:

Considerations for Web Development Environments

Following are some considerations for using LANSA for the Web with your LANSA development environment:

· LANSA supports the concept of logical partitions to separate your different environments in your LANSA system. For example, you might have partitions for development (DEV), testing (TST), training (TRN), production (PRD), etc.

· You do not have to use LANSA for the Web in all of your LANSA partitions.

· A LANSA for the Web application developed in a partition executes independently of applications in other partitions. The application partition is identified when the user executes the LANSA for the Web application. Refer to Uniform Resource Locator (URL) Syntax in the LANSA for the Web Guide.

· You must have both LANSA for iSeries and LANSA for the Web development licenses on the Data/Application Server in order to develop Web applications on the IBM i.

You must have both Visual LANSA and LANSA for the Web development licenses on the Data/Application Server in order to develop Web application on Windows.

Ý LANSA Development Models


LANSA for the Web Function Editor

The LANSA for the Web Function Editor allows developers to edit the LANSA HTML pages. The Editor is also used to create Web Components and define Graphic Variables. Note that you do not need the Function Editor for WAM development.

The LANSA for the Web Function Editor should be installed on each Web developer's PC if WebEvent development is used.

Ý LANSA Development Models


LANSA for the Web Administrator

The LANSA for the Web Administrator should be installed only on the System Administrator's PC. This is both for development and deployment systems.

Web Administrator is used to:

· Configure the IIS Plug-in, Servlet, Apache Module

· Configure the Web Runtime (Windows, iSeries, UNIX/Linux)

· Configure the IBM i Web Server

· Perform maintenance tasks on Web Runtime.

These are tasks that usually only a System Administrator will perform.

When using LANSA for the Web on IBM I, you will only need to install, as a separate process, the LANSA for the Web Administrator. This is described in Task: Install Other Features .

The LANSA for the Web Administrator can execute in a local mode for IIS Plug-in configuration on a Windows Web Server, or it can execute in a client/server mode to the Data/Application Server. In client/server mode, it requires a connection to the Data/Application Server. A TCP/IP connection using a listener program on the server is recommended for this.

Ý LANSA Development Models


1.3 LANSA for the Web Deployment Models

A deployment model will consist of a combination of two or more of the following components:

· A Data/Application Server, which can be a Windows or an IBM i server. This is where your LANSA Repository resides and where the LANSA application runs.

· A Web Server, which can be a Windows or an IBM i server.

· A PC connected to the server to run the LANSA for the Web Administrator and Web Function Editor.

· A Browser PC. This PC could be anywhere, depending on the application you are running.

You will need to install LANSA on one or more platforms to create the desired configuration.

If you are using a Windows Multi-Tier deployment model, you will typically use separate Windows machines for your Web Server and your Data/Application Server:

Refer to Considerations for the Windows Multi-Tier Deployment Model for more details.

If you are using a Mixed Multi-Tier deployment model, you will typically use a Windows Web Server and an IBM i Data/Application Server. (Refer to the Installing LANSA on IBM i Guide to set up your Data/Application Server.)

Refer to Considerations for the Mixed Multi-Tier Deployment Model for more details.

You can use a Windows Multi-Tier model, but develop your application on an IBM i as shown in the following example. In this case, you will import the Web application to transfer your existing LANSA application from the IBM i development environment to the Visual LANSA development environment.

If you are using a Single-tier IBM i deployment model, consisting of a single IBM i acting as both the Web Server and Data/Application Server, you will use the Installing LANSA on IBM i Guide.

If you are using a Multi-Tier IBM i deployment model, which uses an IBM i Web Server and an IBM i Data/Application Server, you will use the Installing LANSA on IBM i Guide.

Ý Planning a New Installation


1.3.1 Considerations for the Windows Multi-Tier Deployment Model

In a Windows Multi-Tier deployment, you will be using a Windows Web Server with a Windows Application Data Server.

Following are some considerations for a Windows Multi-Tier deployment model:

· The Visual LANSA development environment is installed on the Data/Application Server. The LANSA Repository (including the generated HTML) and your application data are installed on this machine.

· The LANSA for the Web PC-based Administrator will only need to connect to the Data/Application Server.

· A Visual LANSA system is not required on the Windows Web Server. Only the LANSA for the Web IIS Plug-in needs to be installed on the Web Server.

· The Windows Web Server can be Microsoft IIS with the IIS Plug-in.

Ý LANSA for the Web Deployment Models


1.3.2 Considerations for the Mixed Multi-Tier Deployment Model

In a Mixed Multi-Tier deployment, you will be using a Windows Web Server with an IBM i Application Data Server.

Following are some considerations for a Mixed Multi-Tier deployment model:

· The LANSA for the Web development environment is installed on the Data/Application Server along with LANSA for iSeries. The LANSA Repository (including the generated HTML) and your application data are installed on the Data/Application Server.

· The LANSA for the Web PC-based Administrator will only need to connect to the IBM i Data/Application Server.

· The Windows Web Server can be Microsoft IIS with the IIS Plug-in.

· A Visual LANSA system is not required on the Window Web Server. Only the IIS Plug-in needs to be installed on the Web Server.

· A Listener must be configured on the IBM i Data/Application Server for the communications link from the Windows Web Server.

Ý LANSA for the Web Deployment Models


1.3.3 Multi-Homing with LANSA for the Web

Multi-homing allows you to use a single Web Server to handle multiple domain names or IP addresses. LANSA for the Web supports multi-homing.

If you are installing LANSA for the Web for the first time, you may wish to start with a single site. Once this system is operational, you can reconfigure the system to support multiple sites from your LANSA system.

Following are some considerations for multi-homing with LANSA for the Web:

· You can configure a different LANSA system for each of the domain names (i.e. you can have more than one LANSA system installed), or you can configure a number of domain names to be directed to the single LANSA system. For example, you could configure each partition to have a separate IP address.

· The LANSA for the Web Administrator is used to configure the multi-homing support. Be very careful when configuring multi-homing with the LANSA for the Web Administrator. In most cases, you must enter the system names or IP addresses instead of using the *DEFAULT value for system names.

Ý LANSA for the Web Deployment Models


1.4 Deployment Systems

A Deployment System is a remote system that receives object and system definitions from a Visual LANSA System.

For example, a Visual LANSA System is used to develop an application that will run on a variety of platforms, including Linux and Solaris. The Linux system is known as a Deployment System.

The Deliver To menu option is used to copy your LANSA applications developed using a Visual LANSA System to the appropriate Deployment System.

Ý Planning a New Installation


1.5 IBM i Software Components

When installing and configuring LANSA for the Web on IBM i, it is very important to understand the fundamentals of its architecture. The diagram above identifies several of the key components used by LANSA for the Web, which are:

1. LANSA for iSeries

This is the core development environment. It provides the Repository and RDML technology used for the application database and programs.

2. LANSA for the Web

LANSA for the Web extends the LANSA for iSeries development environment. It provides the HTML components as well as the transaction support for executing applications over the Internet.

3. LANSA for the Web Function Editor

Used only for WebEvent-style development, the Windows-based LANSA for the Web Function Editor allows developers to edit the LANSA HTML pages as well as define the Web components and graphic variables.

This software is not used for WAMs.

4. LANSA for the Web Administrator

The Windows-based LANSA for the Web Administrator is used to configure the Web transaction environment and is only required as an administrator so is not required on more than the Adminstrator's PC.

5. Web Server

The Web Server can be on a separate platform (Windows or IBM i) or all software can be on a single IBM i. LANSA for the Web can be used with a number of Web Servers including IBM's HTTP Server for i5/OS, or Microsoft IIS for Windows.

6. CGI

You can use CGI with the IBM HTTP Server.

7. Client/Browser

The Client's browser sends requests to the Web Server and then it displays the resulting Web page. Internet Explorer is recommended.

Ý LANSA for the Web Deployment Models


1.6 Windows Software Components

When installing and configuring LANSA for the Web on Windows, it is very important to understand the fundamentals of its architecture. The diagram above identifies several of the key components used by LANSA for the Web. These components are:

1. LANSA for iSeries or Visual LANSA

The LANSA for iSeries is the development environment if an IBM i Data/Application Server is used. The Visual LANSA is the development environment if a Windows Data/Application Server is used. LANSA provides the Repository and RDML technology used for application database and programs.

2. LANSA for the Web

LANSA for the Web extends the LANSA development environment. It provides the HTML components as well as the transaction support for executing applications over the Internet.

3. LANSA for the Web Function Editor

Used only for WebEvent-style development, the Windows-based LANSA for the Web Function Editor allows developers to edit the LANSA HTML pages as well as define the Web components and graphic variables.

This software is not used for WAMs.

4. LANSA for the Web Administrator

The Windows-based LANSA for the Web Administrator is used to configure the Web transaction environment and is only required as an administrator so is not required on more than the Adminstrator's PC.

5. Web Server

LANSA for the Web is used with Microsoft IIS and IIS Plug-in technology.

6. IIS Plug-in

LANSA for the Web on Windows uses IIS Plug-in technology.

You can use LANSA for the Web IIS Plug-in using ISAPI technology.

7. Client/Browser

The Client's browser sends requests to the Web Server and then it displays the resulting Web page. Internet Explorer is recommended.

Ý Planning a New Installation


1.7 LANSA Integrator Development/Deployment Components

The LANSA Integrator software is installed by selecting individual components. You may need to install one or more software components to create the desired configuration.

The LANSA Integrator software includes the following software components:

Studio

JSM Server

JSM Proxy

RFI

User Agent

You may install them all together or separately as described in Install LANSA Integrator on Windows.

Ý Planning a New Installation


1.7.1 Studio

Integrator Studio provides a single point of access for the Integrator tools (previously called Integrator Utilities) including the XML Wizard, XML Editor, XSL Compiler and the Soap Wizard. Studio also manages the files created by these tools in order to simplify the management with the JSM Server.

Integrator Studio provides an easy to use graphical interface that greatly simplifies the configuration and setup of the JSM Server environment.

Ý LANSA Integrator Development/Deployment Components


1.7.2 JSM Server

The JSM Server may be installed on the same machine as the LANSA Data/Application Server.

As the JSM Server supports HTTP, FTP, SMTP and other services, it may be installed on the same machine as the Web Server.

The JSM Server Installation will install the JSMDirect CGI program, the Java Service programs, and other JSM objects on the server.

JSMDirect is the HTTP service extension to JSM. JSMDirect allows a LANSA or 3GL program to participate in Web services and B2B transactions. Microsoft IIS and Windows Script Hosting files must be installed.

The JSM Server requires a JRE installed on the machine.

Ý LANSA Integrator Development/Deployment Components


1.7.3 JSM Proxy

JSMProxy is an HTTP proxy extension to JSMDirect. It allows a proxy server to redirect the request. Using JSMProxy is very useful as it allows you to define a single entry point and then redirect to a number of different remote servers. Microsoft IIS and Windows Script Hosting files must be installed.

The JSM Proxy Installation will install the JSMProxy CGI program.

JSM Proxy does not require a JRE installed on the machine.

JSM Proxy is typically installed on a different server than the JSM server. The purpose of a proxy is to redirect requests between servers.

Ý LANSA Integrator Development/Deployment Components


1.7.4 RFI

Remote Function Invocation (RFI) is a means of sending and receiving serialized Java objects between a client JVM and the remote JSM server.

The RFI Example Viewer is a simple GUI application that illustrates how to use the RFIService client class and the JSM service RFIDataSourceService. The Java programmer modifies the RFIExample source code and compiles and runs the RFI Example Viewer application to execute the RFIExample class to perform a Remote Function Innovation (RFI) to the remote JSM server.

RFI requires a Java SDK (Software Developer Kit), which includes the JRE, installed on the PC.

RFI may be installed on the developer's PC.

Note: This software can be installed with Integrator or it can be installed separately. Refer to Task: Install Other Features.

Ý LANSA Integrator Development/Deployment Components


1.7.5 User Agent

The User Agent is a Java-based tool, which allows file upload to a JSM HTTP Service using JSMDirect and sending of MQ-Series messages. The user agent allows Windows clients to enter data in spreadsheets (or in text files, comma or tab delimited formats or as more complex XML files), and send the validated files to remote hosts.

The User Agent requires a JRE installed on the PC.

The User Agent may be installed on an end-user's PC or on the developer's PC.

Note: Note: This software can be installed with Integrator or it can be installed separately. Refer to Task: Install Other Features.

Ý LANSA Integrator Development/Deployment Components


1.7.6 Install LANSA Integrator on Windows

1. Start a Visual LANSA install process as described in Install LANSA for Windows and choose LANSA Integrator in the Select Features.

2. The following options will be automatically selected. Deselect as necessary. Each of these features can be installed later using the Task: Install Other Features.

Studio

JSM Server

JSM Proxy

RFI

User Agent

3. Record a LANSA Windows License Code.

4. LANSA Integrator Configuration and Set up on Windows

5. Test Java Service Manager on Windows

If you encounter problems, refer to Troubleshooting .

After completing these tasks, review LANSA Integrator - What's Next?

Ý LANSA Integrator Development/Deployment Components


2. Before You Start Your Install/Upgrade

Instead of using this guide, if you are

· a new LANSA developer with no LANSA software already installed

· an existing LANSA development site with no Visual LANSA development workstations already installed

· wish to perform a Typical installation

you might prefer to follow the pictorial installation plan offered at Quick Install Planner

Select Version 12 Install Planner from the Version 12 Information menu.

The Install Planner pages will provide you with a graphical way to follow the steps required to quickly get your LANSA development environment up and running.

Otherwise, before you install or upgrade LANSA, please review Install or Upgrade?

When the LANSA Windows Software DVD is inserted into a Windows PC, an autorun program will open the following window. If it doesn't open, invoke <drive>:\setup.exe to open it:

Select Install LANSA from the initial Install menu.

If this is not a French or Japanese Windows system, the installation will start in English.

The information in this guide is specific to the Version 12.0 software. It cannot be used with earlier versions of the software. If you are installing an earlier version, please use the matching version of the LANSA guides.


2.1 Install or Upgrade?

· If this is your first LANSA install or you wish to reinstall a trial version, then you will use the Installation process. Otherwise, if your current LANSA version is:

· 11.3 - 11.5, you will use the Upgrade option

· 12.0, you will use the Modify or Repair option.

· If you use an SQL Server database, please read Upgrade Visual LANSA & SQL Database before continuing.


2.2 Visual LANSA General Checklist

Before starting, you should have:

· LANSA Windows DVD containing the LANSA for Windows software.

· Internet Explorer V6.0 (SP2 or higher) for accessing LANSA DVDs.

· A supported Microsoft Windows client or server operating system as appropriate.

· A server license code or a hardware key (dongle), of a type suitable for your installation type, for the machine on which Visual LANSA will be installed.

· Windows administrator rights to avoid security problems during the install. If necessary, refer to Administrator rights to the Server for the Network Client Install explaining how you can achieve this.

· Turned off your anti-virus software. Please leave it off while running the install/upgrade.

· Ensured that any LANSA applications that you already have are stopped before commencing the install. This includes Visual LANSA, LANSA for the Web, LANSA SuperServer and LANSA Open jobs.

· User Account Control ( UAC ) turned OFF if you are installing LANSA on a PC running Windows Vista (or later) or Windows Server 2008 (or later).

· If you are installing onto a workstation running English, French or Japanese, the install will process in those languages. If your workstation is running in any other language, the install will start in English.

· A supported C compiler. By default, the Microsoft Visual /C++ compiler V9.0 is installed if an acceptable C compiler is not found.

· Microsoft IIS and Windows Scripting Host (WSH) files should be installed.
IIS and WSH are standard shipped Microsoft Operating System features but may not have been installed on your PC. Refer to Microsoft IIS and the IIS Plug-in. If you do not have them installed, the installation won't be able to include them in the configuration and you will need to do it manually after the installation has been completed.

· TCP/IP must be enabled.

· Connection to host (LAN adapter or other connector).

· A supported database correctly configured. If an acceptable data source is not found, the Microsoft SQL Server Express database is installed. If you are using an existing data source for the Visual LANSA Repository, you will need to know the name of that data source.

· If SQL Server is used, the SQL Server default start up options must be configured to support a decimal data type precision of 38 (i.e. parameter -p38 must be added). The name of the database must not exceed 8 characters. LX_LANSA is the recommended name.

· If Oracle is used, this database must be OFA compliant. For detailed Oracle requirements, refer to Details of supported third-party software and hardware combinations in the Version Info/Supported Platforms menu items on the LANSA Web site.

· If Adaptive Server Anywhere is used, you will need to change the precision to 127 and the scale to 63.i.

If you are connecting to a LANSA for iSeries system

· The IBM i you are connecting to must be running a LANSA for iSeries System at the same version as the Visual LANSA System being installed. During the install, you will be connecting to the IBM i to download the system data to initialize the new Visual LANSA System. Make sure the IBM i master system is fully operational, with the listener jobs started.

· It is assumed that you have the appropriate licenses for the IBM i Server.

· Ensure that you have tested the IBM i User Profile that you will be using by invoking LANSA for iSeries using a 5250 terminal and:

· checking that it has a properly configured library list which includes QGPL, QTEMP, the LANSA for iSeries program library and the LANSA Communications library.

· has a System Distribution Directory entry on the IBM i.

Hardware Requirements

The recommended minimum Visual LANSA Slave Workstation requirements are:

· Core 2 duo processor.

· 2 Gb of RAM.

· 5 Gb of free disk space. The total amount of disk space required is dependent upon the size and complexity of your application. The install process will tell you how much space you need for the actual software that will be installed on your workstation.

· Color monitor with 1280 x 1024 resolution.

· DVD drive or network access to a DVD drive.

After the installation completes

· After the installation completes, configuration tasks may be required before the LANSA software can be executed. For example, LANSA for the Web and LANSA Integrator require that the servers be configured with the specific settings used by your site before you execute the software.

· If a database log on or communications link fails during a Visual LANSA installation phase, you may not have completed the system initialization. You do not have to reinstall the software. Simply log on to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

Depending on the required installation type, review the appropriate checklists for any extra requirements:

· Checklist for Visual LANSA Independent/Slave

· Visual LANSA Client Only - Network and Local Checklist

· LANSA for the Web on Windows General Checklist

· LANSA for the Web - Web Server Checklist

· LANSA Open Checklist

· Individual Install Checklist


2.2.1 Checklist for Visual LANSA Independent/Slave

The items on this check list are in addition to those listed in the Visual LANSA General Checklist.

· Do you know the computer node name of your workstation? If not, LANSA will assign one for you.

· If a connection has not already been defined do you have the IBM i system network details? You will require the system network name (Partner LU Name) and the IP address for the IBM i server.
For details, refer to the LANSA Communications Setup Guide about configuring your workstation connection to a IBM i Server.


2.2.2 Visual LANSA Client Only - Network and Local Checklist

The items on this check list are in addition to those listed in the Visual LANSA General Checklist

For Network Clients:

· Do you know if you are performing a Local Client or a Network Client Install Client? Refer to Local and Network Clients if you would like more details.

· Is LANSA installed on the server?

· Make sure the database is accessible from other machines and the User Id has access to the database.

· If you are performing a Network Install, on the Client PC, map to the drive on the server where Visual LANSA is installed. Also check that you have write access rights to the mapped drive.

· Do you have more than one LANSA System on the server you will be connecting to?
If yes, then you should note the lroute.dat Requirements.

· Do you have write access to the server? (See how to do this in Administrator rights to the Server for the Network Client Install.

· Do you have read permission to the server's registry?

· Do you have Windows administrator rights on the client machine?

· Do you wish to have the C/C++ compiler installed locally? Optional.

Local Clients Only

· Is Visual LANSA installed on the server?

· Make sure the database is accessible from other machines and the User ID has access to the database.


lroute.dat Requirements

A LANSA Server system that has Network Client connections MUST have a Communications route table (lroute.dat) in its Connect directory.

If there is only one LANSA System installed on a Server, then you need to take no action, as the Communications route table will be created as part of the install and will be in the Connect directory.

When there is more than one LANSA System on a Server there may be only one lroute.dat table. This Communications route table (lroute.dat) must be copied to the Connect directory of all LANSA Systems that are used by Network Clients.


Administrator rights to the Server for the Network Client Install

To allow a user to run a Network Client Install, the user must be able to read the server's registry. (This access is not necessary for Local Clients.)

There are two ways to achieve this:

Make the user an Administrator on the server.

or

Give the user Read Permission to the registry, as described below:

1. Open the registry editor using RegEdt32.exe and navigate to the following key:

HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\SecurePipeServers\Winreg

2. View the permissions for this registry key by selecting Edit\Permissions (as per Windows XP) from the menu. THE PERMISSIONS ON THIS REGISTRY KEY APPLY TO THE WHOLE REGISTRY.

3. Add a user or group and give them Read permission. The user or group will then be able to read the whole registry.


2.2.3 LANSA for the Web on Windows General Checklist

These items are additional to those listed in the Visual LANSA General Checklist.

· If you intend to develop WAMs, you will need Internet Explorer V6.0 (or higher) and the MSMXL 6.0 parser to be installed.

Depending on the other software components to be installed, you may need to review one or more of the following Checklists:

· LANSA for the Web - Web Server Checklist

· LANSA Open Checklist

· Individual Install Checklist


2.2.4 LANSA for the Web - Web Server Checklist

The items on this check list are in addition to those listed on the LANSA for the Web on Windows General Checklist:

· Do you know the User ID you will use on the Data/Application Server? (This can be a new or existing user.)

· Have you checked that the IIS Administration Service has been stopped so that there are no locks on files?

· If Installing on a Windows Server 2003 or later, have you checked that you have the permissions required to do so? If not, Windows Server 2003's increased security might cause the install to fail.

· Microsoft IIS and Windows Scripting Host (WSH) file should be installed - as applicable:

· On XP and Windows 2003 Server you need IIS and WSH (Windows Scripting Host) installed.

· On Vista, Windows 2008 Server, Windows 7 you need IIS installed


2.2.5 LANSA Open Checklist

If LANSA Open is installed with other LANSA software, you will have satisfied the requirements if you have completed the General checklist, however,
if you plan to install LANSA Open by itself, you will need:

· LANSA DVD containing the LANSA Windows software.

· Internet Explorer V6.0 (SP2 or higher) for accessing LANSA DVDs.

· A LANSA Open license.

· If you are using a LANSA for iSeries server, the LANSA for iSeries software and the LANSA Open software at the same version.

· Connection to host (LAN adapter or other connector).

· A supported Microsoft Windows system.

· TCP/IP enabled. For details, refer to the LANSA Communications Setup Guide about configuring your workstation connection to a IBM i Server.


2.2.6 Individual Install Checklist

Individual pieces of the LANSA software can be installed independently, or with their "owner" software.

These are:

For LANSA for the Web:

· Web Function Editor - only required for Web Function (WebEvent) development on the data/application server

· Web Administrator - only required on the Administrator's workstation.

For LANSA Integrator:

· JSM Server. Note that the JSM Server can be installed, but will not execute, if the proper software is not installed.

· JSM Proxy.

· RFI

· User Agent

Before starting, you should have:

· LANSA DVD containing the LANSA Windows software for the current version of LANSA.

· Internet Explorer V6.0 (SP2 or higher) for accessing LANSA DVDs.

· License code(s), of a type suitable for the software that you are installing.

· If you are connecting to LANSA for iSeries system, it must be at the same version as the LANSA software being installed.

For the Integrator products you will also need:

For JSM Server and JSM Proxy:

· Microsoft IIS and Windows Script Hosting installed. IIS and WSH are standard shipped Microsoft Operating System features but may already be installed on your PC. Otherwise, see requirements below:

· On XP and Windows 2003 Server you need IIS and WSH (Windows Scripting Host) installed.

· On Vista, Windows 2008 Server, Windows 7 you need IIS installed

If you do not have them installed before you start this process, the installation won't be able to include them in the configuration and you will need to do it manually after the installation has been completed. Refer to Microsoft IIS and the IIS Plug-in.

· The appropriate Java Runtime Environment (JRE), installed. The appropriate version can be downloaded from the Javasoft Web site. Note: JRE is not required on the proxy server.

· Java 2 Software Development Kit (SDK) at Version 1.4 or above.

· TCP/IP connection to the JSM Server.

For more details, refer to the LANSA Integrator Guide.

The install will advise you of the software that you will need, if it isn't present on the workstation, as well as the disk space requirement. For that reason, it has not been detailed here for each product.


2.2.7 Install Steps for LANSA for the Web in a Multi-Tier Configuration

A Multi-Tier installation involves the installation of LANSA software on both the Data/Application Server and the Web Server.

If you are installing a new Visual LANSA System that includes LANSA for the Web in a multi-tier configuration, then you should complete the following tasks:

Mixed Multi-Tier LANSA for the Web (Windows/IBM i)

A Mixed Multi-Tier installation involves the installation of LANSA software on an IBM i Data/Application Server and a Windows Web Server.

On the IBM i Data/Application Server:

To install a new LANSA for iSeries System (including LANSA for the Web) on the Data/Application Server, go to the Installing LANSA on IBM i Guide. You should perform a Custom installation and select both LANSA for iSeries and LANSA for the Web to be installed on the IBM i Server.

On a Windows Data/Application Server:

If Visual LANSA is already installed, bypass Step 1 or reinstall Visual LANSA if this is a new installation.

1. Start a Visual LANSA install process as described in Install LANSA for Windows and choose Custom Visual LANSA development environment in the Setup Type. (It is recommended that you use a Server type install in order to provide sufficient database connections for LANSA for the Web.)

2. Deselect the LANSA for the Web Function Editor if you development is to be using using WAMs, otherwise leave it selected.

3. Record a LANSA Windows License Code

4. Communications Link to Data/Application Server .

5. Configure Data/Application Server .

See a further step for the Data/Application Server following.

On the Web Server:

Complete the following tasks:

1. Install LANSA and select the IBM i Slave as the system type if an IBM i is the master system, otherwise select the Custom install and select the LANSA for the Web as the Setup Type.. A full Visual LANSA system is not required on the Web Server.

2. Record a LANSA Windows License Code

3. Configure IIS Plug-in Communications with the Data/Application Server

On the Data/Application Server:

Complete the Task: Test LANSA for the Web

If you encounter any problems, refer to Troubleshooting .

After completing this task, review Visual LANSA - What's Next and LANSA for the Web - What's Next?

Web Function Editor and Administrator

Refer to Individual Install Checklist if this software needs to be installed independently.


2.3 Frequently Asked Questions

Frequently asked questions about installing and configuring LANSA software have been grouped by the software product being installed:

General Questions

Visual LANSA Questions

LANSA for the Web on Windows Questions

LANSA Integrator Questions

LANSA Open Questions


2.3.1 General Questions

Following are some frequently asked questions about the LANSA Windows software installation/upgrade:

Do I want to Install or Upgrade?

Can I install more than one copy of a LANSA product on a single machine?

Can I run more than one install program at a time?

When should I use the Typical install versus the Custom install option?

Do I want to Install or Upgrade?

You can install more than one version of the LANSA software. For example, you might have a Visual LANSA System at Version 11 SP5 and another Visual LANSA System at Version 12.

If you wish to keep your existing LANSA software and install a new system, then you must use the Install option. Do not perform an Upgrade. An Upgrade will replace the existing software. An Install will allow you to install a new system.

Note: If you wish to update an existing new system, select the Modify or Repair an existing install option as the LANSA Setup Type.

Can I install more than one copy of a LANSA product on a single machine?

Yes. You can install more than one copy of a LANSA Product on a single machine. For example, you could have a Version 11 SP5 LANSA for the Web Function Editor and a Version 12 LANSA for the Web Function Editor installed on the same machine. Or, you could also have two copies of the Version 12 LANSA for the Web Function Editor installed on the same machine.

If you wish to have more than one copy of the same LANSA Product installed, just install LANSA into a different directory using a different database instance.

These different installs or instances are entirely independent. They can be run concurrently or independently. Just locate the program folder and execute the particular LANSA feature you need to use.

Can I run more than one install program at a time?

No. Always allow the first installation to complete before you run the next install program.

Because you can install a number of LANSA software products at the same time, you should not need to run more than one install - on the same workstation.

When should I use the Typical install versus the Custom install option?

The Typical install should be used in most circumstances. The Typical install asks the fewest questions possible and uses the default settings. Using the Typical install, you are still able to specify the software install location (if required).

The Custom install is provided for experienced LANSA developers. The Custom option allows you to choose the products you wish to install and to change the default installation and configuration settings. It is the developer's responsibility to ensure that the software installed using the Custom configuration will operate properly.


2.3.2 Visual LANSA Questions

Following are some frequently asked questions about the Visual LANSA installation/upgrade:

Can I initialize my Slave Visual LANSA system if I am not connected to a Master System?

Can I change from one installation model to another?

Should I install and use the Microsoft SQL Server 2008 Express database?

Should I install and use the Microsoft Visual/C++ compiler?

Can I initialize my Slave Visual LANSA system if I am not connected to a Master System?

Yes. The LANSA Windows DVD contains a complete set of LANSA System definitions for the current version of LANSA. These definitions are used to initialize Independent Visual LANSA Systems and can be used to initialize a Slave Visual LANSA System.

When you initialize the system, use the Local Disk option. Do not select the check box Connect to Master.

When a connection to the Master LANSA for iSeries System is available, you should initialize from the Master System to ensure all data is properly synchronized.

Note: If a database logon or communications links has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. You do not have to reinstall the software. Simply logon to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time. You can use the Local Disk option as previously described if you do not have a connection to the IBM i.

Can I change from one installation model to another?

You can install multiple versions of Visual LANSA and switch between these different versions.

You cannot change a Slave Visual LANSA System into an Independent Visual LANSA System. You must install a new Visual LANSA System and move your applications to the new system.

Should I install and use the Microsoft SQL Server 2008 Express database?

The Microsoft SQL Server 2008 Express database is shipped with the Visual LANSA software. If a supported database is not found, the Microsoft SQL Server 2008 Express database will be installed.

Should I install and use the Microsoft Visual/C++ compiler?

The Microsoft Visual/C++ compiler is shipped with the Visual LANSA software. If a supported compiler is not found, this compiler will be installed.


2.3.3 LANSA for the Web on Windows Questions

Following are some frequently asked questions about installing and configuring LANSA for the Web on Windows:

How much security do I need?

Where can I find more information about different Web Server installation and configuration options?

Should I install LANSA Integrator if I am doing Web Development?

How much security do I need?

The level of security required is determined by the type of Web site you are creating. Internet, Intranet and Extranet applications require and offer different levels of security.

Security can be defined at the network, Web Server, Data/Application Server and LANSA levels. For example, you can use firewalls on the network along with user profile and object level security on the IBM i. LANSA for the Web provides an additional three levels of security. For more details, refer to Configuring LANSA for the Web Security in the Installing LANSA on IBM i Guide.

During the initial installation and configuration of LANSA for the Web, you may wish to begin with very basic security requirements. The anonymous user access to LANSA for the Web is recommended when you first install and test LANSA for the Web. Once your system is operating properly, you can enhance the security features used.

A Multi-tier LANSA for the Web installation can also increase your site security so that your Data/Application Server is not directly connected to the Internet.

LANSA for the Web supports the use of Secure Socket Layers.

Where can I find more information about different Web Server installation and configuration options?

Refer to LANSA for the Web Development Models for the various development scenarios you might use and LANSA for the Web Deployment Models for the development models you could use.

You can also check the LANSA Web site for the latest product updates and updated information about Web Server configurations.

Your local LANSA Agent will give you details about supported platforms or you can refer to the LANSA Supported Platform document.

Should I install LANSA Integrator if I am doing Web Development?

LANSA Integrator supports a variety of XML features and services. If your Web application involves the exchange of XML documents, you should review the LANSA Integrator features.

For more details, contact your local LANSA agent or visit the LANSA Web site.


2.3.4 LANSA Integrator Questions

Following are some frequently asked questions about installing and configuring LANSA Integrator:

When should I install the User Agent?

When should I install RFI?

When should I install Studio?

When should I use the Independent Integrator Install?

When should I install the User Agent?

If you need a flexible end-user utility to upload files to a JSM HTTP Service or if you need to send MQ-Series messages, you will want to install the User Agent.

The User Agent is designed as a very simple end-user upload utility.

If you have no other LANSA software on your machine, you may prefer to install User Agent using the Other Feature install. Refer to Task: Install Other Features.

No license code is required to use the User Agent on the end user PC. A license code is required on the JSM Server being contacted.

When should I install RFI?

If you are a Java developer and you wish to use the LANSA Integrator Remote Function Invocation, then you will need to install RFI.

If you have no other LANSA software on your machine, you may prefer to install RFI using the Other Feature install. Refer to Task: Install Other Features.

When should I install Studio?

You should always install Studio. Studio is the desktop interface to the JSM server instance. It allows bi-directional file transfer between the user desktop and the JSM server. Studio allows projects to be created and properties to be retrieved and published to the JSM server. The XML Wizard, SOAP Wizard and editors are executed from Studio.

When should I use the Independent Integrator Install?

The RFI and User Agent Independent Install is used when RFI and/or the User Agent is being installed on a machine that contains no other LANSA products. If the machine contains a Visual LANSA System or other non-Visual LANSA products, you should use the integrated install programs from the LANSA Windows Software Main Menu.


2.3.5 LANSA Open Questions

Following are some frequently asked questions about installing and configuring LANSA Open:

Can I have more than one version of LANSA Open installed?

Do I have to install LANSA Open if I am using the LANSA products such as the LANSA for the Web Function Editor or LANSA Client?

Can I have more than one version of LANSA Open installed?

Yes. You can have more than one version of LANSA Open installed.

You may also have more than one copy of LANSA Open (at the same or different versions) installed on a single machine.

Do I have to install LANSA Open if I am using the LANSA products such as the LANSA for the Web Function Editor or LANSA Client?

No. You do not need to perform a separate install of LANSA Open when using products such as the LANSA for the Web Function Editor or LANSA Client. When LANSA products use the LANSA Open technology, the necessary files are included with the LANSA install. For example, the LANSA for the Web Function Editor includes all the communication files required to access a server using the LANSA Open technology.

You must install LANSA Open and you must have a LANSA Open license if you are using a third party development tool to create client/server applications.


2.4 Microsoft IIS and the IIS Plug-in

LANSA for the Web IIS Plug-in provides you with a link between your IIS based Web Server and your Data/Application Server (where the LANSA system runs) giving you a platform-independent solution for the multi-tier deployment model.

The LANSA for the Web IIS Plug-in extends Microsoft's Internet Information Services (IIS) Web server using the ISAPI technology.

The LANSA for the Web IIS Plug-in can be implemented as shown:

Browser

Builds the client side front-end to display the generated Web Pages.

Web Server

Runs the Web Server services. Must support the ISAPI technology (e.g. Microsoft Internet Information Server).

LANSA for the Web IIS Plug-in

The LANSA for the Web IIS Plug-in is the component used to build the link between the Web Server and the Data/Application Server.

The connection to the Data/Application Server is configured using the LANSA for the Web Administrator (Local Configuration).

The TCP/IP settings for the communications layer are configured using the LANSA Communications Administrator.

Data/Application Server

The Data/Application Server is the back-end system hosting LANSA for iSeries or Visual LANSA with LANSA for the Web enabled.

The data transfer between the Web Server and the Data/Application Server is implemented as a Communications Extension connection using a LANSA Listener Job running on the Data/Application Server.

The recommended minimum IIS Plug-in hardware requirements are:

· Pentium 4 or greater processor as required by the Microsoft IIS Web Server.

· 1 Gb or greater as required by the Microsoft IIS Web Server.

· 20 MB of free disk space (includes the Web images as well as the IIS Plug-in).

· Supported Microsoft for Windows operating systems. For further options visit the LANSA Web site at www.LANSA.com/support and select supported versions and platforms.

· TCP/IP Connection to the Data/Application Server.

The installation program will add the required settings, such as virtual host definitions to IIS, provided your Web Server has the required programs (as in the following list) installed. If you don't have the necessary files, then the IIS settings have to be done manually. To determine if WSH is loaded, search for the wscript.exe or cscript.exe program. WSH can be downloaded from the Microsoft Web site, if needed.

If you have not already done so, install Microsoft IIS (V5.1 or later). This software is shipped (but may not have been installed) with the Windows operating system.

· On Windows XP you need IIS 5.1and WSH (Windows Scripting Host) installed.

· On Windows 2003 you need IIS 6.1and WSH (Windows Scripting Host) installed.

· On Vista, Windows 7 and Windows 2008 you needs IIS 7.0 installed.

This applies to installing Web Server (Plug-in & Images), JSM or JSM Proxy

During the installation, it is recommended that you choose default paths given.

When the installation has been completed, remember to reboot the server.

To test IIS, open Internet Explorer on the server and enter this URL into the browser running on the Web Server:

http://localhost

A default welcome page should appear.

This test can be done from any workstation on the network, as long as the server is visible to it.

To make the server visible, replace 'localhost' with the IP address of the Web Server.

· After you have finished the installation, the files needed for the IIS Plug-in will be located in the installation directory together with a default setup. The LANSA for the Web IIS Plug-in uses the Communications Extension for the communication to the Data/Application Server and will install the required communication parts together with the Communication Extensions Administrator.

Make sure that the Alias you specify with the LANSA for the Web Administrator (Local Configuration) is set to the same value as on the Data/Application Server. The URL generated by LANSA for the Web will contain the Alias (for example, CGI-BIN\LANSAWEB).


3. Install LANSA on Windows

When you first load the LANSA for Windows DVD, the following options will be displayed:

Choose the Install LANSA option to open the Setup dialog in which all of your install selections will be made.

There are four decision sections in this installation process. For these you will:

1. Choose Install/Upgrade or Repair - New Install, Upgrade or Repair

2. Select Features (only displayed if you select a Custom or Other LANSA Features Install)

3. Select the Visual LANSA System Type/Configuration - Windows Server, Independent, Local Client or Network Client.

4. Specify Options - specify the actual Options to be used for the products you will be installing in your new installation.


3.1 Choose Install/Upgrade or Repair

Use the Setup Type dialog to specify:

If this is

· a new installation - that is, a brand new installation or an upgrade of an installation of the same LANSA version, select New Install.

· an upgrade of an existing installation - that is, a version earlier than the one you are installing. Go to Upgrade LANSA on Windows

· if you are modifying or repairing an existing system, select Modify or Repair an existing install

As this is a new installation, select the type of installation to be performed. This could be:

· Typical Visual LANSA Development Environment

· Custom Visual LANSA Development Environment

· Shortcuts to run Visual LANSA installed on another workstation (Network Client)

· Other LANSA Features

You may install more than one LANSA configuration on your workstation. LANSA supports multiple versions of the software on a single workstation. For example, you might have an existing Visual LANSA System at Version 11.0 and you wish to install another Visual LANSA System at Version 12.0. To install LANSA into a new configuration, specify a location where LANSA has not previously been installed.

If you install the software into a directory already containing LANSA software, the existing software will be overwritten. Settings for the overwritten software will be lost.

Typical Visual LANSA Development Environment

This option will install a new LANSA configuration with a Visual LANSA development environment. Selecting a Typical environment means that these predefined features and options will be installed:

· a Visual LANSA System,

· LANSA for the Web IIS Plug-in Web Server

· LANSA Open.

With a typical install, it is possible for a developer to design, build and test a full range of LANSA applications including host, Web, and component applications.

Defaults are assumed except for certain critical options which are user/system specific.

The list of features that will be installed and the options selected may be reviewed on the Summary screen prior to the install. Modifications may be made, if necessary. If you wish to change any features or non-critical options you must cancel this Install and perform a Custom Visual LANSA Development Environment instead.

Microsoft IIS must be installed in order to use the LANSA for the Web IIS Plug-in Web Server. If IIS is not installed, a warning will be displayed that IIS will not be configured. In that case, manual configuration steps must be completed before the Web development environment will be operational.

Go to Select the Visual LANSA System Type

Custom Visual LANSA Development Environment

This option will install a new LANSA configuration with a Visual LANSA development environment. By selecting a Custom environment you will be able to select (or deselect) the features and options that you require. You will then be able to specify the actual details for each option, if you choose.

Go to Select the Visual LANSA System Type

Shortcuts to run Visual LANSA installed on another machine (Network Client)

This option will install a shortcuts to run Visual LANSA which has been installed on the same or another PC. This installed system is referred to as a Network Client and its server is a Windows Server. In this setup, all Visual LANSA options are dictated by the Windows Server. A small number of files are installed locally for Visual LANSA to function correctly in this environment. Some other files can be optionally installed locally (for example, the Microsoft Compiler).

Before you select this option, you may wish to review the Network and Local Client definitions in this guide.Once you have selected this option, you will immediately asked to enter your Network Client Server details. Refer to Network Client Server Details.

Other LANSA Features

This option will install new LANSA software with any LANSA feature other than Visual LANSA. For example, you would use this option if you wish to install the LANSA for Web Administrator on an Administrator's PC. All features and options can be customized.

Go to Select Features to choose the features you wish to install.

Which directory will LANSA be installed into

Enter the directory into which all the LANSA features will be installed. The directory must be on a local drive. UNC paths or URLs cannot be used. A default, new directory, is displayed. If the directory doesn't exist, it will be created.

Existing configurations

When you select a New Install, all LANSA configurations which can be upgraded or modified/repaired are listed. The list will be in display only mode as it is irrelevant for a new install.

Help

This button will open the Installing LANSA on Windows Guide.


3.2 Select Features

If you select a Custom Install or Modify or Repair an existing install, the Features dialog will display a list of the software products and features which you can include as part of this process.

Features which are pre-requisites for other features will be automatically selected and cannot be unselected until the reliant feature is unselected. For example, LANSA Open Core Files will be automatically selected if you select LANSA Open. To unselect LANSA Open Core Files you must first unselect the LANSA Open.

When you select Modify or Repair an existing install, the features that are already installed appear in bold and are underlined. If a new feature which has a pre-requisite is selected, the pre-requisite feature does not have to be installed again if it is already installed.

Directory where LANSA features will be installed

This is the directory selected on the preceding dialog. If you wish to change it, use the <Back button to return to the preceding dialog to change it.

Recommended minimum drive space

Ensure that there is adequate disk space to install the selected features.

If you have insufficient space, an error message will be displayed. You should cancel the install, or deselect some features until the space available on your PC is adequate.

If installing Visual LANSA, be aware that the disk space requirement will increase if you choose to install SQL Server or to create a new SQL Server Instance, as a new Microsoft SQL Express 2008 instance will require 250mb maximum of memory. You can reduce this memory usage using SQL Server Management Studio. Refer to the Microsoft SQL documentation for details.


3.3 Select the Visual LANSA System Type

The Visual LANSA System Type dialog helps to determine the type of Visual LANSA system to install. The type can be specified by:

· selecting the type from the drop down list

or

· answering the questions at the bottom section of the left pane.

Visual LANSA System Type

From the dropdown list, select the required system type:

· IBM i Slave

· Independent Visual LANSA System

· Client to a Slave Database Server

· Client to an Independent Database Server

The options at the bottom of the pane will reflect the System Type chosen. If they do not, you can change the options. If the options you select are incompatible with your intended scenario, the graphic showing what you will be installing will change. Check that it is correct or review your chosen options.

Database Location?

Tick this option if you are creating a database on this workstation.

System Type

Tick this option if the system will be an IBM i slave.


3.3.1 IBM i Slave

Select this option if you are installing a Slave Visual LANSA System on a Windows PC connected to a Master LANSA system running on an IBM i. The IBM i Master holds the master database and Repository.

This installation type allows LANSA developers to extend existing LANSA for iSeries applications using the features, power and productivity of the Visual LANSA development environment.

The following diagram shows a Slave Visual LANSA system on a Windows PC as a slave to an IBM i Server. Optionally, one or more Visual LANSA Network or Local Client PCs may be connected to this Visual LANSA Slave system.

The Slave Server System will connect to the Master LANSA for iSeries System using the Host Monitor. You can have more than one slave Visual LANSA system connected to an IBM i.

A local or Slave Repository is installed along with a C/C++ compiler. (The compiler will not be installed if a supported compiler is already present.) You may select any existing supported database or an SQL Server Express database can be installed.

Prior to running this installation, be sure to check that your IBM i's LANSA for iSeries System is at the same LANSA version, because, when you connect to the IBM i master, the system definitions will be downloaded to initialize the new Slave Visual LANSA System.

Network or Local Clients

The slave Visual LANSA System may be shared by one or more Visual LANSA Network Clients or Local Clients. Refer to the Client to an Independent Database Server or Client to a Slave Database Server for notes on installing Visual LANSA on these Clients.

Developers on Network Client PCs cannot work when disconnected from the server.

It is recommended that you install only one LANSA Server on one Windows PC, however, if you have multiple Servers on a single Windows PC, each LANSA System which has client PCs attached, must have a copy of the LANSA Communications file lroute.dat*. Locate and copy the lroute.dat file into each required LANSA configuration's X_WIN95\X_LANSA directory.

* LANSA maintains one lroute.dat file per PC. When network or local clients are used, each Visual LANSA System to which they are attached must have a copy of the lroute.dat file.


3.3.2 Independent Visual LANSA System

Select this option to install an independent Visual LANSA System. This is a Independent Visual LANSA System which is not connected to an IBM i.

For this System Type, a local Repository is installed along with a C/C++ compiler. (The C/C++ compiler will not be installed if a supported compiler is already present.) You may select any existing supported database or the SQL Server Express database can be installed.

The Deployment Tool can be used to move or export LANSA applications developed using a Visual LANSA Independent System. Alternately you can define a Deployment System associated with the Independent System and use the Deliver To facility to move your LANSA applications to UNIX/Linux or IBM i environment.

Network Clients

This Independent Visual LANSA System may be shared by one or more Network Clients. Refer to Client to an Independent Database Server notes for installing a network client. With a Network Client, developers must be connected to the server to use LANSA.

Using your Independent system as a Server to Network Clients

At any time you can attach Client systems to this independent Visual LANSA system. When you do this you will need to create an lroute.dat file using the LANSA Communication Set up software. Refer to this same topic for the IBM i Slave for more information.


3.3.3 Client to a Slave Database Server

This Network Client System Type is a slimmed down version of the LANSA software and has distinct advantages for developing LANSA applications. When using a network client, developers must be connected to the Slave Server.

Before you can start, the Visual LANSA Server system must already be installed.

For this System Type, a copy of the LANSA software is installed on the client PC. This LANSA software accesses the Application Repository on the existing Visual LANSA Slave Server. There is no LANSA Repository installed on the network client.

If a supported compiler is not present on this workstation, a C/C++ compiler can be installed. Refer to Compiler.

Compiled program objects will reside on the network client. Database objects must reside on the Slave Server.


3.3.4 Client to an Independent Database Server

This System Type (Network Client) contains a copy of the LANSA software but not the LANSA Repository. When using a network client, developers must be attached to the Server.

This installation requires an existing Visual LANSA Independent Server Installation. A copy of the LANSA software is installed on the Network client PC. This LANSA software accesses the Repository on the Visual LANSA Independent Server. There is no LANSA Repository installed on the network client PC.

If a supported compiler is not already present on this workstation, a C/C++ compiler can be installed. Refer to Compiler.

Compiled program objects will reside on the network client PC. Repository objects must reside on the server.

Developers cannot work when disconnected from the server.


3.4 Specify Options

The Options and Summary dialog lists the options and settings that will be used to do the install based on the Install Type and System Type and you have selected.

The options listed are essential to the correct operation of your LANSA system and require a unique settings that cannot be accurately assigned a default value. If you have elected to install a Typical Visual LANSA development environment, only mandatory options are displayed.

Options will be ticked [image] when you have made your selection. A question mark [image] indicates options that still require your attention.

Options that are displayed in bold are known as mandatory options and must be reviewed before the Install can continue. These options are key to the correct operation of your LANSA system or are user specific (such as user ids and passwords).

Select a section heading (for example, Common Options) and the sub headings will be displayed. Select a sub heading and the related settings and options will be displayed in the right hand pane. You can then modify the options as required The options and setting selected are verified and saved when either another option is selected, or a button is pressed.

The settings and options are described in the following topics. Depending on the products being installed, the options that could be required are:

Windows Start Menu Folder

Configure IIS

LANSA Network Name

Database

Data Source Options

Initialize Database and Partitions

Connection Information to Master

IBM i Language Options

Local Data Directory

Compiler

Listener Service Options

User Id for Visual LANSA Web Configuration

User Id for Web Server Configuration

Websites for IIS Plugin

Website for Web Images

IIS Virtual Folder

JSM Administrator Service

User Id for JSMDirect Configuration

LANSA Open Translation Tables

Network Client Server Details

If you select a sub-heading and valid data cannot be entered (due to a previous incorrect selection or for some other reason), you can exit from that option by pressing the Back without saving button.

Export Settings

The Export Settings button will save all settings and options to a Configuration File. The Configuration File can then be used for a One-Click Install. When you save a Configuration File, the Password Protection dialog will request a password. That same password will be required when using the Configuration File in a One-Click Install.

Back without saving

Settings are verified and saved when another option is selected. If an option has been selected but valid data cannot be entered (due to a previous incorrect selection or for some other reason), you can exit the option by pressing the Back without saving button. All settings in the option will be reset to their value prior to the option being selected. The option's dialog will be closed and the [image] question mark will be reinstated.

Install

Press the Install button to start the file transfer and configuration part of the install. Make sure that your settings and options are correct before pressing Install.

Cancel

Press Cancel to cancel and exit this install process. None of the options or settings you have selected will be saved.


3.4.1 Windows Start Menu Folder

The Window Start Menu Folder allows you to specify the folder name that will be used for any program icons required by the installed programs. The new folder will appear under Programs in the Start Menu and on the Desktop.

Program Folder

You may select one of the Existing Folders listed or you may enter a new folder name.

If the folder does not already exist, it will be created.


3.4.2 Configure IIS

This dialog asks whether IIS should be automatically configured by the LANSA install.

IIS needs to be configured if IIS Plugin, Web Images, Java Server Manager or Java Service Manager Proxy are being installed.

If you select Yes, IIS is stopped to be automatically configured. Once configuration is complete, IIS will be restarted.

If you select No, the files will be installed but you will need to configure IIS manually.

No is the default.


3.4.3 LANSA Network Name

For an IBM i Slave System, you must specify the name of the Slave to which the LANSA for iSeries Master will refer to.

Specify a name

If you select this option, the corresponding value will initially contain a name that is generated by the LANSA install. This name will only be unique amongst all the configurations on your PC.

You can use the generated name or you can enter another valid name.

The first six characters of this LANSA Network Name should be unique to both your PC and within the LANSA for iSeries Master system.

The install will detect if the entered name is not unique on your PC and if so, you will be asked to confirm the name or assign a new one.

The recommended option is to contact your IBM i Administrator to obtain a unique name.

A valid LANSA Network Name must pass all of the following rules:

· start with a letter (A - Z), '#' or '@'

· all remaining characters must be a letter (A - Z), digit (0 - 9), '#', '@' or '_'

· the length must not exceed 10 characters

If you use Repository Propagation, you will need to also change the Repository Propagation name. You can learn more about Repository propagation in the IBM i User Guide.

Use this Computer's Name

Select this option to use the computer's name as the LANSA Network Name. The computer's name will be shown in brackets.


3.4.4 Database

Specify the options that help to determine the type of physical database that is to be used.

Select one of the following options:

Use the current database used by this configuration

This option is not used for a new Install. It is the most likely option when doing an Upgrade or a Modify/Repair.

OR

Use a new Microsoft SQL Server, Sybase or Oracle database

LANSA supports the use of these three database products. LANSA will create the database objects it requires but it will not create and configure the database. If you select this option, the database must be created and configured prior to the LANSA install running.

Microsoft SQL Server refers to the full-featured product. It should not be confused with the Microsoft SQL Server Express database following.

Note 1: When creating a Sybase database (including SQLAnywhere 10 and 11), you must select the Ignore trailing blanks in string comparisons option. This translates to "Blank Padding" = ON in the "Extended Information" page in the database properties.

OR

Create a new Microsoft SQL Server Express Instance

Microsoft SQL Server Express 2008 is included on the LANSA Installation media. Microsoft SQL Server Express is a free version of Microsoft SQL Server. Refer to Microsoft documentation for the differences between Microsoft SQL Server and Microsoft SQL Server Express.

If you select this option, the new database can be created in an existing instance or a new instance. If no SQL Server Express instances exist on the workstation, this option will be selected by default and made read-only so that SQL Server Express is installed and an instance created. An instance must exist for a database to be created. If one or more instances already exist then you may choose to use one of these existing instances or have the LANSA install create a new one.

If the Instance Name and Database Name values are not acceptable, press the Optional Parameters button to change them.

Note 1: When the Visual LANSA install creates new Microsoft SQL Server Express 2008 instance, it will use 250mb maximum memory. You can modify the memory usage using SQL Server Management Studio. See Microsoft SQL documentation for details.

Note 2: If you elect to use the LANSA installation to create a Microsoft SQL Server or Microsoft SQL Server Express database, LANSA will use the TCP/IP connection to communicate with the database that is created. If you turn your firewall software on after the LANSA installation is completed, you will need to put sqlbrowser.exe and ports 1434, 1433 into exception.

Note 3: Checks will be made to ensure that any software currently installed will not conflict with Microsoft SQL. Prerequisites will be automatically installed. Refer to Microsoft's documentation and/or website for a list of prerequisites and conflicts.

OR

Use an existing database

This indicates that the target database already exists and contains an existing LANSA system. The LANSA system must be same version as the LANSA version being installed. This option should only be used if moving the LANSA configuration associated with the database to a different location on your hard drive or moving to a different PC. This option should not be used to create a scenario where multiple local LANSA configurations (configurations on this PC) connect to the same database. LANSA strongly recommends that each configuration has its own database unless it is being setup as a Client to a Slave Database Server or Client to an Independent Database Server.


Database Optional Parameters

If the defaults displayed on the Database dialog are not correct, enter the name and location required.

Database File Location

Locate or enter the location of the database files. The database files contain the actual data stored in the database.

Database Log File Location

The database log file contains information that assists in the operation of the database (for example, transaction rollback).


3.4.5 Data Source Options

An ODBC Data Source stores information about how to connect to the database. A Data Source may already exist. It may have been created by a previous install or created through the ODBC Data Source Administrator.

Select

Use an existing data source

Select an existing data source from the drop down list. The list contains all existing data sources which use supported ODBC drivers on this PC.

If you elect to create a new data source, the following details will be required:

Data Source Name

The data source name must be unique, must not exceed 32 characters in length and may not include any blank characters. The default value is prefixed by LX, followed by a unique digit, followed by the first 5 or less characters from the PC Name.

ODBC Driver

Select the ODBC driver to be used to connect to the database. Only drivers which have been detected on this workstation will be listed.

Server

This is the name that the database server is called on the network. If the Use a new Microsoft SQL Server Express database option is selected on the Database dialog this value will default to the appropriate value. Note, the Server name is not the PC name. As an example, for SQL Server the default name for a database server is "PC Name\Instance Name".

Database Name

The name of the database. This is not relevant for an Oracle database.

If the Use a new Microsoft SQL Server Express database option is selected in the Database options, this entry will contain the value entered on the Database dialog and will be read-only. In this case, the database name can only be changed on the Database dialog.

OR

Create a new data source

Security

Select the method used to log into the database.

Use trusted connections

Instructs the install to use the User Id and Password that were used to log in to the current Windows session to connect to the database. You must ensure that the User Id and Password specified can connect to the database.

This is the only option available for SQL Server databases. If the Use a new Microsoft SQL Server Express database option is selected on the Database dialog, the current Windows user will be automatically added to the database security settings.

Alternatively:

Use database's default userid/password [DBA/SQL]

Select this option to use the existing database's User Id and Password.

Alternatively:

Supply User Id and Password

Enter the User Id and Password if it is different to the database's User Id and Password and you are not using an SQL database.


3.4.6 Initialize Database and Partitions

Initializing the Partition makes the partition usable. It imports Groups, Frameworks, System Fields, Component primitives and so on. It also ensures that the execution environment is able to build objects for the partition.

Some imports are optional and you must specify those that you initially require.

To avoid a long initialization, choose only to initialize those Partitions that you plan use immediately and select only the options that you want to use in every Partition. For example, imports such as the Visual LANSA Framework contain a large amount of data. So, if one Partition was to take 10 minutes to initialize, 6 Partitions will take 1 hour. Further Partition Initialization can be done from within LANSA so there is no need to install them all now or run the install again.

If you have partitions with different requirements, then you will initialize each with those partitions using the Log On dialog. Refer to the Administrator's Guide if you require more information.

Initialize Database

Select this option if the database is to be initialized. If selected, the database tables will be created/updated and the specified Partitions initialized.

If the database has not previously been initialized then the Partition initialization section specifies how the new Visual LANSA system should be set up.

All Partitions in Windows Repository

If you select this option, all current Partitions in the Windows repository will be initialized. If installing to a new database, this option will be disabled. In this case, after the installation is complete, you will create partitions and initialise during the Visual LANSA log on process.

Selected Partitions

Specify the Partitions to be initialized. If more than one partition is to be initialized, then separate Partition names with spaces. For example, "DEM DEX ABC"

If this is a Slave Visual LANSA system, the partitions initially displayed will be those already created on the server IBM i. If you are using a Repair/Modify to an existing configuration, then existing partitions will be displayed.

If you are installing to an Independent Server, this option will be disabled.

Note: The DEM Partition
The DEM (Demonstration) partition is included in the Selected Partitions when an Independent Visual LANSA system is being installed. It is mandatory that you select the DEM partition the first time you install a Visual LANSA system.

The DEM partition is an example definition to give you access to Visual LANSA. When you are in Visual LANSA, you can add other partitions and delete this DEM partition, if it is not needed.

None

Select this option if the Partitions are all initialized. You would normally use this option if you were performing a Modify or Repair to an existing installation.

Example User/Task (PCXUSER/PCXTASK)

This field is visible when installing an Independent Visual LANSA system type. It is mandatory that you select this the first time you install an Independent Visual LANSA system.

This option imports an example User Id, Password and Task to give you access to Visual LANSA. When you are in Visual LANSA, you can add others and delete these examples.

Note that the password is context sensitive.

Optional Imports

Visual LANSA Framework

Select this option to install the Visual LANSA Framework into the specified partition(s). For details, refer to What is Visual LANSA Framework?

Personnel System Demonstration material (including executable objects)

Select this option to install the Personnel System Demonstration material into the specified partition(s). This material includes examples for Visual LANSA and LANSA for the Web. This system is also used for all tutorials included with the Online LANSA guides. For details, refer to Testing using DEM Partition and Personnel System Demonstration Files.

Run demonstration

Select this option to start the demonstration when the install has been completed. If you are installing the Personnel System Demonstration materials, it is recommended that you select this option because it will allow you to load data into the demonstration files.

Enable for the Web

Select this option to Web-enable the specified partition(s). If you are doing LANSA for the Web development, it is recommended that you select this option. If you are installing the Web e-Business Framework Wizard, this option must be selected.

e-Business Framework Wizard

Select this option to install the Web e-Business Framework Wizard into the specified partition(s). If you select this option, you must also select the Enable for the Web option. For details, refer to What is the e-Business Framework Wizard?


3.4.7 Connection Information to Master

Specify the default communications information to allow the Slave Visual LANSA system to connect to the IBM i Master System. This dialog is only displayed if an IBM i Slave system is being installed. Your LANSA or System's Administrator should provide you with the appropriate connection details.

Note: This connection information will be used by the Visual LANSA System during the Initialization phase of the installation.

Each set of connection details is known as a Host Route and each Host Route record is identified by an LU Name.

Define a new Host Route record

Specify a new Host Route record. The new record will be added to the table used by the LANSA Communications Administrator. If you select this option, you will need to provide the following details:

LU Name

Used to identify the Host Route record.

Fully Qualified Name of the Host

Specify the name or address of the IBM i Master. This will either be the machine name, the fully qualified name (that is, host.domain) or the Master's IP address (for example, 12.4.1.56).

Connection Id

Specify the TCP/IP port number that has been assigned to the LANSA Listener.

The default port number is 4545.

Use an existing Host Route record

If the connection is already defined, select the Host Route from the drop down list. The list is based on the Host Routes used by the LANSA Communications Administrator.

Connect To Master

Select this option to initialize a Visual LANSA Slave System from the Master LANSA System on the IBM i. After the installation is complete, the Visual LANSA System & partitions will be initialized when connection is made to the LANSA for iSeries server. This will download the required LANSA System Definitions. Don't forget that the LANSA on the IBM i must be at the same version as the Visual LANSA Slave System being installed.

If you do not connect to the master, then the Visual LANSA system can still be initialized using the local LANSA System definitions. Refer to System Initialization in the Administrator's Guide for further information.

If you select this option, the following to fields must be completed:

User Id

Enter the User Name or user profile to log on to the selected Master server.

Password

Enter the password associated with the Master's User Name or user profile.

Use Windows Credentials

When this option is selected, the User Id and Password will be disabled. The User Id and Password that were used to log in to the current Windows session will be used instead. Before you use this option, review the information about Windows credentials in Use Windows Credentials in the Administrator's Guide.


3.4.8 IBM i Language Options

These options allow you to specify certain options associated with the translation of data from the IBM i to the workstation.

If you are installing on an independent LANSA system and if you have any intention of connecting this system to an IBM i Master in the future, then make sure that you choose the correct CCSID (Coded Character Set Identifier) information.

The CCSID is fundamental to the proper operation of LANSA when connected to an IBM i Master system. Once you have created objects in the Repository, do not change any information on this dialog.

Initialization Language

Select the language you will use on your PC from the drop down list.

CCSID Selection

Defaults have been provided for certain languages. These defaults should provide the best option for translating data between the IBM i and the workstation. There should be no need to use custom settings unless you have specific instructions from your product vendor or system administrator. CCSID 1140 will be the default for languages that do not have a specific default.

Note: 11.0 SP5 introduced new default translation tables of ANSEBC1140/EBC1140ANS. These tables replace the use of QEBCDIC/QASCII. CCSID 1140 is identical to CCSID 037 except that the Euro (€) replaces ¤.
This change requires a change to the default for the DEFINE_OS_400_SERVER Built-In Function to use the new tables. The old tables corrupted some characters but there is a possibility that your use of the tables may actually require that corruption. You should review your use of this Built-In Function to determine if you are using the defaults and thus may have unwanted behavior with the new default tables.

CCSID 1140 supports the entire Windows 1252 character set except for the following characters:

Characters | Hex Range | Explanation
'ƒ"...†‡ˆ‰Š‹OEŽ''""*--˜(tm)š›oežŸ | 0x82 to 0xA0 inclusive | These characters do not exist in the IBM i 1140 CCSID
¤ | 0xA4 | The Euro replaces this character

The full set of characters supported is:

€ !#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ

[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿

ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ


3.4.9 Local Data Directory

The Local Data Directory is where Visual LANSA puts temporary files. For example, the list of objects selected in the Work with Processes window is stored in the directory specified here.

It is recommended that you do not choose a network drive, as it will slow down performance.


3.4.10 Compiler

If you do not have a supported C/C++ compiler on your system, the following dialog will be displayed and a customized version of the Microsoft Visual C++ 2008 compiler will be installed.

Install the Compiler

Specify the directory in which the compiler is to be installed.


3.4.11 Listener Service Options

The Listener Service is used by programs requiring a connection to the Visual LANSA Data/Application Server. For example, the LANSA for the Web Function Editor requires a connection to edit the HTML pages stored in the Repository on the Data/Application Server.

Specify whether the TCP/IP listener service (used for communications to the Visual LANSA system) will start automatically or manually.

Service Startup Type

Select Automatic if the listener service is to start automatically when Windows starts up, otherwise select Manual.

Connection Identifier

Specify the TCP/IP port number on which the Listener Service will be listening for network communication. This number must be numeric and cannot be blank. Any other LANSA systems connecting to this system will need to know this port number.

The default Port Number is 4545.


3.4.12 User Id for Visual LANSA Web Configuration

A Windows User is required that can be used to log on to the LANSA Development environment and can be used with LANSA for the Web.

The User can be setup elsewhere or through this dialog.

To use Web features in Visual LANSA, the partition must be Web-enabled. To Web enable a partition, select Enable for the Web on the Initialize Database and Partitions dialog. This may also be done after the installation is completed through Partition Initializationwhich is described in the Administrator's Guide. For a typical install, this dialog will only be displayed if Enable for the Web is selected.

Action

From the dropdown list, select whether to Use an existing User, Create a New Local User or Not to Configure any User.

If you select Create New Local User, the User will be created as a local user. If using an existing User, the user details will be verified to ensure they are correct. An existing User may be a local or a domain User.

User Id

Enter the User Id to be used when using LANSA for the Web. You may enter an existing or new User Id. The User will be automatically added to the LANSA Users Group.

Password

Enter the password for the User Id.

Confirm Password

If creating a new user, re-enter the Password to confirm the new Password. You do not have to confirm the password if you are entering an existing user.


3.4.13 User Id for Web Server Configuration

Specify a Windows User that can be used with LANSA for the Web and can log on to the Data/Application Server system.

User Id

Enter the User Id for using LANSA for the Web. Contact your LANSA/System Administrator to ensure the User has permission to log on to the Data/Application Server.

Password

Enter the password for the User Id.


3.4.14 Websites for IIS Plugin

Select the websites in which the LANSA IIS Plugin virtual directory will be created.

The LANSA IIS Plugin will only be accessible from websites that are selected.


3.4.15 Website for Web Images

From the list, select the website in which the LANSA Web Image's virtual directory will be created.


3.4.16 IIS Virtual Folder

The URL to execute a jsmdirect request is typically: http://localhost/cgi-bin/jsmdirect.exe cgi-bin is the name of a virtual folder. It can be named different things, such as peanut. In that case the URL becomes http://localhost/peanut/jsmdirect.exe. The virtual folder is mapped to a physical folder on the PC's file system.

When installing Integrator, you can chose to either select an existing virtual folder from the list of virtual folders or create a new virtual folder by typing in the name.

In both cases the related Integrator files (jsmdirect.exe, jsmproxy.exe, jsmadmin.exe and their associated data, message and configuration files) will be installed in the JSMCGI folder under the LANSA root directory. If you select an existing virtual folder, the related Integrator files (jsmdirect.exe, jsmproxy.exe, jsmadmin.exe and their associated data, message and configuration files) will then be copied into the physical folder the chosen virtual folder is mapped to.

IIS on Windows workstations only has one website, but IIS on Windows servers can have more than one website. You can choose which website you wish to use for Integrator.

Website

Select the appropriate option, to use an existing folder or create a new one, from the drop down list.

Use existing virtual folder

If you select an existing folder, the files in that folder are installed in the JSMCGI folder under the LANSA root directory. They are then copied into the mapped directory of the selected virtual folder.

If you create a new virtual folder, it will be created and mapped to the JSMCGI directory under the LANSA root directory.

Note: Files installed for JSMDirect and JSM Proxy will be installed in the directory called JSMCGI.

Use existing virtual folder

The Select Virtual folder dialog lists all virtual folders currently defined on the system you are installing to.
Select from the list if you have elected to use this option.

Create new Virtual Folders

If you enter the name of a new virtual folder, it will be created and mapped to the JSMCGI directory under the LANSA root directory.


3.4.17 JSM Administrator Service

Specify whether the JSM Administrator is to start automatically or manually.

Service Startup Type

Select Automatic if the JSM Administrator is to start automatically when Windows starts up, otherwise select Manual.


3.4.18 User Id for JSMDirect Configuration

A Windows User is required that can be used to execute JSMDirect and have sufficient rights to run LANSA functions.

A local User can be setup manually or through this dialog. To setup a new domain user, you must ask your Network Administrator to create the User account on the appropriate server.

Action

You may not choose to configure a User Id for JSMDirect. If you don't choose to configure a User Id for JSMDirect, it will retain its existing User Id.

Otherwise, specify whether to use an existing User or create a new User. If you create a new User, the User will be created as a local user. If using an existing User, you must specify whether the account is a local account or a domain account. The user details will be verified to ensure they are correct.

User Id

Enter the User Id to be used when configuring User Id for JSMDirect. You may enter an existing or new User Id.

Windows's default for this User Id is IUSR_<computer name>.

Password

Enter the password for the User Id.

Confirm Password

If creating a new user, re-enter the Password to confirm the new Password.


3.4.19 LANSA Open Translation Tables

If using LANSA Open, you must specify the translation tables used to translate strings sent between a Windows PC and an IBM i server.

A default translation table translating characters between Windows Code page 1252 and EBCDIC CCSID 1140 will automatically be installed. If this is not appropriate for your language then you must select the appropriate code page. See Multilingual Support in the LANSA Open guide for more information.

Standard

Select the table which best suits your language. Your LANSA Administrator should provide you with the CCSID (Coded Character Set Identifier) used on your IBM i system.

By default, the most suitable table based on your Windows language is highlighted.

User Provided

If no standard tables are appropriate, select this option to provide your own custom table. Enter the name and location of your custom translation table file. The file must be named LCOECHAR.DAT and must always be entered.

Use default table based on CCSID 37

This option is only offered for backward compatibility. In previous versions of LANSA Open, the default option was to use the internal table which is based on CCSID 37. This option should now only be used if your existing application is incompatible with the new EBCDIC 1140 -> WIN table.


3.4.20 Network Client Server Details

The Network Client Server details dialog is automatically displayed if you have selected the Setup Type: Shortcuts to run Visual LANSA installed on another workstation (Network Client). In this dialog, you enter the details of the Windows Server to which this Network Client is to be linked.

The Server can be either a Slave (connected to an IBM i) or an Independent system. In either case, the database on the server must be accessible by the Network Client Workstation.

Server Name

The name of this PC on your server's network.

The unqualified computer name or the full computer name can be used. Use the Browse button to select from the list of computers currently shown on your network.

LANSA Root Directory on the Server

Select the location of the configuration on the Server. Only configurations that match the version number of this install are listed.

Local mapping of the server's LANSA Root Directory

Map the directory of the Windows Server to this PC and specify the directory path here. If you have not already mapped this directory, stop and do it now. You don't have to restart the install process.

Note: UNC paths should not be used. If you have current Network Clients using UNC paths, the Visual LANSA automatic upgrade will allow you to continue to use these paths. However, it is strongly recommended that you install new Network Clients using a mapped drive.

Once the Next button pressed, testing of the selected Server configuration is performed. These tests will confirm that the selected configuration is a valid Network Server for this install. For example, the Server's Visual LANSA must be at the same version as you are installing on the Client.

Location for local files

This is the directory into which this LANSA software is to be installed that was specified on the Setup Type dialog. Press <Back if you wish to change it.

Note: Your LANSA or Network Administrator must ensure that you have the required permissions to access the Windows Server. This includes read access to the registry and write access to the directory where Visual LANSA is installed.

You will now be asked for the LANSA Network Name in the Options and Summary page. From there you can press the Install button.


3.5 One-Click Install

A one-click install refers to an install which uses predefined settings. These settings are stored in the Configuration File created when you have selected the Features and Options required for the install.

A one-click install is useful where LANSA must be installed:

· On a large number of PCs.

· In an organization that requires software to be installed to a company standard.

· To simplify the install for users.

· Where a single person (such as a LANSA administrator) is responsible for installing LANSA on all user's workstations.

You should only perform a one-click install if you are certain that the predefined settings will not conflict with any existing settings on the target workstation.

To execute a One-Click install, run OneClick.cmd from the CD setup directory. The following dialog is displayed.

Configuration File

Enter the full name and address of the Configuration File to be used. Use the Browse button to locate it if necessary.

Password

Enter the password that was used when the Configuration File was created.

The file transfer and set up will commence when the OK button is pressed.


3.6 Task: Install Other Features

If you are installing a LANSA product or part of a LANSA product as a standalone task, simply:

1. Start the Installation process.

2. Select the Other Products option from the Setup Type dialog.

The Features dialog will automatically be displayed.

3. From the Features dialog, select ( [image] ) the product(s) you wish to install and deselect those, such as Visual LANSA, that you don't wish to install.

You will then be taken to the Options and Summary dialog to supply the details required or to be confirmed for your particular product choice. If you require any information about these details, refer to Specify Options.


4. Upgrade LANSA on Windows

There is very little preparation you need to do before an upgrade as the upgrade program will determine what it is you are upgrading based on the configuration you choose to upgrade. Network Clients do not need to be upgraded as they will be upgraded automatically through their server upgrade.

Even though the upgrade process has been made as easy as possible for you, it is wise to review Upgrading previous versions of LANSA (following) and check the items in the BEFORE you Upgrade LANSA.

Upgrading previous versions of LANSA

If you have a previous version of LANSA for Windows software installed on your machine, you will normally perform an Upgrade to load the latest version.

Your LANSA software must be at Version 11.3 or later in order to use this version of the upgrade program.

If you have more than one LANSA system, you must choose which system to upgrade because you may only upgrade one system at a time. The LANSA Windows Upgrade program will upgrade all products and features in the selected system.

If you are using versions earlier than V11.3 of LANSA for Windows software, you will need to upgrade to Version 11.3 before running the Version 12.0 upgrade program.

In some circumstances, you may wish to keep your existing version of the software and install a new version. For example, if you have two LANSA for iSeries Systems at different versions, you will need to have two copies of LANSA Open - one for each LANSA for iSeries System. In this case, you would install a second LANSA Open using the Setup Type: Other LANSA features and then LANSA Open from the Features list.

Previous Version Compatibility
You cannot port any object compiled with this version of LANSA backwards to any previous LANSA version.
To avoid compatibility problems, it is recommended that you keep all your linked LANSA software at the same version. If you have an IBM i as the master, a Windows system as a slave with local or network clients, you should start your upgrade with the IBM i first, then the Windows slave system, then the local clients. (The network clients do not need to be upgraded.)


4.1 BEFORE you Upgrade LANSA

The following tips will assist you in upgrading LANSA on Windows:

· If you use an SQL Server database, please read Upgrade Visual LANSA & SQL Database before continuing.

· Check that you have Windows administrator rights to avoid security problems during the upgrade.

· Turn off your anti-virus software while running the install/upgrade because it can interfere with the installation programs.

· Stop all LANSA applications before commencing the upgrade. This includes Visual LANSA, LANSA for the Web, LANSA SuperServer and LANSA Open jobs. The upgrade can fail due to object locks from executing applications.

· If this is a Visual LANSA Slave System install connecting to an IBM I, you will require a connection to the IBM i for the initialization phase of the install process. In this case, the IBM i LANSA System should be at the same version as the Visual LANSA System being upgraded. Your IBM i master system must be fully operational, with the appropriate listener jobs started.

· If a database log on or communications link fails during a Visual LANSA upgrade, you may not have completed the system initialization. In this case, simply log on to Visual LANSA to complete the initialization.

· If upgrading the IIS Plug-in (as part of the Web Server install), check that the IIS Administration Service has been stopped so that there are no locks on files.


4.2 Start the Upgrade

1. Start the install/upgrade process by inserting the Installing LANSA on Windows DVD in the DVD drive.

If you are upgrading a Windows Server system and then some Local Clients, update the server first. If there is an IBM i master as well, upgrade it first.

The initial install page will open:

Select Install LANSA from the initial Install menu.

The Setup Type window will open for you to select the type of action you wish to take:

In this case you will select Upgrade an older version of LANSA.

Existing Configurations

In this list are all your current systems with a version that can be updated by this upgrade process. If you have older versions that are not listed, you will need to update them as described in Upgrading previous versions of LANSA, before you can upgrade them.

Select one of the configurations in the list and press the Next> button.

This message will be displayed:

If the database is found to be valid, the following message is then displayed to determine if this is a Server or Client being upgraded.

If you are upgrading a Local Client, then the LANSA Repository won't be updated as there is no Repository on a Client system.


4.3 Options and Summary

The products that you already have within your LANSA system will be displayed. If there are any factors to be confirmed because they didn't exist in the previous version or the system requires further details, they will be displayed on the diagram with the usual question mark [image] which will be replaced with a tick [image] , once you have either checked or changed the data requested.

Once you have converted all the question marks to ticks, you may commence the Install process, Cancel the upgrade or return <Back to previous information.

Refer to the Options and Summary in the Installation section for details of the required option if necessary.


5. Modify or Repair an existing install

Using Setup Type: Modify or Repair an existing install allows you to repair an existing installed product as well as to add new products to an existing LANSA Version 12 system.

You may wish to do a re-install if LANSA files have been deleted, damaged or if file corruption is suspected. You may choose to re-install one or more features.

Select the Visual LANSA system that you wish to repair.

An Important Note if you have applied EPCs to the selected configuration.

If the EPCs updated any of the features that you will re-install, then, after this repair, you must re-apply those EPCs if you wish to return to your current software level.

Press Next> to continue.

A check will be made to ensure that the configuration that you have selected is suitable for this repair and/or modification:


5.1 Select the features to be upgraded

The list of features that you have on your selected LANSA configuration is displayed in the Installation/Upgrade - Features dialog:

Select the features you wish to repair or modify.

Recommended minimum drive space and Disk space statistics

Note the size increase required for the features selected and the available space on your workstation.

If you wish to continue, press the Next> button.

Options and Summary

The software that you selected will be displayed with a question mark against those items for which you either need to supply information or confirm details selected.

Once you have reviewed each items with a question mark,, it will be converted to a tick.

When all question marks have been reviewed, you will be able to continue to the Install or you can revert to the previous screen by pressing the <Back button.

Refer to the Options and Summary topic where you can Specify Options required by the individual features.

Once you have converted all the question marks to ticks, you may commence the Install process, Cancel the upgrade or return <Back to previous information.

Initialize Database and Partitions

None

Select this option if the Partitions are all initialized. This would generally be the case if performing a Modify or Repair of an existing install.

LANSA Open Translation Tables

Use default table based on CCSID 37

This option is only offered for backward compatibility. In previous versions of LANSA Open, the default option was to use the internal table which is based on CCSID 37. This option should now only be used if your existing applications are incompatible with the new EBCDIC 1140 -> WIN table.


5.2 Upgrade Visual LANSA & SQL Database

SQL Server database change

LANSA now allows the creation of collections with new SQL Server databases. This is a critical change to SQL Server functionality.

To use this new feature, create a new SQL Server database and then install LANSA to it. Collections will be automatically used.

If you already use SQL Server as your LANSA database and you created it using a version of LANSA prior to LANSA 11.3, and you have deployed applications that also use SQL Server, you MUST NOT use this new feature. You must continue to use a LANSA database created by prior versions of LANSA. This is because there is no migration possible from a database that does not support collections to one that does.

If you need to create a new installation of LANSA to maintain an application deployed prior to LANSA 11.3, then you must do one of the following:

· Install LANSA with a version of LANSA prior to 11.3

· Use an existing SQL Server database that was created with a version of LANSA prior to 11.3.

If you need to start using a new version of SQL Server to maintain an application deployed prior to LANSA V11.3, say upgrading from SQL Server 2000 to SQL Server 2005 - then you must do one of the following:

· Use SQL Server administration utilities to directly upgrade the SQL Server 2000 database to SQL Server 2005

· Use SQL Server administration utilities to export the entire SQL Server 2000 set of schema and data and import it to the SQL Server 2005 database

· Install LANSA to the SQL Server 2005 database with a version of LANSA prior to 11.3.

This feature is only available for use with applications that have not yet been deployed with a version of LANSA prior to LANSA 11.3. This also includes test environments that contain test data that must be retained.

If you are already using an Independent LANSA System created with a version of LANSA prior to 11.3 - one that does not have an IBM i Master - then you also CANNOT start using collections. This is because there is no migration possible.

If you are already using a Slave LANSA System created with a version of LANSA prior to 11.3, and that has not yet been eliminated because of one of the reasons described above, then provided you have checked all your changes into the IBM i you can use this new feature.


6. Uninstall LANSA on Windows

You can uninstall LANSA on Windows using the Microsoft Windows Control Panel's Add/Remove Programs feature.

The uninstall program allows you to Selectively remove each configuration of LANSA that is installed.

1. Select the LANSA program from the list and press the Remove button.

The configurations that can be removed are listed in the LANSA Selective Removal dialog.

2. Select the configuration to be removed and press the Remove button.

When you select the configuration to be removed, the Remove Configuration dialog is displayed.

The Remove Configuration dialog contains pertinent information. Please read this before continuing. If there are any related configurations, they are listed so that you can see what is dependent on some parts of the configuration being uninstalled. These related configurations are not altered and will continue to operate correctly after the selected configuration is removed.

3. Change the optional to be removed, if required, and press the Remove button.

A message is displayed listing the main LANSA system parts that will be removed. The ODBC DSN and the LANSA root directory are listed.

4. Press Yes to continue, No to return to the previous step.

You are reminded to stop various features that may still be executing. These must be closed.

5. Press Yes to continue, No to return to the previous step.

All files removed are put in the recycle bin, so they can be restored if necessary. Windows does not provide a registry restore feature. Restoring the files does not restore a working LANSA system. The restore is not intended to work.

After deleting a LANSA system, you must empty the recycle bin to make the disk space available for other purposes.


6.1 Files that are not removed

· The uninstall does not remove server databases. These must be manually removed.

· Files that are shared with another LANSA configuration are not removed, such as lroute.dat.

· Directories that contain files or directories that are not deleted are of course not deleted.


7. LANSA Windows License

If you are installing a new LANSA system, you must install the appropriate LANSA license codes for your LANSA products. If you are upgrading existing LANSA products, you may require new LANSA license codes under specific circumstances (where you will be notified in advance by your product vendor). The type and number of licenses required depends on your LANSA system and its configuration. Not all LANSA software components require license codes.

For Licensing details such as how to apply for a license and how to record it on your machine, refer to Product Licensing on the LANSA Web site.


8. LANSA for the Web Single-tier Communication Setup

If you are using LANSA for the Web on Windows in a single tier configuration, you will need to perform one or more of the following tasks:

Check List Web-Enable the Partition Set up Communications to the Data/Application Server Configure the Data/Application Server Configure IIS Plugin Communications Test

Windows XP has been used for all examples and graphics.
This chapter describes a single-tier Windows configuration using IIS Plug-in to be used for development.


8.1 Before You Begin Checklist

Before you begin the Single-tier Web Development task, check the following:

· Is the Microsoft Internet Services (IIS) installed? You must have this software installed. Refer to Microsoft IIS and the IIS Plug-in.

· The LANSA for the Web IIS Plug-in automated configuration uses Microsoft Windows Script Host (WSH). To determine if WSH is installed, search for the wscript.exe program. This program can be downloaded from the Microsoft Web site.
If you do not have Windows Script Host, install it and rerun the installation of the Web server component of the LANSA install again.

· Check that the appropriate LANSA Licenses have been entered. (Refer to Task: Record a LANSA Windows License Code.)

· If this is a new installation, you should have completed a simple test to ensure that the Visual LANSA development environment is operational. (Refer to Task: Test Visual LANSA.)

· Is the partition web enabled? It must be web-enabled before you import a LANSA for the Web application or execute or develop with LANSA for the Web.
If your partition is not web-enabled, perform Task: Web-enable the Partition, otherwise you may bypass this task.


8.2 Task: Web-enable the Partition

Note: This task assumes that you will be working with the shipped DEM partition and the PCXUSER profile. Similar steps are required to work with a different partition and profiles.

Start the Visual LANSA development environment.

Enter your User ID and Password, AND BEFORE YOU PRESS OK, select the Partition and click the Partition Initialization button.

If the partition is already enabled, the Enable LANSA for the Web option will be checked (that is, ticked). If this is the case, simply press Cancel and go to the next step.

If the partition is not Web enabled, select the Enable LANSA for the Web option and press OK. The response will be a message for each language in the partition. When the process has finished successfully, the Login dialog will be displayed.

Note:

· If you are not using the DEM partition, select Personnel System Demonstration material so that the demonstration system is installed and ready for when you get to Task: Test LANSA for the Web.

If the Web enabling process fails, you will get a message that a number of imports have failed and the partition initialization dialog will be displayed again. Press the Show Last Log button for further information.

Tip

If you intend to use the e-Business Framework Wizard (for further details, refer to Import the Wizard into the Partition) then select the e-Business Framework Wizard option at this time.


8.3 Task: Communications Link to Data/Application Server

Once the required LANSA software has been installed on the Data/Application Server, you must configure a communications link or Listener on the Data/Application Server. The Listener will enable communications from the Web Server to the Data/Application Server. This link will also allow the LANSA for the Web Administrator to be run in a client/server mode from a Windows PC for administration and configuration purposes.

In this task, you will start the Listener on the Windows Data/Application Server and you will optionally create a Windows User to allow the proper Web access on the Windows Data/Application Server.

Communications to a Windows Data/Application Server

Complete the following tasks:

Configure LANSA Listener on Windows Data/Application Server

Set up Users on Windows Data/Application Server

Once you have completed these tasks, the LANSA Listener Configuration will be complete.

Note: Communications to an IBM i Data/Application Server

If you are using an IBM i Data/Application Server, a default listener is configured as part of the LANSA installation. For details, refer to LANSA for the Web Configuration and Set Up on IBM i in the Installing LANSA on IBM iGuide.


8.3.1 Configure LANSA Listener on Windows Data/Application Server

The Data/Application Server must have its communications set up before it can be linked to the Web Server. A Windows service called the Listener (LCONNECT) must be started. The Listener provides the Data/Application Server's side of the TCP/IP link to the Web Server. The LANSA for the Web Administrator and Function Editor also use the Listener.

The Configure LANSA Listener on Windows Data/Application Server task includes the following steps:


Step 1. Start the LANSA Communications Administrator on Windows Data/Application Server

On the Windows Data/Application Server, start the LANSA Communications Administrator by opening the LANSA folder from the Start menu, selecting the Settings and Administration folder and choosing the LANSA Communications Administrator from the list.

Select the LANSA Communications Administrator icon to start the program. The Host Routes will then be displayed.

Note: Generally, host routes do not need to be defined on the Server unless you are running the LANSA for the Web Administrator and Function Editor on the Server.

1. Select the Advanced menu and choose the Listener command (or use Ctrl+I) to open the Listener Information dialog box.

If the Listener is not listed in the menu, it means that it is not installed. To install one, start a command prompt and run this command:

lcolist -i

from the LANSA Connect directory (for example, <drive>:\Program Files\LANSA\Connect).

Once this has been completed, select the Advanced menu and choose the Listener command to open the Listener Information dialog box.

2. In the Listener Information dialog box:

a. Ensure that Socket is selected as the Communications Method.

b. Set Number of Threads to Listen on to 4.

3. Press the Start Listener button. The LCONNECT service will be started.

4. Press OK to update the Listener Information.

5. Exit from the LANSA Communications Administrator.


Step 2. Configure Listener Service to Start Automatically (Optional)

It is recommended that you set the Lconnect Services to start up automatically. The Server install sets automatic start up by default. If you are not sure whether this default is in use, start a command prompt and execute this command:

lcolist -iauto

from the LANSA Connect directory (for example, <drive>:\Program Files\LANSA\Connect).

Start the LCONNECT service again.

Go to Set up Users on Windows Data/Application Server.


8.3.2 Set up Users on Windows Data/Application Server

A Windows User is needed to:

· allow the LANSA for the Web Administrator to communicate with the Data/Application Server.

· allow the LANSA IIS Plug-in on the Web Server to communicate with the Data/Application Server.

A Windows User can be created for this purpose during the LANSA install process and it is added to the Windows LANSA Users group. In this documentation this user is referred to as PCXUSER.

Note: If a workstation belongs to a Windows domain and a Windows User exists on both the Domain and the Local (on the workstation), the Local User logon takes precedence. This is especially important as the User created during the install may conflict with the Domain User.

If you wish to create a different user for Web access, then you can do so in these steps:

· Step 1. Create User for Default Web Access

· Step 2. Add User to LANSA User group


Step 1. Create User for Default Web Access

If you use the Windows User that was created during the LANSA Install you do not need to perform this step.

Note: The following steps describe the Windows XP procedures. These may not be exactly the same in all versions of Windows.

1. From the Start menu, select Settings, then open the Control Panel folder.

2. From the Control Panel, select the Administrative Tools, then select Computer Management.

3. Select Local Users and Groups.

4. Right click on the Users folder and select New User... from the pop-up menu.

Enter these details in the New User dialog box:

User Name: Full Name: | e.g. WEBUSER (This must be a valid LANSA User. To be valid, it must be assigned to a LANSA task.)
Description: | Web User Account for LANSA
Password: | e.g.password (Remember: passwords are case sensitive!)
Check (select) these options: | Password never expires and User cannot change password.

If you intend to use the trace facilities of the Listener, then you must give this Windows User Administrator rights temporarily, otherwise the Listener job may terminate with an exception in kernel32.dll.

Press Create to create the new User and then Close to return to Computer Management.


Step 2. Add User to LANSA User group

For each user you wish to use to connect to the Data/Application Server using the Web Administrator, you need to add that user to the LANSA User group which is created by the LANSA install. Every user in this group will have permissions to update the User Registration using the Web Administrator.

To add a User to the LANSA Users group:

1. While still in Computer Management, select Local Users and Groups and then Groups.

2. Right click on LANSA Users and select Properties from the pop-up menu to open the LANSA Users Properties dialog.

3. In the LANSA Users Properties dialog, press the Add button to open the Select Users, Computers, or Groups dialog.

4. Choose the location of the new WEBUSER, then enters the name WEBUSER in the Enter the object names to select entry box.

5. Press OK and your new user will be added to the LANSA User Group dialog box.

6. Press OK and then exit Windows User Management.

The LANSA Listener Configuration is now complete.

Ý Task: Communications Link to Data/Application Server.


8.4 Task: Configure Data/Application Server

Once you have the LANSA for the Web Administrator installed and connected to the Data/Application Server properly configured (as described in Task: Communications Link to Data/Application Server), you are ready to configure the LANSA for the Web software on the Data/Application Server.

Windows Data/Application Server

If you are using a Windows Data/Application Server, complete these tasks:

Before You Begin Checklist

Step 1. Start the LANSA for the Web Administrator with Windows Data/Application Server

Step 2. Windows User Registration

Step 3. Test the LANSA for the Web Function Editor and Windows Partition Set Up

These steps must be done carefully. Otherwise your Web Applications will not run successfully.

IBM i Data/Application Server

If you are using an IBM i Data/Application Server, a default configuration is installed as part of the LANSA installation. For details, refer to the Installing LANSA on IBM i guide.


8.4.1 Before You Begin Checklist

Before you begin the Configure Data/Application Server with the LANSA for the Web Administrator task, check the following:

· Is the Listener active on the Data/Application Server? If not, return to Configure LANSA Listener on Windows Data/Application Server.

· Do you have the required Web Users linked to the LANSA Users Group? (For example, PCXUSER and/or WEBUSER)? If not, return to Set up Users on Windows Data/Application Server.

Go to Step 1. Start the LANSA for the Web Administrator with Windows Data/Application Server.


8.4.2 Step 1. Start the LANSA for the Web Administrator with Windows Data/Application Server

Start the LANSA for the Web Administrator by opening the LANSA folder from the Start menu, selecting the Settings and Administration folder and choose the Web Administrator from the list. If this step is unsuccessful, then the partition may not have been web-enabled as described in Task: Web-enable the Partition.

Note: In order to have full authority to use all the Administrator's options, the User connected to the Web Administrator must be the LANSA security officer or product owner.

The LANSA Web Administrator main window will open.

Choose the Options menu and select the Connect command.

The System Defaults dialog box will be opened.

Enter the following information (for details about any of the requested parameters, use the Help button):

LANSA System

Enter *LOCAL. (This is the Server name defined in the LANSA Communications Administrator.)

Host Type

Select Other from the drop down list.

Partition identifier & Language

Set your Partition identifier and Language.

Userid

Enter the User Name created in Set up Users on Windows Data/Application Server.

Password

Enter corresponding password. (Note that the password is case sensitive.)

Save Password

Optional: Select option as required.

Select the Save As... button and enter a Profile name to save these entries. (The Profile name can be any name you wish to use.)

Note: If the Web Administrator is connecting to a Data/Application Server that it is not compatible with, such as an earlier version, an error message will be issued. You will need to update your versions before continuing.

Go to Step 2. Windows User Registration.


8.4.3 Step 2. Windows User Registration

1. Choose the Security menu and select the User Registration command.

The User Registration window is displayed.

Note that the install has created a DFTUSR/<ANY> <ANY> entry using the Host User Id specified during the install. To create a new user, you can press the Add button or you can right click on the Web User ID column and select Add from the pop-up menu displayed.

Go to Step 3. Test the LANSA for the Web Function Editor and Windows Partition Set Up.


8.4.4 Step 3. Test the LANSA for the Web Function Editor and Windows Partition Set Up

Start the LANSA for the Web Function Editor by opening the LANSA folder from the LANSA icon on your desktop and selecting the Web Function Editor.

Connect to the Data/Application Server.

Use the Sign On information, based on the User you created during the Install process.

LANSA System

Enter *LOCAL. (This is the Server name defined in the LANSA Communications Administrator.)

Host Type

Select Other from the drop down list.

Partition identifier & Language

Set your Partition identifier and Language.

Userid

Enter the User Name you created in Set up Users on Windows Data/Application Server.

Password

Enter the password. (Note that the password is case sensitive.)

Save Password and Auto-connect on startup

Optional:

Select both of these options. Select the Save As... button and enter a Profile name to save these entries. (The Profile name can be any name you wish to use.)

Note: The User you use to connect to the Web Administrator must be the LANSA security officer or product owner in order to have full authority to all the Administrator's options.

In the LANSA for the Web Function Editor, choose the File menu and select the Open command to display a list of the current HTML pages in your partition.

Check that the page DEFAULT_SCRIPT is in the list. If it is, the LANSA for the Web Administrator is operating correctly and the partition is properly configured.

If the page DEFAULT_SCRIPT is not listed, then the partition has not been Web enabled. Refer to LANSA for the Web Troubleshooting for the action to take to Web Enable the partition.

Exit from the LANSA for the Web Function Editor.

The Windows Data/Application Server configuration is now complete.

Ý Task: Configure Data/Application Server.


8.5 Task: Configure IIS Plug-in Communications with Data/Application Server

If you are using a Windows Web Server, you will need to configure the IIS Plug-in communications to the Data/Application Server using these steps:

· Before You Begin

· Step 1. Start the LANSA for the Web Administrator

· Step 2. Define Connection to Data/Application Server

· Step 3. Select Web Server Behavior

· Step 4. Specify Data/Application Server Connection

· Step 5. Restart IIS and Verify the Web Server is ready to use

The Data/Application Server may be a Windows or IBM i Server.

Once you have completed these steps, go to Task: Test LANSA for the Web.


8.5.1 Before You Begin

Before you begin the Configuring IIS Plug-in Communications with Data/Application Server task, check the following:

· Does the LANSA Communications Administrator have a host route entry?
If not, set one up using the LANSA Communications Administrator.

· Is a LANSA Listener configured on the Data/Application Server?
(Refer to Visual LANSA Configure LANSA Listener on Windows Data/Application Server. If using LANSA for iSeries, refer to the Installing LANSA on IBM i Guide.)

· Have you tested any communications (non-LANSA) between the Web Server and Data/Application Server?

Go to Step 1. Start the LANSA for the Web Administrator.


8.5.2 Step 1. Start the LANSA for the Web Administrator

On the Windows Web Server, start the Web Administrator by opening the LANSA folder from the Start menu, selecting the Settings and Administration folder and choose the Web Administrator from the list.

The LANSA Web Administrator's main window will open.

Choose the Options menu and select the Local Configuration and Open command.

On the standard File Open dialog, select L4W3Serv.cfg from the IIS Plug-in installation directory and press OK. (By default the local configuration file is installed in the <drive>:\Program Files\LANSA\WebServer\IISPlugin folder.)

The default configuration created by the install will now be loaded for you to adapt to your environment.

Go to Step 2. Define Connection to Data/Application Server.


8.5.3 Step 2. Define Connection to Data/Application Server

Choose the Tools menu and select the Maintain Systems command.

Select the pre-set system installed, press the Change button. This system was created during install

You will now be able to set the values on the Web Server, Data/Application Server, Connection Management and Hold System tabs.

Go to Step 3. Select Web Server Behavior.


8.5.4 Step 3. Select Web Server Behavior

Enter the following information:

Web Server

For Name and Port, select Any unless you are using multi-homing support.

If you are using multi-homing support, select the Specific option and enter either the DNS Name (for example: www.xyzzy.com) or the IP Address (for example: 124.54.56.21) in the Web Server Name field.

The values you enter for Name and Port must match the System Name and Port defined for the default user in the LANSA for the Web Administrator. DFTUSR is the default user when Anonymous User for all partitions is selected. If these values are not the same, when you run a LANSA function from your browser, it will return a Dealloc Abend message.

Spool File Access (HTML mode) IBM i only

Mandatory. Select an entry from the drop down list to set the level of user access to view IBM i Spool files via LANSA for the Web. This setting will only be relevant if you connect to an IBM i Data/Application Server and retrieve HTML.

Refer to LANSA for the Web Spool File Facility in the Web Housekeeping Guide to find out how to view spool files.

Default Technology Service

The technology service to use if no specific technology service is nominated in the user agent request.

Secured Sockets Layer (SSL) Support

Optional. Select this option if you want to enable SSL for this system.

If you have SSL support enabled, remember that the default port for SSL is 443.

Server Side Include (SSI) Support

Optional. Select this option if you want to enable SSI support for this system. Make sure that your Web serving product is capable of supporting this feature before enabling this option.

Note: SSI is currently partially supported by Windows using LANSA for the Web IIS Plug-in.

Disable Web server side XSLT

Select this option if you want to disable Web server side XSLT.

Go to Step 4. Specify Data/Application Server Connection


8.5.5 Step 4. Specify Data/Application Server Connection

Select the Data/Application Server tab.

Enter the following information:

LANSA Name

Enter the name of the host (for example *LOCAL) that is acting as your Data/Application Server. This name must match the Partner LU Name specified for the LANSA Communications Administrator.

LANSA Library

If you are using an IBM i Data/Application Server, enter the name of the LANSA program library.

If you are using a Windows Data/Application Server, leave this field blank.

Partition

You may specify the default partition used for all the requests for this Web Server/Port. If a partition is specified, it will override any partition specified in the URL.

If no partition is specified here, you must specify the partition parameter in your URL.

User ID, Password and Confirm

Specify a user profile and password for the Data/Application Server. A user profile is required to allocate a communications conversation between the Web Server and the Data/Application Server.

If you are using an IBM i server, you may enter the user password of the default user profile you defined during the LANSA for the Web setup.

If you are using a Windows server, this user/password will be the user/password specified in Step 2. Create User for Default Web Access in the Configure Listener on Windows Data/Application Server task.

Code Page

Enter the parameter to specify the Code Page translations to be applied for communications between the Web Server and the Data/Application Server as shown in this table:

Web Server | Data/Application Server | Code Page | Note
IIS Plug-in | Windows/UNIX/Linux | Leave blank |
 | IBM i | WPI_Cp037 | Note 1

If left blank, no code page translations will be performed.

Note 1: If you are using an IBM i Data/Application Server, enter a value of 'WPI_Cp037'. This is the name of the default EBCDIC translation table shipped.

Test Connection

Use the Test Connection button to verify the User and Password.

Press OK to save your setting or select the Options menu and choose the Save file. If you do not save your settings, the changes you have made will not be applied.
Exit from the LANSA for the Web Administrator.

Go to Step 5. Restart IIS and Verify the Web Server is ready to use .


8.5.6 Step 5. Restart IIS and Verify the Web Server is ready to use

Restart IIS to ensure the new settings take effect.

In these steps localhost is used as the web server name.

1. Check that IIS is started (Automatic Start is recommended).

2. Verify that IIS services are running.

3. Start IIS Admin Console.

4. Verify that Default Web Site is running.

5. Start your Web browser and type the following URL:

http://localhost

A welcome page for IIS should be displayed.

6. Check that the IIS Plug-in itself is working by running from Internet Browser using this Web address:

http://localhost/CGI-BIN/About

A message with the version of IIS Plug-in will appear with the details of the IIS Plug-in loaded.

If you encounter any problems, refer to LANSA for the Web Troubleshooting Checklist.

7. Check that the IIS Plug-in can connect to the Data Application Server by running from Internet Browser using this Web address:

http://localhost/CGI-BIN/LANSAWEB?About

A message with the version of IIS Plug-in will appear with the details of the IIS Plug-in loaded.

If you encounter any problems, refer to LANSA for the Web Troubleshooting Checklist.

Go to Task: Test LANSA for the Web.


8.6 Task: Test LANSA for the Web

After you have installed and configured LANSA for the Web installation, you can execute the following URL as a simple test of your web configuration. For the test to work successfully, you will need to have elected to install the Personnel System with the DEM partition.

Choose the test that applies to your system:

RDML Partition

RDMLX Partition

RDML Partition

Execute the following URL as a simple test of your web configuration:

http://<your path>/cgi-bin/lansaweb?procfun+lansatest+webtest+dem

The following page should be displayed:

If this image does not appear, refer to What if my images do not appear in my applications? in the Installing LANSA on IBM i Guide.

If the Next button does not move to the next page, refer to What if my buttons do not work properly in my applications? in the Installing LANSA on IBM i Guide.

RDMLX Partition

Execute the following URL as a simple test of your web configuration:

http://<your path>/CGI-BIN/lansaweb?webapp=LWAMTEST+webrtn=lwamtest1+ml=LANSA:XHTML+part=<your RDMLX partition>

The following page should be displayed:

If this image does not appear, refer to What if my images do not appear in my applications?

Once you have completed this task: Test LANSA for the Web, you have completed the LANSA for the Web Installation.


8.7 Task: LANSA for the Web e-Business Framework Wizard

The LANSA for the Web e-Business Framework Wizard consists of a set of LANSA files, functions, system variables and Web components. The LANSA for the Web e-Business Framework Wizard can be installed when you install LANSA on Windows, or you can add it to a partition at any time using the Partition Initialization dialog as shown below.

The import includes some LANSA processes, WIZARD2, WIZARD3, WIZARDX and their related functions. A number of Web components are also imported into your system. These components are prefixed with WIZ.

To confirm that the import has been already been executed, check if a process named WIZARD2 exists in the partition.

You will find details of this Partition Initialization step in Task: Web-enable the Partition.

Execution Only

If you are only executing a LANSA application created using the Web e-Business Framework Wizard, you do not need the Wizard in the partition. Be sure to review Application Import/Export in the Web Functions Wizard Guide to ensure that your application is properly exported and imported.

Wizard Images Files on Windows Web Server

If you are using a Windows Web Server, the Web e-Business Framework Wizard images are installed with the IIS Plug-in. The IIS Plug-in installation includes the install of all LANSA for the Web image files on the Web Server.

Impact on Existing Applications

Before you begin, it is recommended that you review the Impact on Existing Applications in the Web Functions Wizard Guide.

Test the Wizard Installation

In order to test that the Wizard has been installed correctly, complete Tutorial 1 - Executing the Wizard in the Web Functions Wizard Guide.

If you are not able to execute the Wizard, refer to the Troubleshooting section of the Web Functions Wizard Guide.

Also see

For installing the Web e-Business Framework Wizard on the IBM i, refer to the Installing LANSA on IBM i Guide

For details about the Web e-Business Framework Wizard, refer to the Web Functions Wizard Guide.

To learn how to use the Wizard, refer to Wizard Tutorials in the Web Functions Wizard Guide.


8.7.1 Wizard Security

The LANSA for the Web security and authentication rules apply to the Wizard processes and functions. For details, refer to the Security section of LANSA for the Web Configuration in the LANSA for the Web Introduction.

To set up process level authentication, refer to Configure LANSA for the Web Security in the Installing LANSA on IBM i Guide.

You will want to secure this process:

WIZARD2

Note: You can also use task tracking with the Wizard. If you have task tracking enabled, refer to Task Tracking in the Web Functions Wizard Guide.


8.8 Web on IBM i versus Windows: Platform Differences

For a listing of LANSA for the Web platform differences, refer to the Summary of Platform differences in the LANSA for the Web Housekeeping Guide.

Ý LANSA for the Web Single-tier Communication Setup.


9. LANSA Integrator Configuration and Set up on Windows

If you are using LANSA Integrator on Windows, you may need to perform one or more of the following configuration and set up tasks:

Task: Configure the Java Service Manager on Windows

Task: Test Java Service Manager on Windows

Task: Specify Default Server for JSM Client.


9.1 Task: Configure the Java Service Manager on Windows

After you have installed the LANSA Integrator, you must check that the default instance values are suitable.

Before You Begin

Before you begin to configure the JSM Server on Windows, check the following requirements:

· Have you installed the JSM Server software using the LANSA Windows Software DVD?

· Do you have you new license codes for this version of LANSA Integrator?

· Do you know the selected directory structure used by the LANSA Integrator install?

· Do you know the IP address of the JSM Server?

Step 1. Upgrade License Codes

You should have requested your new LANSA Integrator license before installing or upgrading the software. For details about obtaining Windows license codes for LANSA Integrator, refer to LANSA Windows Licenses.

Copy the supplied lansakey_<MachineId>.txt to the JSM instance system subdirectory and name the file lansakey.txt. For example, the default file location is:

C:\Program Files\LANSA\Integrator\JSMInstance\system\lansakey.txt

Alternatively use Studio to upgrade the license codes.

Start the Windows Explorer and confirm that the lansakey.txt file is present.

Step 2. Confirm JRE/JDK Installed and Confirm Version

LANSA Integrator can be installed without a Java Runtime Environment (JRE) or a Java Development Kit (JDK) on the machine. However, it will not execute until the appropriate JRE has been installed. Confirm that you have JRE 1.4 or greater installed in order to use LANSA Integrator.

UserAgent and Studio only require a JRE to be installed. The SOAP Wizard requires a JDK to compile the Apache Axis and Wizard generated source code. RFI example also requires a JDK to compile the sample code.

Note: If a Java Runtime Environment was not installed when LANSA Integrator Studio, RFI or User Agent were installed, any shortcuts to these LANSA Integrator programs may need to be updated as the location of the javaw.exe program was not know at installation time. For example, you should change the equivalent of the bolded portion of the address to the actual address:

Studio short cut

javaw.exe -Djava.ext.dirs="C:\Program Files\Java\j2re1.4.2_15\lib\ext;.\lib\ext" -Djava.endorsed.dirs=.\lib\endorsed com.lansa.jsf.studio.JSFStudio

UserAgent short cut

javaw.exe -Djava.ext.dirs="C:\Program Files\Java\j2re1.4.2_15\lib\ext;.\lib\ext" -Djava.endorsed.dirs=.\lib\endorsed com.lansa.jsf.useragent.JSFUserAgent

Step 3. JSM Administrator and Log File

Check that the JSM Administrator has been installed. An entry should appear in Microsoft Service Control Manager. For more details about the JSM Administrator, refer to the LANSA Integrator Guide.

If the JSM Administrator service's Start-up Type is set to Automatic, Microsoft Service Control Manager will start the service automatically during system startup. If it is set to Manual, you need to use Microsoft Service Control Manager to start the JSM Administrator. JSM Administrator starts the Java Virtual Machine and launches the Java Service Manager. Install automatically starts the JSM Administrator, which performs an upgrade process. JSM Administrator will then terminate.

Log files will be produced in the JSM instance directory (…\Integrator\JSMInstance). The files are STDOUT.TXT & STDERR.TXT, which are also used for tracing.

Review the log files before using the JSM Server. These files may contain information regarding any updates required to property files.

If you attempt to start the JSM Administrator again, it should start successfully.

Step 4. JSMDirect

Check that JSMDirect is installed in a cgi-bin enabled directory under your Web Server.

If IIS is installed on the target PC, the install/upgrade software will automatically configure IIS to cgi-bin enable the JSMCGI folder, which is where JSMDirect.exe is installed.

If IIS is not installed, you will need to manually configure the Web Server.

Next, you must manually specify the Windows logon for executing the JSMDirect.exe CGI program. By default, IIS would use the default Windows logon IUSR_<machinename> to execute CGI programs. Normally, the default Windows logon does not have enough privileges to access the LANSA installation directory and will not be able to run LANSA applications properly.

To specify the Windows logon:

1. Start the Internet Services Manager.

2. Browse to the virtual directory cgi-bin and right-click on the file jsmdirect.exe in the virtual directory and select menu item Properties to open the jsmdirect.exe Properties dialog box.

3. Select the File Security tab and then press the Edit button in the frame titled Anonymous access and authentication control to open the Authentication Methods dialog box.

4. Check (select) the Anonymous access option and click on the Edit button next to the Account used for anonymous access label to open the Anonymous User Account dialog box.

5. Uncheck (i.e. deselect) the Allow IIS to control password option - this is IMPORTANT if you specify a Windows logon username which is not located on the workstation - then specify the Windows logon username and password of the user profile used to run LANSA applications. The case of the password must match the case of the password as it was entered into Windows User Maintenance. Note that if a workstation belongs to a Windows domain and a Windows User exists on both the Domain and the Local (on the workstation), the Domain User logon takes precedence.

6. Close all the opened dialogs by clicking on OK.

Note: Depending on your version of Windows, the corresponding administration programs may be different to those described above. In the event of a query, check the documentation for your Windows operating systems for more information.

Note that the specific Windows logon must have as a minimum read/write access rights to the LANSA installation directory in order to run LANSA applications properly. Check the corresponding documentations for more information.

The specific Windows logon is also required for obtaining log files from JSMDirect.exe. For more details refer to Log files (Windows) in the LANSA Integrator Guide.

Ensure that x_lansa.pro contains an entry USER=<the LANSA user profile that JSM http requests will be given>. When a request is received by JSM to run a function, this is the LANSA user profile that the job will run under.

Step 5. JSMProxy

If you are using JSMProxy, check that JSMProxy is installed in a cgi-bin enabled directory under your Web Server.

If IIS is installed on the target PC, the install/upgrade will automatically configure IIS to cgi-bin enable the JSMCGI folder, which is where JSMProxy.exe is installed.

If IIS is not installed, the user will need to manually configure their Web Server.

As in Step 4. JSMDirect, you need to specify the Windows logon for executing the JSMProxy.exe CGI program.

Apply the same procedure as in Step 4. JSMDirect for the CGI program jsmproxy.exe in the virtual directory "cgi-bin ".

The specific Windows logon is also required for obtaining log files from JSMProxy.exe. See "Log files (Windows)" for more information.

Step 6. Locate Properties Files

If you have used the default installation directory, you will find the following directory structure installed on your server:

· <drive>:\Program Files\LANSA\Integrator\JSMInstance\…

Within the JSM_INSTANCE directory are several directories, which contain files used to configure the JSM server. You should be aware of the contents of the following directories:

· <drive>:\Program Files\LANSA\Integrator\JSMInstance\properties

· <drive>:\Program Files\LANSA\Integrator\JSMInstance\system

If you are using tracing, you will also need to locate the directory:

· <drive>:\Program Files\LANSA\Integrator\JSMInstance\trace


9.2 Task: Test Java Service Manager on Windows

The Java Service Manager can be accessed using the LANSA Built-In Functions. It cannot be accessed using 3GL programs on Windows. On an IBM i, you can use 3GL programs.

Testing the Java Service Manager task includes these steps:

Before You Begin

Before you begin to test the JSM Server on Windows, check the following:

· Have you installed the JSM Server?

· Have you installed the JSM Server licenses?

· Have you installed Studio, User Agent, or RFI? (These are optional.)

· If you are planning to use the User Agent, do you know the IP address of the JSM Server?

· Do you have a Visual LANSA Data/Application Server installed? The Visual LANSA Data/Application Server can be installed on the JSM Server or on another server.

Step 1. Start JSM Administrator

If the JSM Administrator service's Start-up Type is set to Automatic, Microsoft Service Control Manager will start the service automatically during system startup. If it is set to Manual, you need to use Microsoft Service Control Manager to start the JSM Administrator. JSM Administrator starts the Java Virtual Machine and launches the Java Service Manager.

If the JSM Server does not start, refer to Troubleshooting.

Step 2. Review the Online Tutorials

· Review the tutorial section of the LANSA Integrator Guide for a set of introductory exercises.


9.3 Task: Specify Default Server for JSM Client

During a Visual LANSA install, a default file (jsmcltdta.txt) is inserted into the LANSA Execution Environment's path (<root directory>\X_WIN95\X_LANSA).

Below is the jsmcltdta.txt file's contents when it is first installed:

# localhost:4560 is the installed value for DefaultServer

# If you are connecting to a different server and/or using

# a different port, please change the setting below to reflect

# the server and/or port, ie,

# DefaultServer=MyHost:4560

DefaultServer=localhost:4560

ExcludePrefix=JSM

Please change these two entries as required:

Keyword | Comment
DefaultServer | Defines the default location of the JSM Server. If JSM_OPEN is called without arguments then the default server location as specified in JSMCLTDTA.txt will be used. Example: DefaultServer=localhost:4560
ExcludePrefix | Defines which fields will be excluded from being exchanged with JSM Server. Example: ExcludePrefix=JSM


10. LANSA Open Configuration and Set up on Windows

Following is some additional information about the set up and configuration of LANSA Open:

Task: Configure LANSA Open Communications

Summary of LANSA Open Installed Objects

Configuration File


10.1 Task: Configure LANSA Open Communications

When the LANSA Open installation has been completed, you must set the communications options using the LANSA Open Configurator.

The Configure LANSA Open Communication tasks includes the following steps:

Before You Begin

Step 1. Execute the LANSA Open Configurator

Step 2. Prepare LANSA for iSeries Server


10.1.1 Before You Begin

Before you begin the Configure LANSA Open Communications task, check the following:

· Have you completed the installation of the LANSA Open software using the current LANSA Windows Software?

· Have you reviewed the communication requirements as defined in the LANSA Open Checklist?

Note: You must log on as an Administrator before you can change the configuration.

Go to Step 1. Execute the LANSA Open Configurator.


10.1.2 Step 1. Execute the LANSA Open Configurator

Start the LANSA Open Configuration (LSCFG32.EXE) from the LANSA Open program group.

The Configuration File parameters are set to default values during the installation process. When the LANSA Open installation has been completed, you must review the default values and change them to suit your installation's requirements.

The Configurator includes tabs sheets for:

· Communication and Session Parameters

· Directories

· Regional Parameters

· Format Parameters.

Refer to the help text supplied with the LANSA Open Configurator for details of each option.

Go to Step 2. Prepare LANSA for iSeries Server.


10.1.3 Step 2. Prepare LANSA for iSeries Server

If you are not already using LANSA Open, you will need to prepare the IBM i server for access by your client server applications. The set up and configuration details are described in the Installing LANSA on IBM i Guide.

The preparations include the following types of tasks:

· user profile configuration (including library list and data access)

· adding I5/OS directory entries

· entering LANSA license code

· adjusting LANSA system data areas

· TCP/IP listener configuration (if required)

· LANSA Repository preparations (e.g. loading files).

Go to the Installing LANSA on IBM i Guide.


10.2 Summary of LANSA Open Installed Objects

Following is a summary of the files installed as part of the LANSA Open Core files.

LANSA Open Workstation Files

The following files will be installed into the default Destination Directory or the Directory you have nominated:

· The Windows 32 DLL (LCOEW32.DLL)

· README.TXT

· A Configurator program

· A Help file.

Development Tools and Samples

All the necessary files to provide you with the Visual Basic, C and REXX sample and demonstration programs will be installed. These programs can be used to help you to develop your own applications. Refer to the Guidelines for Using LANSA Open in the LANSA Open Guide for further details about these files.

LANSA Communication Extensions

When you accept this option, the workstation components of the LANSA Communications Extensions are loaded.

LANSA Open's Messages

LANSA Open's messages are recorded in the file LCOEMESG.DAT. The error messages can be displayed in any language by modifying this file. To enable a modified LCOEMESG.DAT file to be used, it must reside in a directory in the PATH statement of your AUTOEXEC.BAT file. It is recommended that you install the file in the WINDOWS directory.

A copy of the LCOEMESG.DAT file is supplied in the SAMPLES directory. To customize the messages, copy the LCOEMESG.DAT file and translate the text into the appropriate language.

When creating a customized LCOEMESG.DAT file, note that:

· The message numbers should NOT be changed, nor should any of the '%' sequences such as '%d', '%c' or '%.100s'. These '%' character sequences will be replaced with text, such as field and file names related to the error, and are language independent.

· The length of each message should not exceed 150 characters. Any characters over this length will not be displayed.

· Messages should not extend over more than one line.

The LCOEMESG.DAT file is not required if messages are to be displayed in the English language.


10.3 Configuration File

LANSA Open's Configuration File parameters are recorded in the Windows System Registry.

The Configuration File parameters are set to default values during the installation process. When the LANSA Open installation has been completed, you must review the default values and change them to suit your installation's requirements.

You will view and maintain the Configuration File using the LANSA Open Configurator (LSCFG32.EXE). Always use these dialogs to view or change this file. Never use a text editor to change these details.

You can override some of LANSA Open's Configuration File parameters. The LANSA Open function which overrides a parameter is included with each parameter's description.

Note: You must log on as an Administrator before you can change the configuration.

To reach the Configurator, select LANSA Open Configuration from the LANSA Open program group.


10.3.1 Communication and Session Parameters

Although not shown in the screen captures, the LANSA Open Version you are using is displayed at the bottom of all the LANSA Open Configuration windows.

Host System Name

Host System Name specifies the Host System to which LANSA Open is to connect.

Tip

If you have more than one host system in your network, the LANSA Open function LceUseSystem can be used during session definition to specify the host system to which you wish to connect.

Host Program

This is the name of the transaction program to be invoked on the host. The transaction program is loaded when you install LANSA on the host.

The name must always be entered in uppercase (capitals).

If the host system is not an AS/400, the name will have .DLL appended to it and the library portion, if present, will be ignored.

The default name is 'LCXP0010'.

Session Limit

Session Limit specifies the maximum number of concurrent sessions that the workstation can support.

The default is 10.

Open File On Demand

This option allows you to control when the files are opened at the Host.

If you choose to use this option [ [image] ], LANSA Open will open files only as they are used. This saves considerable time when many files are used in a session, however, if the session finds a file which does not have an I/O module, unacceptable processing delays may occur.

If you choose not to use this option, LANSA Open will check that all the files have I/O modules before starting the session. If files without I/O modules are detected, the Open Session function will fail.

The default is no tick.

Tip

The LANSA Open function, LceSetSessionOption, can be used to change this option for an individual session.

Communications Type

This option is to specify the type of communications being used with the host system.

If PC Support (now known as Client Access/400) is selected, then the Enhanced APPC interface will be used.

If APPC/CPIC is selected, then the CPI-C or TCP/IP interface will be used, depending on the APPC Communications DLL Name entered.

APPC/CPIC is the default.

Refer to the Communications Software section in Before You Start for more information about this option.

The LceSetCommsType function allows you to vary this parameter for an individual session.

APPC Communications DLL Name

If you have specified APPC/CPIC as the Communications Type, then you should either select the Default option or enter the name of the 32 bit CPI-C DLL you will be using.

If you are using TCP/IP, enter LCOMGR32.DLL as the DLL name.

Refer to the Communications Software section in Before You Start if you would like more information about this entry.

Communications Cursor

This option allows you to specify the cursor displayed when LANSA Open is performing communications. This is useful when the calling application, for example, EXCEL uses the standard Windows Hourglass cursor. The options are:

LANSA Open(V) | The LANSA Open Communications cursor.
Hourglass | The standard hourglass.
None | The standard Windows pointer will remain.

The default is the LANSA Open cursor which is an hourglass imposed over the host system.

Tip

LANSA Open function, LceSetCommsCursor, can be used to change the cursor type for an individual session.

Host Type

This option specifies the characer set type to be used as the default when communicating with the host.

EBCDIC indicates that EBCDIC <-> ASCII translation will be performed on host data. This setting is used with AS/400 hosts only.

ASCII indicates that no translation is to be performed on the host data because the host and client are using the same character set. This setting is used when communicating with non-AS/400 hosts.

The default is EBCDIC.

Tip

The LANSA Open function, LceSetHostType, can be used to change this option for an individual session.


10.3.2 Directories

Temporary Drive 1

Temporary Drive 1 specifies the default directory used to store any temporary files.

LANSA Open uses temporary files to store information when sending and receiving data to and from the host system. These files are only temporary and will be deleted when a session is ended.

If not specified, these files will be created in the current directory.

Temporary Drive 2

Temporary Drive 2 specifies an alternate directory to use when storing temporary files. This is useful when a second working directory, like a RAM drive, needs to be used for a particular session.

LANSA Open will normally use the directory specified for Temporary Drive 1.

Use LANSA Open function LceUseTmpDrive2 during session definition, when you wish to use Temporary Drive 2 for a particular application.

Use Local Data Dictionary

This option specifies whether LANSA Open should use the Local Data Dictionary.

LANSA Open's Local Data Dictionary is maintained on the PC's hard disk to record the file and field information (e.g. description, type, length, etc.) normally returned by the host during each Open Session function call.

Using the Local Data Dictionary avoids the constant downloading of information from the host in cases where the information has not changed.

For files, each file is version checked with the host and details updated locally, if necessary, on a per file basis. For fields, if any field definition in the partition on the host has changed, all field definitions in the Local Data Dictionary, for that partition, are deleted and the requested field information for the session is downloaded to the Local Data Dictionary. This occurs regardless of whether any changed field on the Host is requested in the current session or not.

Use of the Local Data Dictionary is only effective when communicating with an AS/400 host since Visual LANSA does not support file and field version control.

The default is not to use the Local Data Dictionary.

Directory Path

The directory in which the Local Data Dictionary files should be located.

If no path is specified, these files will be located in the directory specified for Temporary Drive 1.


10.3.3 Format Parameters

Alpha Data Padding

This option allows you to set the way in which alpha data is returned to you.

Alpha values are, by default, returned to you stripped of all trailing spaces.

The option pad Trailing Spaces causes LANSA Open to return all alpha values with trailing spaces to their correct length.

The option to Strip Trailing Spaces causes LANSA Open to return all alpha values without trailing spaces.

Numeric Data Padding

This option allows you to set the way in which numeric data is returned to you.

Numeric values are, by default, returned to you stripped of all leading zeros and only contain a leading sign, if negative.

The option to Pad Leading Zeros causes LANSA Open to return all numeric values with the leading zeros. This can be useful if using PACKED data to store dates.

The option to Strip Leading Zeros causes LANSA Open to return all numeric values with the leading zeros stripped.

Apply Edit Data

Selecting this option causes LANSA Open to return numeric values pre-formatted, according to the field's edit code. For example, an Edit Code Y indicates that the date should be returned as mm/dd/yy.

Refer to Input Options when creating a New Field in the LANSA for iSeries User Guide for more details about Edit Codes.

Numeric values are, by default, returned to you ignoring edit codes or edit words.

Tip

The LANSA Open function, LceSetSessionOption, can be used to change any of these options for an individual session.

User Text Font

Specify the point size and typeface name of the font to be used in the dialog boxes which display user defined text. The format of this entry is: pointsize.font. For example, 10.Courier.

This entry is not validated. If the font is invalid or the font name is not an installed screen font, the default font: 10.Fixedsys. will be used.

Currently, the only dialog using this option is Help text, displayed by the LceGetFieldHelpText function.


10.3.4 Regional Parameters

If changing any of these options, remember that the application will need to be restarted. The system will not need to be restarted.

The defaults shown on this window are the defaults currently set in your Windows Regional settings.

Decimal Separator

Decimal Separator specifies the character you want used as the decimal separator in packed and signed numbers.

This option will override the default specified for your PC.

Currency Symbol

The character to be used as the currency symbol when applying edit codes/words to packed and signed numbers.

This option will override the default specified for your PC.

Date Separator

The character to be used as the separation symbol for the date.

This option will override the default specified for your PC.

Thousand Separator

The character to be used as the separation symbol for thousands when applying edit codes/words to packed and signed numbers.

This option will override the default specified for your PC.


11. Other Configuration and Set up on Windows

The following are some additional configuration and set up tasks on Windows:

Task: Setting Up & Updating System Definitions

Task: Transferring Fields, Files, Processes and Functions

Task: Test Visual LANSA

Visual LANSA - What's Next?

LANSA for the Web - What's Next?

LANSA Integrator - What's Next?

LANSA Open - What's Next?

Multiple Install - What's Next?

Upgrade - What's Next?


11.1 Task: Setting Up & Updating System Definitions

When setting up and updating LANSA System Definitions, review the following:

Setting up LANSA System Definitions

System Initialization

Partition Initialization

PLUGIN

Backing up Your Local Repository

REFRESH

Rebuilding Definition Files .

For a workstation database, you will need to set up the Visual LANSA Repository on each workstation.

For a server database, you will need to set up the Visual LANSA Repository only on the server.


11.1.1 Setting up LANSA System Definitions

Existing system definitions are setup automatically when you install Visual LANSA. The Development Environment ensures that the system definitions are correct before use of the Repository is allowed. This is called System Initialization. If the install requests initialization, then the System Initialization will be automatically executed. If not, the System Initialization dialog will be displayed, asking you to confirm the initialization. Note that this dialog can be accessed manually from the development environment login dialog by clicking on the System Initialization button.

The System Initialization dialog, along with the Partition Initialization dialog, replace Partition QuickStart, PLUGIN and REFRESH. PLUGIN and REFRESH are still available from the Settings and Administration folder if you prefer to use this method, but they are not required.

These are circumstances when you will need to manually run system initialization:

· You have your own Templates, BIF definitions or Messages on the IBM i

· New or additional partitions are to be accessed

· New IBM i user profiles have been created

· New network workstations have been added

· New tasks have been created.

The System Initialization dialog uses the same technology as REFRESH and PLUGIN except that it provides a simpler user interface.

On a minimum system configuration, updating all the above features with one new partition will only take a few minutes.


11.1.2 System Initialization

Before You Begin

You must have a valid user profile defined on the IBM i.

To start System Initialization

Click on the development environment icon in the LANSA Folder. The Visual LANSA Logon dialog is displayed.

Enter your user ID and password and click on the system initialization button. If you are a special user, a message will be displayed asking you to confirm your special status.

Depending on your system type you will see one or more of the following dialogs:

Slave System - Connection Tab

Slave Systems - Options Tab

Master/Independent System - Options Tab.


Slave System - Connection Tab

An entry screen is displayed for you to specify these entries. Some of the entries are on the options tab.

LANSA System Type

This indicates the current LANSA System Type. It cannot be changed with this dialog. The only way to change the LANSA System Type is to re-install LANSA. It is rare that you would need to alter this. When you are connected to a IBM i, the system type is Slave System.

Connect To Master

This is only enabled if the system type is a Slave System. When it is checked, the Connection tab is available. If you are having problems connecting to your Master system, you can uncheck this and complete System Initialization at a later date.

Master's LU Name

This will contain the name of the Master to which you last connected.

The IBM i LU (logical unit) name, such as APPN.SYDASDEV or SYDASD25. Generally, in CPI-C systems, the name must be formatted APPN.<name> but in Enhanced APPC systems it must be specified as just <name>.

Master's User Name

The IBM i User ID you wish to use. It will already be filled in with the value you entered on the log on dialog.

There are some significant things to note about this User ID:

· It should be enrolled as a valid user of the system distribution directory. Refer to the built-in function DEFINE_OS_400_SERVER in the LANSA Technical Reference Guide for more details.

· The job description associated with it should have the LANSA for iSeries program library (e.g. DC@PGMLIB) in its initial library list. This means that when you sign on to a IBM i, the LANSA program library (e.g. DC@PGMLIB) should be immediately available in the job's library list.

· It should be no more than 8 characters in length.

Master's Password

The password associated with the user profile. It will already be filled in with the value you entered on the log on dialog.

Client -> Server Translation Table

Client-to-Server translation table name to be used. The default will be the value entered in the IBM i Language Options dialog during the installation. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

Server -> Client Translation Table

Server-to-Client translation table name to be used. The default will be the value entered in the IBM i Language Options dialog during the installation. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

Return to System Initialization.


Slave Systems - Options Tab

If a Slave System is being initialized, the following Options tab will appear:

Select the Connect to Master check box if you wish to initialize the Visual LANSA System using a Master LANSA for iSeries System. If you do not connect to the master, then the Visual LANSA system can still be initialized using the local LANSA System definitions.

If you are using a Slave System, you should have a connection to the Master LU (i.e. the server with the Master LANSA for iSeries) before you start the System Initialization; however, you may wish to import the system information from the Local Disk instead of connecting to the Master. You may wish to use this approach if you do not have a connection to the Master available at the current time. You should re-initialize the system at a later time when a connection is available.

Main Imports

Location of Imports

Select Local Disk if you wish to initialize using the LANSA System Definitions installed with the software on your local disk drive. Local Disk must be used if a Master/Independent System is being initialized. The Local Disk may also be used for a Slave System.

Select Master if you wish to initialize using the LANSA System Definitions installed on a LANSA for iSeries Master System. Master is only enabled if a Slave System is being initialized and the Connect to Master check box has been selected.

RDML Command Definitions

Select this option if you wish to install the latest RDML command definitions.

Standard Application Templates

Select this option if you wish to install the latest Application Templates.

Standard Built-In Function Definitions

Select this option if you wish to install the latest Built-In Functions.

Standard System Message File

Select this option if you wish to install the latest System message file.

Other Options

Standard System Variables (Local Disk)

Select this option if you wish to install the standard set of LANSA System Variables from the Local Disk.

Standard Web Definitions (Local Disk)

Select this option if you wish to install the default Web Pages from the Local Disk. If your Visual LANSA System will be using LANSA for the Web, you should select this option.

Enrolled PC Names (Master's)

Select this option if you wish to download the latest list of enrolled PC names from the LANSA for iSeries Master System to provide a current list of PC which can connect to the LANSA for iSeries development environment.

Enrolled PC Users (Master's)

Select this option if you wish to download the latest list of enrolled PC users from the LANSA for iSeries Master System to provide a current list of users who can logon to the LANSA development environment. A user and task must exist in order to logon to Visual LANSA.

Current Task List (Master's)

Select this option if you wish to download the latest list of task tracking IDs from the LANSA for iSeries Master System. A user and task must exist in order to logon to Visual LANSA.

Partition Definitions (Master's)

Enter a list of partitions that are defined on your IBM i. Separate multiple partition names with spaces. Always specify a valid partition name if you are installing LANSA for the first time, i.e. the specified partition must exist in the LANSA for iSeries System. If you do not specify a valid partition name, you will need to initialize again.

Starting the System Initialization

Select OK when these entries are complete.

During the System Initialization operation, message windows are displayed to inform you of the progress of the System Initialization operation.

Return to System Initialization.


Master/Independent System - Options Tab

If a Master/Independent System is being initialized, the following Options tab will appear:

Main Imports

Location of Imports

Mandatory. Select Local Disk.

RDML Command Definitions

Select this option if you wish to install the latest RDML command definitions.

Standard Application Templates

Select this option if you wish to install the latest Application Templates.

Standard Built-In Function Definitions

Select this option if you wish to install the latest Built-In Functions.

Standard System Message File

Select this option if you wish to install the latest System message file.

Other Options

Standard System Variables (Local Disk)

Select this option if you wish to install the standard set of LANSA System Variables from the Local Disk.

Standard Web Definitions (Local Disk)

Select this option if you wish to install the default Web Pages from the Local Disk. If your Visual LANSA System will be using LANSA for the Web, you should select this option.

Example User/Task (PCXUSER/PCXTASK)

Select this option if you wish to install the default user PCXUSER and the default task PCXTASK. A user and task must exist in order to logon to Visual LANSA. This option is only available if a Master/Independent System is being initialized.

Note: If Connect to Master has not been selected for a Slave System (i.e. the Local Disk definitions have been requested for initializing the system), this information will automatically be loaded in order to initialize the system for first use.

Example Partition Definition (DEM)

Select this option if you wish to install the default DEM partition. A partition must exist in order to logon to Visual LANSA. This option is only available if a Master/Independent System is being initialized.

Note: If Connect to Master has not been selected for a Slave System (i.e. the Local Disk definitions have been requested for initializing the system), this information will automatically be loaded if no partitions have been defined in the Repository.

Starting the System Initialization

Select OK when these entries are complete.

During the System Initialization operation, message windows are displayed to inform you of the progress of the System Initialization operation.

Return to System Initialization.


11.1.3 Partition Initialization

Partition initialization must be performed for each PC that needs to use the Repository, except PCs cooperating in a Network Install. The development environment will not allow a partition to be used by a PC until the mandatory partition initialization has been done.

The second and subsequent PCs that run the initialization against the same Repository will take much less time, because some parts of the Install that update the Repository will not need to be performed.

Before You Begin

You must have a valid user profile defined in the Repository and the partition definition must have been imported from your Master LANSA System. Refer to System Initialization if you do not have one or both of these.

To start Partition Initialization

Start the LANSA Development Environment. The Visual LANSA Logon dialog is displayed.

Enter your User ID and Password, select the partition you want to initialize and before you press OK, press the Partition Init... button. If you are a special user, a message will be displayed asking you to confirm your special status.

An entry screen is displayed for you to specify the following entries.

Mandatory Partition Initialization

This option makes the partition usable. Without this, you cannot use a partition. It imports Groups, Frameworks, System Fields and Component primitives. It also ensures that the execution environment is initialized to be able to build objects for the partition. E.g. the directories are created under x_win95\x_lansa\x_dem for the DEM partition.

Visual LANSA Framework

Installs the Visual LANSA Framework.

Enable for the Web

Initializes the partition to support LANSA for the Web. It enables the partition for Web use by rolling the default Web Pages into the partition. This action was once performed using the Web Administrator.

e-Business Framework Wizard

Installs the e-Business Framework Wizard.

LANSA Client field and file definitions

Installs the field and file definitions for them to be available for LANSA Client.

Personnel System Demonstration

Installs the Personnel System Demonstration.

Run Demonstration

Runs the Personnel System Demonstration installed by the previous option.

Show Last Log

If this is enabled, selecting this button will display the result of the last import in notepad.

Starting the Partition Initialization

Select OK when these entries are complete.

During the Partition Initialization operation, message windows are displayed to inform you of the progress of the operation.


11.1.4 PLUGIN

Use of PLUGIN is no longer required. While instructions are provided for using PLUGIN, it is strongly recommended that you use, instead, System Initialization, which uses the PLUGIN technology but is a much simpler process.

If you want to set up a full development system or transfer, for example, partition definitions, enrolled PC names and users and task lists from the IBM i, you need to establish a connection between your LANSA for iSeries system and the Visual LANSA system and then perform a REFRESH. For more information, refer to Task: Setting Up & Updating System Definitions.

What PLUGIN Does

When the PLUGIN facility is invoked, it does some configuration checks and alterations:

· Task tracking is automatically started and a new task is created if no existing tasks are found for the user.

· The IBM i user profile specified in PLUGIN is automatically defined in the LANSA master Repository on the IBM i. If the user profile is already defined, its details are automatically updated.

· The workstation is automatically defined in the LANSA master Repository on the IBM i. If the workstation is already defined, its details are automatically updated.

After completing these activities, the facility imports the following LANSA system definitions into the Visual LANSA Repository from the LANSA master Repository on the IBM i:

· Basic Global System Information.

· Partition definitions (including language information).

· LANSA RDML command definitions.

· The standard set of LANSA Application Template definitions which are prefixed "BB" or "FR". (Other templates can be transferred to the Visual LANSA Repository by using the LANSA housekeeping export facility on the IBM i and the Visual LANSA Import facility. This process is described in Task: Transferring Fields, Files, Processes and Functions.

· LANSA Built-In Function definitions.

· Enrolled Visual LANSA User details.

· Enrolled Visual LANSA Workstation details.

· The current task tracking tasks and details.

· The system message files and messages.


How to use PLUGIN

Before You Begin

Before you can use PLUGIN, you must have a valid user profile defined on the IBM i.

To Start PLUGIN

Click on the PLUGIN icon in the LANSA Settings and Administration Folder. An entry screen is displayed for you to specify these entries:

Language

The language you wish to use (e.g. NAT, ENG, JPN, DEU).

Important: If the Partition you specify is not multilingual, then specify "NAT" (for National), otherwise specify a valid language for use in this partition.

The default is ENG.

Partition Identifier

The identifier of the partition on your IBM i LANSA system, that you wish to access (e.g. DEM or SYS).

LANSA and IBM i User

The IBM i user profile/user ID you wish to use.

There are some significant things to note about this user profile:

· It should be enrolled as a valid user of the system distribution directory. Refer to the built-in function, DEFINE_OS_400_SERVER in the LANSA Technical Reference Guide for more details.

· The job description associated with it should have the LANSA program library (e.g. DC@PGMLIB) in its initial library list. This means that when you sign on to a IBM i, the LANSA program library (e.g. DC@PGMLIB) should be immediately available in the job's library list.

· It should be no more than 8 characters in length.

Warning: If you are using an Enhanced APPC-Router such as CA/400 or Netsoft, make sure that you start the communications router and Visual LANSA using the same user profile. Using a different user profile can cause communication problems that can be hard to solve.

For example, if the router is started under profile FRED and the Visual LANSA facilities are executed under profile MARY, any checks will show that profile MARY is okay, while the actual IBM i jobs are being started by the communications router under the profile FRED.

Some routers can be started with FRED and individual communication sessions allocated to MARY. This is called extended allocation support.

IBM i Password

The password associated with the user profile.

Local DBMS User

The local DBMS database user profile (if different to the IBM i User profile).

Local DBMS Password

The local DBMS database password (if different to the IBM i password).

Local Database Name

The local DBMS database name (e.g. LX_LANSA) in which the local Visual LANSA Repository is to reside. (This is the same as the ODBC data source name specified when Visual LANSA is installed.)

Local Database Type

· Enter:

· "MSSQLS" if you are using SQL Server.

Communication Method

The communication method you are using.

· E for Enhanced APPC (e.g. CA/400 or Netsoft)

· C for CPI-C (e.g. Host Integration Server 2000)

· T for TCP/IP ("T" is functionally equivalent to "C").

The default is E.

Communications DLL to Use

The DLL for the communication router you are using.

The DLL name for Netsoft or CA/400 router is E32APPC.DLL and the DLL name for the 32-bit Host Integration Server 2000 is WCPIC32.DLL.

The DLL name for native TCP/IP is LCOMGR32.DLL.

If you use something other than the recommended software, you will need to know the DLL name.

IBM i LU Name

The IBM i LU (logical unit) name, such as APPN.SYDASDEV or SYDASD25. Generally, in CPI-C systems, the name must be formatted APPN.<name> but in Enhanced APPC systems it must be specified as just <name>.

Client -> Server Translation Table

Client-to-Server translation table name to be used. Default is ANSEBC1140. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

Server -> Client Translation Table

Server-to-Client translation table name to be used. Default is EBC1140ANS. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

System Defaults

For a workstation not already enrolled, PLUGIN will automatically create the data queues Owwwwwwnnn (outbound) and Iwwwwwwnnn (inbound) on the IBM i, where:

· wwwwww is the first six characters of your workstation name (padded with '-', if necessary)

· nnn is a unique number in the range 001-999.

When running on the IBM i, the following defaults will be used:

· For the Host Monitor Program

Job Description | *LIBL/QBATCH
Job Queue | *LIBL/QINTER
Output Queue | *LIBL/QPRINT

· For Submitted Jobs

Job Description | *LIBL/QBATCH
Job Queue | *LIBL/QINTER
Output Queue | *LIBL/QPRINT

Rebuilding Definition Files

This is now done automatically when you import RDML or BIF definitions.

When you invoke LANSA again, it will rebuild these definition files. There will be a short delay while the definitions are rebuilt.


11.1.5 Backing up Your Local Repository

Now that the local Visual LANSA Repository has been created, you must start backing it up on a regular basis. Failure to do so may require the reinstallation of Visual LANSA and the loss of developed applications.

If you are using Sybase as Your DBMS

Refer to Backup & Data Recovery in the SQL Anywhere Help Text for guidance.

The SQL Anywhere components, including the on-line documentation, are installed in a separate folder to the Visual LANSA software. To reach the SQL Anywhere folder, select Programs from the Start Menu and then choose Sybase SQL Anywhere. Similarly for Adaptive Server Anywhere, the components will by default be installed in the Sybase folder (under Programs, in the Start Menu), although this location may have been changed during the installation of Adaptive Server Anywhere.

The two components you will need to understand are:

· Isql, which is a query tool for SQL Anywhere.

· SQL Central, which contains the backup functions as well as other configuration tools.

If you are Using SQL Server as Your DBMS

Refer to your SQL Server documentation.

If you are Using Oracle as Your DBMS

Refer to your Oracle documentation.


11.1.6 REFRESH

Use of REFRESH is no longer required. While instructions are provided for using REFRESH, it is strongly recommended that you use, instead, System Initialization, which uses the REFRESH technology but is a much simpler process.

Instructions are provided in How to Use REFRESH, but it is strongly recommended that you first read System Initialization.

Existing system definitions are updated using the REFRESH facility.

You will use REFRESH (or System Initialization) when:

· You have set up your system definitions using System Initialization and you want to refresh definitions specific to your system

· LANSA system definitions have changed

· New or additional partitions are to be accessed

· New IBM i user profiles have been created

· New network workstations have been added.

The REFRESH facility is effectively identical to the PLUGIN facility except that it allows you to choose which objects are refreshed.

On a minimum system configuration, a full REFRESH operation should take no longer than 30 to 40 minutes to complete. Times much longer than this may indicate problems in communication and/or disk subsystem configuration.


How to Use REFRESH

Before You Begin

You must have a valid user profile defined on the IBM i.

To start REFRESH

Click on the REFRESH icon in the LANSA Settings and Administration Folder.

An entry screen is displayed for you to specify these entries:

Language

The language you wish to use (e.g. NAT, ENG, JPN, DEU).

Important: If the Partition you specify is not multilingual, then specify "NAT" (for National), otherwise specify a valid language for use in this partition.

The default is ENG.

Partition Identifier

The identifier of the partition on your IBM i LANSA system that you wish to access (e.g. DEM or SYS).

LANSA and IBM i User

The IBM i User ID you wish to use.

There are some significant things to note about this User ID:

· It should be enrolled as a valid user of the system distribution directory. Refer to the Built-In Function DEFINE_OS_400_SERVER in the LANSA Technical Reference Guide for more details.

· The job description associated with it should have the LANSA for iSeries program library (e.g. DC@PGMLIB) in its initial library list. This means that when you sign on to a IBM i, the LANSA program library (e.g. DC@PGMLIB) should be immediately available in the job's library list.

· It should be no more than 8 characters in length.

Warning: If you are using an Enhanced APPC-Router such as CA/400 or Netsoft, make sure that you start the communications router and Visual LANSA using the same User profile. Using a different user profile can cause communication problems that can be difficult to solve.

For example, if the router is started under profile FRED and the Visual LANSA facilities are executed under profile MARY, any checks will show that profile MARY is okay, while the actual IBM i jobs are being started by the communications router under the profile FRED.

Some routers can be started with FRED and individual communication sessions allocated to MARY. This is called extended allocation support.

IBM i Password

The password associated with the user profile.

Local DBMS User

The local DBMS database user profile (if different to the IBM i user profile).

Local DBMS Password

The local DBMS database password (if different to the IBM i password).

Local Database Name

The local DBMS database name (e.g. LX_LANSA) in which the local Visual LANSA Repository is residing. (This is the same as the ODBC data source name specified when Visual LANSA is installed.)

Local Database Type

Enter:

· "MSSQLS" if you are using SQL Server as your Repository DBMS.

Communication method

The communication method you are using.

· E for Enhanced APPC (e.g. CA/400 or Netsoft)

· C for CPI-C (e.g. Host Integration Server 2000).

· T for TCP/IP (functionally equivalent to "C").

The default is E.

Communications DLL to Use

The DLL for the communication router you are using.

The DLL name for Netsoft router is E32APPC.DLL and the DLL name for the 32-bit Host Integration Server 2000 is WCPIC32.DLL.

The DLL name for native TCP/IP is LCOMGR32.DLL.

If you use something other than the recommended software, you will need to know the DLL name.

IBM i LU Name

The IBM i LU (logical unit) name, such as APPN.SYDASDEV or SYDASD25. Generally, in CPI-C systems, the name must be formatted APPN.<name> but in Enhanced APPC systems it must be specified as just <name>.

Client -> Server Translation Table

Client-to-Server translation table name to be used. Default is ANSEBC1140. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

Server -> Client Translation Table

Server-to-Client translation table name to be used. Default is EBC1140ANS. You should have no need to change this name unless you have specific instructions from your product vendor or system administrator.

Select OK when these entries are complete.

A series of dialog boxes is displayed asking which objects you wish to have refreshed. These objects are:

· Partition definitions (including language information).

· LANSA RDML command definitions.

· The standard set of LANSA Application Template definitions.

· LANSA Built-In Function Definitions.

· Enrolled Visual LANSA User details.

· Enrolled Visual LANSA Workstation details.

· The current Task Tracking tasks and details.

· The System Message files and Messages.

The REFRESH facility automatically detects any changes in the selected LANSA Repository definitions on the IBM i and transfers the appropriate information.

Basic Global System Information is always transferred.

Note: A large amount of information is transferred when you select:

· Application Templates.

· System Message files and Messages.

This takes a relatively long period of time. Do not transfer these objects unless you really need to.

During the REFRESH operation, a message window is displayed to inform you of the progress of the REFRESH operation.

Rebuilding Definition Files

When new RDML command or BIF details are imported into Visual LANSA, their definitions have to be rebuilt before you can use them. For more details, refer to Rebuilding Definition Files.

System Defaults

For a workstation not already enrolled, REFRESH will automatically create the data queues Owwwwwwnnn (outbound) and Iwwwwwwnnn (inbound) on the IBM i, where

· wwwwww is the first six characters of your workstation name (padded with '-', if necessary)

· nnn is a unique number in the range 001-999.

When running on the IBM i, the following defaults will be used:

· For the Host Monitor Program

Job Description | *LIBL/QBATCH
Job Queue | *LIBL/QINTER
Output Queue | *LIBL/QPRINT

· For Submitted Jobs

Job Description | *LIBL/QBATCH
Job Queue | *LIBL/QBATCH
Output Queue | *LIBL/QPRINT


11.1.7 Rebuilding Definition Files

When new RDML command or BIF details are imported into Visual LANSA their definitions have to be rebuilt before you can use them.

They are automatically rebuilt the next time you invoke Visual LANSA after the import. If you are logged on while the import is performed the rebuild will not happen until you next log off and on again.

These details are imported when you use the system initialization button on the Visual LANSA logon dialogue, the "PLUGIN" or "REFRESH" options in the Visual LANSA Settings and Administration folder, or import from the "Commands" or "STD_BIFS" folders provided.

There is an option in the "Tools" menu to rebuild definitions. This step is only necessary if you are configured as a Visual LANSA Client. In this configuration several installed copies of Visual LANSA share the same database. The definitions are rebuilt locally so only the installation which performed the import will have the definitions rebuilt. The other sharing clients must use the option on the "Tools" menu to rebuild the definitions during the next log on, to be able to use them.


11.2 Task: Transferring Fields, Files, Processes and Functions

There are two ways of moving your application definitions from the IBM i to the workstation:

· Using a IBM i export list and LANSA Import on the workstation.
When you create an export list you have the option of transferring related objects. For example all the fields used in a file or function, without knowing them by name.

· Using the Host Monitor to Check Out objects.
When you use this process, you need to select each of the objects you want to Check Out. For more information refer to Check Out in the Administrator's Guide.

Note that before you can transfer any application definitions, you must have transferred system definitions to the workstation as described in Setting Up System Definitions.


11.2.1 How to Export from the IBM i

To export objects to Visual LANSA using the Housekeeping facilities, follow these steps:

1. Sign on to the IBM i.

2. Sign on to LANSA using the desired LANSA partition.

3. Go to the Housekeeping Menu.

4. Select the option to Work With Lists of Objects to be exported.

5. Create a new export list containing all the objects you wish moved to the PC.

The export list must be created as target system type WIN.

Note also the Language requirements for PLUGIN and REFRESH.

6. Export the objects. When you export objects, you must specify a Task ID number and you must decide if objects are being exported for Read only or Maintenance on the workstation. The Task ID number should correspond to the Task ID assigned to the user who will be accessing the exported data.

The data will be exported to a shared folder with the same name as the export list.

Note: Task tracking must be enabled in order to export objects.

When a LANSA for the iSeries mass export completes execution, it creates a IBM i shared folder containing all the exported material. This exported material is in a format ready to be used by the LANSA Import facility.

Refer to Exporting and Importing in the Housekeeping Components of LANSA in the LANSA for iSeries User Guide for full details of how to prepare and execute large scale mass exports to Visual LANSA systems.

Tip

To save time, set up a "standard" list of fields (e.g. DATE, TIME, LISTENTRY, etc.) and system variables (e.g. *DATE, *TIME, *BLANKS, etc.) as an export list. The list might be called LPC_STDO. These objects should be exported as READ ONLY. This list should be regularly maintained and re-exported.


11.2.2 How to Import to the Workstation

Once you have created the export list, you can use the LANSA Import facility to transfer the objects to the workstation.

To start LANSA Import, click on either the

· LANSA Import icon
Use this option if you have shared folder support or you have copied the shared folder to a diskette or workstation hard drive.
Tip
It is usually quicker if you copy the shared folder to a workstation hard drive before using LANSA Import.

or the

· LANSA Import Directly from IBM i icon
Use this option if you do NOT have shared folder support. LANSA Import will read directly from the IBM i shared folder using the QDLS facility. This option is slower than the LANSA Import.

The LANSA Import entry screen corresponding to your request is displayed.

LANSA Import

Choose this option if you can access IBM i shared folders from your workstation or if you have copied the shared folder to a diskette or workstation hard drive.

If your chosen communications router has full shared folder support, then your IBM i shared folders should be visible to your PC as a network hard drive. Typically this hard drive is identified as "I".

The LANSA Import parameters are the same as described for PLUGIN and REFRESH except for:

Import From Directory

The directory containing the shared folder. For example, enter A:\LPC_USER if you have copied the information to a diskette, or I:\LPC_USER if you are importing from a IBM i shared folder.

Select OK when your entries are complete. A message window keeps you informed of the status of the transfer.

LANSA Import from IBM i Folder

If you do not have IBM i shared folder support, use this LANSA Import option. It is slower than the LANSA Import.

The LANSA Import parameters are the same as described for PLUGIN and REFRESH except for:

IBM i Shared Folder Name

Name of the IBM i folder from which you wish to import objects.

Select OK when your entries are complete. A message window keeps you informed of the status of the transfer.

Note: The IBM i Shared Folder Name entry defaults to a special "QDLS" format. The default is QDLS\DEF_xxx. You must change this default to the name of the IBM i folder into which you have exported the objects. For example, if you have exported objects into a IBM i folder named DEF_DEM, you would specify this parameter as QDLS\DEF_DEM.


11.3 Task: Test Visual LANSA

The following section tests a simple process and function using the Visual LANSA development environment. To test the component development, you may use the Visual LANSA Components tutorial located with the LANSA online documentation.

The Test Visual LANSA task includes the following steps:

Before You Begin Checklist

Step 1. Create a Visual LANSA Process

Step 2. Create a Visual LANSA Function using a Template

Step 3. Compile Visual LANSA Test Process

Step 4. Execute Visual LANSA Test Process

These instructions have been written to test a LANSA function using the Personnel System in the DEM partition. The DEM partition is installed with the LANSA software. The partition must be Web enabled.


11.3.1 Before You Begin Checklist

Before you begin the Test Visual LANSA task, check the following:

· Do you have a DEM partion installed? Refer to Testing using the DEM Partition.

· Did you import the Personnel Demonstration System during Partition Initialization? (Partition Initialization starts automatically when you first install Visual LANSA and whenever you create a new partition. Refer to the Personnel System Demonstration Files.

· Do you have the appropriate Visual LANSA license or hardware key installed? Note: You can execute Visual LANSA in a trial mode without a license.

· Do you have a user profile and password with authority to update the DEM partition? If you have installed an Independent LANSA System, you will be able to use the profile/password of PCXUSER/pcxuser.

Go to Step 1. Create a Visual LANSA Process.


11.3.2 Step 1. Create a Visual LANSA Process

In this step, you will log on to Visual LANSA and create a test process.

1. Start the Visual LANSA development environment by selecting the Development Environment from the LANSA group in the Start menu options.

2. The LANSA Editor window will open. From the New button, select Process from the drop down list.

3. In the New Process dialog, enter the following details where III represent your initials. If you are executing Visual LANSA in a trial mode, use DEM instead of III.

4. Press the Create button.

Go to Step 2. Create a Visual LANSA Function using a Template.


11.3.3 Step 2. Create a Visual LANSA Function using a Template

In this step, you will create a test function in your IIIPRO01 Process.

The test function will use the FRENQ02 template to create an inquiry function. This function will be used to display information in the Department (DEPTAB) and Section (SECTAB) files.

1. From the LANSA Editor window, press the New button and select Function from the drop down list.

2. In the New Function dialog, enter the details as shown in the screen capture, where III represent your initials.

3. In the Template entry box, select from the dropdown list of templates, the FRENQ02 template.

4. Press the Create button when you have completed all the required details.

5. The template wizard will open immediately. Answer the template questions as follows, pressing the Next button as each item is entered.

TEMPLATE QUESTION | ANSWER
Enter the name of the base file to be used by this template | DEPTAB
Select related files | Select SECTAB
Do you want this function to be part of an ACTION-BAR style process? | n
Fields in Header Area | Leave DEPTMENT, DEPTDESC as displayed.
Fields in list | Select DEPTMENT, SECTION, SECTDESC by inserting a number in the corresponding box in the Wizard dialog. Deselect the remaining fields by removing the number in their Fields in Detail/List Area.
Design the fields in the header area DOWN the screen or across the screen? | Down

6 Press Finish to create the new function.

7. Your function is now created and saved. It is ready for compilation. It is not necessary to edit the RDML.

8 Save and Close [image] the Function and the Process.

Go to Step 3. Compile Visual LANSA Test Process.


11.3.4 Step 3. Compile Visual LANSA Test Process

1. From the Repository tab, locate the IIIPROCESS that you have just created. Right click to open the context menu and select Compile.

The Compile Options dialog is displayed.

2. Press OK to continue.

3. Check in the Compile tab that the compile completed successfully.

Go to Step 4. Execute Visual LANSA Test Process.


11.3.5 Step 4. Execute Visual LANSA Test Process

Once the compile has completed successfully, you can execute your test function.

1. To execute a process, select IIIPRO01 from the list of processes in the Repository's Process list, right click and select Execute from the context menu.

2. In the Execute... dialog, select Process as Windows Application from the list.

3. Deselect the Prompt for additional execution parameters option. Press OK.

The application that you have just created is opened.

4. Double click on Display sections to start the application.

5. Enter a Department Code of ADM and press OK.

All sections within the Administration Department will be listed:

6. Press Exit to close the process.

You have now completed the Testing Visual LANSA task.


11.3.6 Testing using the DEM Partition

The DEM partition is a default demonstration partition loaded with a new LANSA system. The DEM partition includes a very simple Personnel System demonstration application and files. For details about the application, refer to Personnel System Demonstration Files.

If you are using a Visual LANSA development environment, the Partition Initialization provides an option to install the Personnel Demonstration system. If you choose this option it will load the Personnel System database and executable objects, and add data to the database files.

Alternatively, you can create a DEM partition on the IBM i and import the PERSYS save file from the LANSA for iSeries Software DVD. For Windows, use the Partition Initialization from the LANSA development environment login dialog.

Before you can use the DEM partition to check if your Web configuration is correct, it must be Web enabled. If you have recently installed it, it will be Web enabled.

You can easily Web enable a partition, or check that it is Web enabled, by checking it as described in Task: Web-enable the Partition.

If you do not have a DEM partition, you may perform a test in any existing LANSA partitions that has been Web enabled. You will simply need to create a Web enabled process and test function.


11.3.7 Personnel System Demonstration Files

The company has a simple organizational structure. It is divided into departments such as Administration, Audit, Information Services, Legal, Travel, etc. Each of these departments may have one or more sections such as Accounting, Purchasing, Sales, etc. The Department table (DEPTAB) stores the list of departments. The Section table (SECTAB) is used to store the sections within each department.

The Personnel Master file (PSLMST) stores details about each employee. For example, the employee's name, address, and telephone number are stored in this master file. As each employee works in a section of a department, this information is also stored in the Personnel Master file.

Each employee also has a list of skills. For example, an employee might have Cobol, C and C++ programming skills or management and administration skills. A Skills table (SKLTAB) is used to store the skill codes. A Personnel Skills file (PSLSKL) stores the specific skills of each employee.

The Personal Event Log file (PSLEVENT) allows significant events and notes to be recorded against an employee. It logically extends the PSLMST file. It is an RDMLX file and therefore will only be available in an RDMLX partition.

The Personnel Time Sheet file (PSLTIMES) records employee time sheet details. Details are recorded by week number (1 to 52) within a year for each employee. It is designed mostly for use with L/Client and to show extensive trigger power by performing relatively complex calculations and storing them in the DBMS without the application needing to know what is happening. Note that all the data is created and stored in the DBMS when information is created or updated, which means that L/Client applications have read access to it without needing to use the triggers. It is an RDMLX file and therefore will only be available in an RDMLX partition. It contains examples of a number of RDMLX field types including BLOB.

The physical database layout follows.

Physical Database Map of Personnel System

(Including Virtual and Predetermined Join Fields)

Note: The LANSA Personnel Demonstration System was originally created in 1987 to execute on a System 38. This same application can still be executed on IBM i as well as Windows, WEB and Linux platforms. The original database and application are virtually unchanged. There have been some extensions to the database to demonstrate RDMLX concepts.
There are two web versions of the Personnel System, one uses WEBEVENT technology and the other uses WAMs. These are included with the IBM i demonstration material and can be checked out to a Visual LANSA environment as required. These applications can be used to give you ideas of how to create and include the elements required for both WEBEVENT and WAM processing.
webevent (web enabled RDML or RDMLX partition):
http://<your path>/cgi-bin/lansaweb?procfun+lansadem+ldem+dem

wam (web enabled RDMLX partition, only supported for technology service LANSA:XHTML):
http://<your path>/CGI-BIN/lansaweb?webapp=LWAMDEM+webrtn=ldemhome+ml=LANSA:XHTML+part=DEX


11.4 Visual LANSA - What's Next?

Initialize Visual LANSA

If the Visual LANSA environment was not initialized during the installation, the initialization program will be called when Visual LANSA is executed for the first time. If a database logon or communications links has failed, you may not have been able to complete the system initialization. You do not have to reinstall the software. Simply logon to Visual LANSA to complete the initialization.

You may initialize a system using the local definitions installed on your PC. If you have installed a Visual LANSA Slave System (Standalone Workstation), you may initialize by connecting to an iSeries Master System or using the local definitions.

Other software

Visual LANSA Logical Modeler has been installed as part of Visual LANSA. If you wish to use it, you will need to install Microsoft Visio.

Online Reading

The latest versions of the LANSA Online Guides are automatically installed on your PC with the Visual LANSA software.

If you are a current Visual LANSA user, review the What's New? summary or the detailed (Readme) list of changes on the software DVD. All changes in this version are listed. You should review the What's New? information before using the installed software.

If you are a new Visual LANSA user, read the Visual LANSA User Guide.

LANSA Tutorials

A number of tutorials are provided to help you become familiar with Visual LANSA. Simply select the Tutorial button on the documentation toolbar to be taken to a list of the available online Tutorials.

The tutorials may be supplied with the LANSA Online Documentation or via the LANSA Web site. Refer to Latest LANSA Documentation to check the latest tutorials. Be sure to check that the tutorial you select matches your version of the LANSA system.

LANSA Education

The LANSA Fundamentals Windows Workshop and Windows Application Workshop are instructor-led or classroom-based training courses offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Shipped Visual LANSA Demonstration Applications

The shipped demonstration system shows a variety of component application features as well as allowing LANSA SuperServer connections to IBM i or Windows server systems. Use the Exec Form icon in the LANSA folder to execute the VL_DEM20 form which is the Main Visual LANSA demonstration application.

Visual LANSA Framework

If you are a new Visual LANSA User, you may wish to begin development by using the Visual LANSA Framework. For more details, refer to the Visual LANSA Framework Guide supplied with the LANSA documentation.

Populate the Repository

There are a number of techniques for transferring information to Visual LANSA. Refer to Task: Transferring Fields, Files, Processes and Functions for information.

Hardware Key Upgrades

Have you updated your LANSA licenses? You may have a soft license you obtained from your LANSA vendor or a hardware key (dongle) for each PC using Visual LANSA.

You may also need licenses for other software you will be using, such as a database license.

You are able to request an upgrade to the hardware key license using an application that is installed with Visual LANSA. Refer to refer to Product Licensing for more information.

Other files on the DVD

If you are installing or upgrading your LANSA system from a DVD, there are other directories on the DVD for your use. These directories are described in the Windows DVD page listed under the Additional Information menu option.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA web site's support pages.

If you are not familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations and so on.


11.5 LANSA for the Web - What's Next?

In order to install the LANSA for the Web software components on IBM i, you must use the LANSA IBM i Software DVD. For details, refer to the Installing LANSA on IBM i Guide.

Configuration and set up tasks must be performed on the Web Server before using LANSA for the Web. For details, review both the Installing LANSA on IBM i Guide or the relevant topics in this guide.

LANSA for Web Platform Differences

If you have been using LANSA for Web on a IBM i, please take a look at the differences between one platform and the other. You will find a list of these differences in Summary of Platform Differences the LANSA for the Web Housekeeping Guide.

Online Reading

The latest versions of the LANSA Online Guides are automatically installed on your PC with the Visual LANSA software.

If you are a current LANSA for the Web user, review the What's New? summary or the detailed (Readme) list of changes on the software DVD. All changes in this version are listed. You should review the What's New? information before using the installed software.

Online Tutorials

If you are a new LANSA for the Web user, go to the tutorials in the LANSA for the Web Guide. Simply select the Tutorial button on the documentation toolbar to be taken to a list of the available online Tutorials.

LANSA Training

The LANSA Web Application Module workshop or the LANSA Webevent Workshop, instructor-led or classroom-based training courses offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.

Database Licensing Issues

Depending on the LANSA for the Web configuration you are using, you may need to purchase a database license.


11.6 LANSA Integrator - What's Next?

JSM Server Configuration and Set Up

Configuration and set up tasks must be performed on the JSM Server before using LANSA Integrator. For more details, review LANSA Integrator Configuration and Set Up on IBM i in the Installing LANSA on IBM i guide and LANSA Integrator Configuration and Set up on Windows.

LANSA Integrator Examples

The LANSA Integrator Guide contains online tutorials and example programs for using the shipped Java Services which are part of LANSA Integrator. Additional LANSA Integrator examples can be found in the Samples Example Templates (SET) materials shipped with the LANSA documentation on the Windows DVD.

Online Reading

If you are a current LANSA Integrator user, review the What's New summary supplied with the LANSA Online Documentation or the detailed (Readme) list of changes supplied on the LANSA Windows DVD.

If you are a new LANSA Integrator user, read the LANSA Integrator Guide. Online tutorials are included in the guide.

LANSA Education

The LANSA Integrator Workshop is an instructor-led or classroom-based training course offered by your LANSA agent. Contact your LANSA representative for details about their LANSA Training Program or refer to the LANSA Training on LANSA's web site.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


11.7 LANSA Open - What's Next?

Check the Host Type option

If you have installed LANSA Open on Windows, use the LANSA Open Configuration Utility to check that the default for the new parameter, "HostType" has been set to suit your requirements. The default is EBCDIC.

There is also a function called LceSetHostType to specify whether you are connecting to an EBCDIC or ASCI host. You may want to add this function to applications currently using LANSA Open.

IBM i Server Configuration and Set Up

Configuration and set up tasks must be performed on the IBM i host before using LANSA Open. For more details, review the Installing LANSA on IBM i Guide.

Online Reading

If you are a current LANSA Open user, review the What's New in summary supplied with the LANSA Online Documentation or the detailed (Readme) for changes and features that are available with this software.

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


11.8 Multiple Install - What's Next?

Configure LANSA Software

Before using LANSA for the Web or LANSA Integrator (if installed), be sure that you have performed the appropriate configuration tasks.

What's Next for LANSA Products

Review the What's Next information for the other products you have installed:

· Visual LANSA - What's Next?

· LANSA for the Web - What's Next?

· LANSA Integrator - What's Next?

· LANSA Open - What's Next?

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


11.9 Upgrade - What's Next?

No additional configuration tasks are required after you have upgraded LANSA. Review the What's New listing for important details about product enhancements. You should review the What's New information before using the upgraded software.

What's Next for LANSA Products

Review the What's Next information for all upgraded products:

· Visual LANSA - What's Next?

· LANSA for the Web - What's Next?

· LANSA Integrator - What's Next?

· LANSA Open - What's Next?

Documentation Updates

For the latest documentation updates, visit the LANSA Web site at: www.lansa.com/support

Visit LANSA's Web Site

For the latest information on this release, visit the LANSA Web site at: www.lansa.com/support

If you are not already familiar with this Web site, you will find that it contains much information about items such as product releases, support desk tips and techniques, courses available, support contact details, demonstrations, etc.


12. Troubleshooting

Troubleshooting has been divided into several categories based on the product:

General Windows Troubleshooting

Visual LANSA Troubleshooting

LANSA for the Web Troubleshooting

LANSA Integrator Troubleshooting

For additional product information, please refer to the support pages on the LANSA web site at www.lansa.com/support.


12.1 General Windows Troubleshooting

Following are some general Windows troubleshooting tips:

Cannot execute install programs

Reporting Install/Upgrade Errors to LANSA Support

Security Warning dialog appear when starting an install/upgrade

LANSA Communication Administration and LANSA Configurations

Ý Troubleshooting


Cannot execute install programs

If you are having difficulties executing the LANSA install programs review the following tips:

· Have you turned off your anti-virus software while running the install?

· Do you have Windows administrator rights?

· Also see Security Warning dialog appear when starting an install/upgrade

Ý General Windows Troubleshooting


Reporting Install/Upgrade Errors to LANSA Support

If you are reporting a problem to LANSA Technical Support, please provide complete details regarding your installation. For example, the following information is helpful:

· operating system type and level (e.g. Windows Vista, Service Pack 1 applied)

· machine details (type, manufacturer, processor, memory, etc.)

· operation being performed

· any existing LANSA software installed and the version of this software

· any related third party products being used (e.g. compilers, databases) and their versions.

You may wish to take a print screen of a specific dialog in question. If you use the Alt + Print Screen keys, the active window will be copied to the clipboard and the image can be pasted into Microsoft Paint or any other graphics program. Alternatively, please provide the text in title bar (setup type) and the dialog name that is underneath the title bar.

Ý General Windows Troubleshooting


Security Warning dialog appear when starting an install/upgrade

When you click on any of the install icons, your browser may display a File Download dialog followed by a Security Warning dialog. If a File Download dialog appears, simply select the option to open the setup.exe program from its current location. If a Security Warning appears, select the Yes option to install and run the setup.exe program. These standard dialogs may appear because a browser is being used to call an executable program.

The Security Warning dialog will not appear if you have set LANSA Pty. Ltd. as a trusted publisher. It is recommended that you set LANSA Pty. Ltd. as trusted publisher. (The list of trusted publishers is controlled from your browser Internet options and can be modified.)

Ý General Windows Troubleshooting


LANSA Communication Administration and LANSA Configurations

If you are using more than one LANSA Configuration, it is important that you execute the correct LANSA Communications Administrator (LCOADM32.EXE) to configure the correct communications files for the configuration being executed.

You MUST use the shortcut (in the Settings and Administration sub-folder) of LCOADM32.EXE associated with the correct LANSA Configuration that you want to set up. If you do not execute the proper program, you will probably be editing the wrong configuration file (LROUTE.DAT).

Ý General Windows Troubleshooting


12.2 Visual LANSA Troubleshooting

Following are some common issues encountered when installing and upgrading Visual LANSA:

Import failed during system initialization

Communications failure when connecting to IBM i Master during system initialization

Ý Troubleshooting


Import failed during system initialization

As part of the Visual LANSA install, a database is created and populated with data and definitions that are required for the normal running of Visual LANSA.

If a database logon or communications links has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. If this occurs, you do not have to reinstall the software.

The most likely reason the imports have not completed is if the definitions are being imported from an IBM i Master and there has been a communications failure. In this case, simply log on to Visual LANSA to complete the initialization and elect to perform the main imports from the Local Disk location instead of from the Master location. The initialization program will be called when Visual LANSA is executed for the first time.

Ý Visual LANSA Troubleshooting


Communications failure when connecting to IBM i Master during system initialization

As part of the Visual LANSA install, a database is created and populated with data and definitions that are required for the normal running of Visual LANSA.

If a database logon or communications link has failed during a Visual LANSA installation, you may not have been able to complete the system initialization. If this occurs, you do not have to reinstall the software.

The most likely reasons for a communications failure are outlined in the LANSA for the Web Administrator & Function Editor troubleshooting's Error Codes.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

After resolving the communications problem, simply log on to Visual LANSA to complete the initialization. The initialization program will be called when Visual LANSA is executed for the first time.

Ý Visual LANSA Troubleshooting


12.3 LANSA for the Web Troubleshooting

Before you contact your local vendor for technical support, please review the Troubleshooting information.

The troubleshooting information is divided into the following categories:

LANSA for the Web Troubleshooting Checklist

LANSA for the Web Administrator & Function Editor

Executing LANSA for the Web Applications


LANSA for the Web Troubleshooting Checklist

Before you contact your local LANSA vendor for support, please complete the following checklist for your Window's Servers and have the answers available:

· Are you able to display the index or home page for the Web Server by entering the IP address of the Web Server into a browser?

· Do you have an LCONNECT service running?

· Do you have a Visual LANSA and LANSA for the Web development license installed?

· Is the database on the Data/Application Server running?

· Have you installed the LANSA for the Web PC-based Function Editor and Administrator?

· Is the partition Web enabled?

· Have you created a Default User to allow anonymous user access (from the LANSA for the Web Administrator)?

· Have you created the Windows user profile (DFTUSR) associated with the Default User?

· Have you imported LWEBSF into the partition?

· Have you Web enabled the test process you are using?

· Have you recompiled the functions after Web enabling the process?

· Have you configured LANSA for the Web to access to your LANSA system correctly using the LANSA for the Web Administrator? Specifically, have you configured LANSA for the Web, including the file location, the working library and the Transaction Server settings?

· Have you checked that the HTML pages were successfully created for the test function by using the LANSA for the Web Function Editor?


LANSA for the Web Administrator & Function Editor

Following are some of the common errors encountered when executing the LANSA for the Web Administrator or Function Editor.

Error Code: 0x4

Error Code: 0x6

Error Code: 0x11

Error Code: 0x14

Error Code: 0x16

LANSA Open Validation Message: "No file found . . ."

How can I check whether my partition is web enabled?

Ý General Windows Troubleshooting


Error Code: 0x4

The most common cause of this error code is an incorrect password specified during the connection. Correct the password and attempt the connection again.

Ý LANSA for the Web Administrator & Function Editor


Error Code: 0x6

The most common cause of this error code is an invalid user profile or password. Check that your profile and password are correct. If connecting to a IBM i, try to sign on to the IBM i via a 5250 terminal session using the same user profile and password.

You may also receive this error code for an i5/OS library list or security problem associated with the user profile that is being used. (Check the JOBD of the USER has QTEMP, QGPL and DC@PGMLIB.) Using an i5/OS command line, type LANSA and if you cannot start the LANSA system, the program library is not in the user's library list.

Another reason for this return code is that the Connection Identifier in the Communications Administrator is incorrect for the LANSA system you are trying to connect to.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

Ý LANSA for the Web Administrator & Function Editor


Error Code: 0x11

The most common cause of this error code is a problem with the Partition or Language specified. Check that the correct partition has been specified and check that the language has been defined for the partition. You may leave the language blank to use the default for the partition.

You may also receive this error code if there is an i5/OS library list or security problem associated with the user profile being used. Check your i5/OS user profile from a 5250 terminal session. Make sure that you can access the required LANSA system using the user profile.

If you are using i5/OS with TCP/IP and a LANSA Listener, see the TP job in the QEZJOBLOG for detailed information about the problem.

You should also check that the LWEBSF has been imported into the partition you are trying to connect to.

Ý LANSA for the Web Administrator & Function Editor


Error Code: 0x14

The most common cause of this error code is that the Name specified in the System field during connect does not exist in the LANSA Routing table. Check that you have correctly entered the Name and check that the routing table entry exists. For details about the Host Routes Table, refer to Step 1. Start the LANSA Communications Administrator on the PC.

Another common cause of this error code is that the LANSA Listener is not active. Check that the Listener is active as described in the Installing LANSA on IBM i Guide or Configure LANSA Listener on Windows Data/Application Server.

You may also receive this error if:

· the port you are attempting to use is blocked or not open.
Check with your network administrator to determine if a firewall is blocking the port specified in your Host Routes Table.
I.e. are you connecting to the LANSA Web Administrator or Function Editor from an outside network and going through a firewall if port 4545 (default) is not open?

· the incorrect communications method has been specified (that is, APPC instead of TCP/IP) so check the Server configuration. Sometimes this will generate an LCE0052 error, which usually also causes error WCPIC32.dll not found, i.e. it thinks you are trying to use APPC).

· communications method not set to SOCKET.

Ý LANSA for the Web Administrator & Function Editor


Error Code: 0x16

The most common cause of this error code is that the Communication Method is incorrect. Check the value selected as the Communications Method in the Host Routes Table. If you are using TCP/IP, Sockets should have been selected.


LANSA Open Validation Message: "No file found . . ."

If you receive a LANSA Open Validation Message dialog which states "No file definition found with full or partial name," then you have not imported the LWEBSF save file into the partition. Check that you have specified the correct partition in the sign on screen. For more details, refer to Web Enable the Partition.

You may have missed importing the LWEBSF save file if you have:

· recently upgraded your LANSA for the Web system and you have not re-imported the LWEBSF into a partition. In this case, the LANSA for the Web Administrator or Function Editor cannot execute. You must import LWEBSF into each partition that uses LANSA for the Web.

· applied a Web EPC. Check the EPC instructions to see if the LWEBSF save file needs to be re-imported.

Also check that the initial library list of the connecting user's job description is in the sequence QTEMP, QGPL and DC@PGMLIB.

Ý LANSA for the Web Administrator & Function Editor


How can I check whether my partition is web enabled?

You can check whether your partition is web enabled by connecting to this partition using the LANSA for the Web Function Editor and checking for the existence of the shipped default pages, specifically DEFAULT_LAYOUT. The list of default pages that are created is in Shipped Default Pages in the LANSA for the Web Guide.

If your partition is not Web enabled, you will receive an Error 500 message from the browser.

Ý LANSA for the Web Administrator & Function Editor


Executing LANSA for the Web Applications

Following are some of the common errors encountered when executing LANSA for the Web applications:

LANSA for the Web Errors: "User information provided is not valid"

LANSA for the Web Errors: "This machine is not licensed . . ."

HTTP Error 403: Forbidden By Rule

HTTP Error 404: Not found - file does not exist or is read protected

HTTP Error 500: Script Not Found

Ý General Windows Troubleshooting


LANSA for the Web Errors: "User information provided is not valid"

The most common cause of this error is a problem with the Default User set up.

Check that the Default User (DFTUSR) has been properly specified using the LANSA for the Web Administrator

Check that the user profile being used with Default User exists.

Check that the password provided for the Default User is correct.

Test that the user profile and password are correct by using them to sign on to the Server.

Ý Executing LANSA for the Web Applications


LANSA for the Web Errors: "This machine is not licensed . . ."

The most common cause of this error is a missing LANSA license.

You will require a LANSA for the Web development license on the Data/Application Server.

Refer to the Installing LANSA on IBM i Guide or Task: LANSA Windows Licensing.

Ý Executing LANSA for the Web Applications


HTTP Error 403: Forbidden By Rule

The most common cause for this error is an incorrect URL specified when you attempt to invoke LANSA for the Web applications.

Carefully check the syntax of the URL.

Check the process, function and partition name.

Another common cause of this error is an authority problem.

If using anonymous access, check the Default User to identify the associated user profile. (

If using a IBM i Web Server, check that the i5/OS user profile has authority on the CGI-BIN library and files.

You also get this error if you haven't web-enabled your application: LWEBSF, process web-enabled, recompile, web-enable from Administrator.

Also check ICS configuration: Bindspecific ON/OFF values.

Ý Executing LANSA for the Web Applications


HTTP Error 404: Not found - file does not exist or is read protected

The most common cause of this error is an incorrect URL specified when you attempt to invoke LANSA for the Web applications.

Check that the:

· syntax of the URL is correct

· file actually exists

· function/process is compiled

· MAP and EXEC statements are correct in your Web Server configuration, if using a IBM i Web server

Ý Executing LANSA for the Web Applications


HTTP Error 500: Script Not Found

If using a IBM i Web Server, check the job logs for the Web Server Instances running in the QHTTPSVR subsystem. Be sure to check the job logs for all Web Server instances relating to your LANSA for the Web system.

A common cause of this error is an authority problem relating to the Web Server. Check that the QTMHHTTP user profile has proper authorities and is enabled along with profile QTMHHTP1.

This error may result if you have the wrong LANSAWEB program installed. For example, do not use the I/NET version of the LANSAWEB program if you are using IBM HTTP Server.

If you are using Domino and the Domino Server is started, than the error is coming from the Domino Server and not the HTTP Server. Check that there are no port conflicts between Domino and the HTTP Server.

Perform the following checks:

· Use DSPUSRPRF command to check that the user profile QTMHHTTP and QTMHHTP1 are enabled.

· Use the WRKOBJ or DSPOBJAUT command to check the authority on the LANSAWEB program stored in the CGI library. The program should have *USE for *PUBLIC users.

· Use the WRKOBJ or DSPOBJAUT command to check the authority on the LANSA CGI library. The library should have *USE for *PUBLIC users.

· Check to make sure that the correct CGI program is stored in the library. Use the WRKOBJ command to display the program description on the CGI program to check if it is the I/NET or the ICS CGI program. (ICS is used with the HTTP Server.)

· Use the WRKOBJ or DSPOBJAUT command to check the authority on the QTMHHTTP message queue. The message queue should have *USE for *PUBLIC users.

Specific error messages

No error message:

Images | HTTP User (QTMHHTTP) has been disabled. Enable Head in the configuration file. (The "Enable Head" parameter is rarely needed.)
No Images | Map or Pass parameters in configuration file incorrect. Users QTMHHTTP or QTMHHTP1 do not have authority for the LANSAIMG directory.

Unable to process your request; Server is too busy

LANSA for the Web Administrator Errors

Concurrent users have reached the maximum value that has been set.
You can change this value using the Web Administrator.

Error: "Cannot make connection to side ...."

TCP/IP Errors

TCP/IP service HTTP is not active. To solve:
1. CHGHTTPA (Autostart HTTP service to *YES if value is *NO).

2. Stop and start the HTTP service using i5/OS: ENDTCPSVR *HTTP & STRSTPSVR *HTTP

Multi-tier implementation

Cannot start any function | User QTMHHTP1 has no authority to LANSA program W3@P1100. (CPD0171 in joblog). Library WEBWORK not found. (CPF9810 in joblog).
Unable to start router | No routing entry on the Web server.


12.4 LANSA Integrator Troubleshooting

For details about LANSA Integrator troubleshooting, refer to the Troubleshooting in the LANSA Integrator Guide.

Ý General Windows Troubleshooting


Appendix A. Summary of Installed Objects

The LANSA Windows Software Installation program will install some or all of the following objects depending upon the options selected during the installation:

LANSA (defaults)

All the following objects will be installed under a single directory known as the RootDirectory.
The default location of the Root Directory is:

<system drive>\Program Files\LANSA

Visual LANSA (defaults)

· Directories will be created for the LANSA programs and database including:

<RootDirectory>\LANSA

<RootDirectory>\X_WIN95

· Listener service will be created :

LConnect Services x - version

where x is a number used to ensure the service name is unique
and version is the version number.

· Microsoft SQL Server database installed (if acceptable data source not already installed).

<system drive>\Program Files\Microsoft SQL Server

· Microsoft/C++ compiler installed (if acceptable compiler not already installed).

<system drive>\Program Files\LANSA\MicrosoftCompiler90

· Directory for LANSA Communications Administrator (if not already installed):

<RootDirectory>\Connect

The lroute.dat file will be created here if no lroute.dat file already exists on the system. If an lroute.dat file exists, then it will be updated with any new connection information created during the install. Refer also to lroute.dat requirements in Visual LANSA Client Only Checklist.

LANSA for the Web Development (defaults)

· Directory will be created for the LANSA web utilities:

<RootDirectory>\WebUtilities

· Directory for LANSA Communications Administrator (if not already installed):

<RootDirectory>\Connect

LANSA for the Web Administrator (defaults)

· Refer to LANSA for the Web Guide

LANSA for the Web Function Editor (defaults)

· Refer to LANSA for the Web Guide

LANSA for the Web - Web Server Only (defaults)

· Directories will be created for the LANSA programs including:

<RootDirectory>\WebServer\IISPlugin

<RootDirectory>\WebServer\Images

<RootDirectory>\WebServer\Images\crud

<RootDirectory>\WebServer\Images\htc

<RootDirectory>\WebServer\Images\icons

<RootDirectory>\WebServer\Images\script

<RootDirectory>\WebServer\Images\style

<RootDirectory>\WebServer\Images\treeimages

<RootDirectory>\WebServer\Images\wizard2

<RootDirectory>\WebServer\Images\wizhelp

· IIS virtual directories will be created:

· lansaweb

· images

· Directory for LANSA Communications Administrator (if not already installed):

<RootDirectory>\Connect

LANSA Integrator JSM (defaults)

· Directory will be created for the LANSA programs including:

<RootDirectory>\Integrator\JSMAdmin

<RootDirectory>\Integrator\JSMInstance

<RootDirectory>\Integrator\JSMCGI

· IIS virtual directory will be created:

cgi-bin

LANSA Integrator JSM Proxy (defaults)

· Directory will be created for the LANSA programs including:

<RootDirectory>\Integrator\JSMCGI

· IIS virtual directory will be created:

cgi-bin

LANSA Integrator RFI (defaults)

· RFI objects will be installed in the nominated directory (default):

<RootDirectory>\Integrator\RFI

· Additional program objects (.jar files) are installed into

<RootDirectory>\Integrator\lib\ext

LANSA Integrator User Agent (defaults)

· User Agent objects will be installed in the nominated directory (default):

<RootDirectory>\Integrator\UserAgent

· Additional program objects (.jar files) are installed into

<RootDirectory>\Integrator\lib\ext

LANSA Integrator JSM Studio (defaults)

· Visual XML Wizard objects will be installed in the nominated directory (default):

<RootDirectory>\Integrator\Studio

· Property Editor, XML Editor & XSL Compiler objects will be installed in the nominated directory (default):

<RootDirectory>\Integrator\Studio

· Additional program objects (.jar files) are installed into:

<RootDirectory>\Integrator\lib\ext

LANSA Open (defaults)

· Directory will be created for the LANSA programs including:

<RootDirectory>\Open

· LANSA Open examples will be installed in the nominated directory (default):

<RootDirectory>\Open\Samples

· Translation Tables will be installed if selected during the install.

· User profile "Everyone" will be created to allow access to certain registry values.

· Directory for LANSA Communications Administrator (if not already installed):

<RootDirectory>\LANSA\Connect

LANSA Configuration Tool

· Directory will be created for the LANSA programs including:

<RootDirectory>\Tools


Appendix B. LANSA for the Web Multi-tier Communication Setup

If you wish to use a multi-tier LANSA for the Web configuration, perform the steps in:

Task: Multi-tier - Configure Administrator Communications Link to Data/Application Server


Task: Multi-tier - Configure Administrator Communications Link to Data/Application Server

You will do this Task if you are setting up a Windows multi-tier configuration.

Step 1. Start the LANSA Communications Administrator on the PC

Step 2. Add a New Host Route

Step 3. Verify Listener is Active on the Data/Application Server

Step 4. Start the Administrator

Multilingual Considerations

Identify IP Address of Data/Application Server


Step 1. Start the LANSA Communications Administrator on the PC

1. Start the LANSA Communication Administrator by selecting Settings and Administration item from your LANSA folder followed by LANSA Communications Administrator.

2. A list of of all existing host routes for the current configuration is displayed in the LANSA Communications Administrator. This is a list of the servers to which your PC will be able to connect.

Click the New button to create a new host route to your Data/Application Server.

Go to Step 2. Add a New Host Route.


Step 2. Add a New Host Route

After clicking the New button on the Communication Administrator panel you can enter the Host Route information.

Enter the following information to configure the TCP/IP connection to the Listener configured on the Data/Application Server:

Partner LU Name

Partner LU Name is usually the name of your Data/Application Server.

System i: The name might appear as S102ABCD.

Windows: Enter WINAPPSERVER.

You will need to specify this name in the LANSA for the Web Administrator in Step 4. Start the Administrator of this task.

Fully Qualified Name of the Host

The name of the host or alternatively, the IP address of your Data/Application Server expressed in nnn.nnn.nnn.nnn format.

IBM i: Enter the host name or IP address of the IBM i server.

Windows: Enter the host name IP address found in Identify IP Address of Data/Application Server.

Communications Method

Select SOCKET.

Connection Identifier

You may leave this field blank. The default port number used is 4545.

IBM i: If you entered a different Connection ID when you configured the LANSA Communications Extensions on the IBM i, then enter this Connection ID number.

Communications Module

This field should be left blank for TCP/IP Sockets (default is Winsock).

Maxl_Field (Packet Size)

It is recommended that this parameter is left with the default, but it may be set by a networking specialist configuring for special circumstances.

Enable TCP_NODELAY TCP/IP socket option

The TCP_NODELAY socket option disables the Nagle algorithm to allow small data packets to be delivered to the remote host without delay.

The Nagle algorithm combines multiple send calls in a small data buffer and delays sending it until an acknowledgement for the previous data packet sent is received from the remote host. It is enabled as the default in TCP/IP socket.

As the LANSA Communication Extension implements its own data buffering, the Nagle algorithm is not needed.

Enable Ipv6 Support

Select this option to enable Internet Protocol version 6 support. This option enables the application to work on both the IPv4 and IPv6 network.

Note: Only Windows XP/2003 or later support IPv6.

Press OK to continue.

After adding the new Host Route, exit the LANSA Communications Administrator.

Go to Step 3. Verify Listener is Active on the Data/Application Server


Step 3. Verify Listener is Active on the Data/Application Server

IBM i Data/Application Server

From an OS/400 command entry (CALL QCMD), use the WRKACTJOB command to verify that the LANSA Listener subsystem is active. (For more details, refer to Configure LANSA Listener on the IBM i Data/Application Server.)

If the subsystem is not active, start the subsystem.

If there are no jobs in the subsystem, then the Listener is not configured properly. Refer to Troubleshooting.

Windows Data/Application Server

From the Control Panel, Administrative Tools folder, use the Services icon to start the Microsoft Management Console to display the list of services.

If the LCONNECT Services are not started, use the right click pop-up menu to start the service.

Go to Step 4. Start the Administrator.


Step 4. Start the Administrator

Start the LANSA for the Web Administrator by opening the LANSA folder from the LANSA icon on your desktop, selecting the Setting and Administration folder and choosing the Web Administrator from the list.

Enter the LANSA System name. This is the same name that was used as the Partner LU name in Step 2. Add a New Host Route.

Select the Host Type (IBM i, or Other if using Windows or UNIX, Linux) from the drop down list.

Enter a Partition of DEM. (If you do not have a DEM partition, use another partition.)

Enter language ENG if partition is multilingual. Otherwise, leave this field blank if non-multilingual partition.

Enter the LANSA system owner Userid and Password. For the IBM i, the user profile must have the LANSA program library in its library list. For Windows, use the PCXUSER profile and PCXUSER PASSWORD nominated during the install.

Press OK to connect to the Data/Application Server. If you are not able to connect, refer to Troubleshooting.

You have now completed the Task: Configure Administrator Communications Link to Data Application Server.

Go to Task: Configure Data/Application Server.


Multilingual Considerations

Following are some multilingual considerations if you are using the LANSA for the Web Administrator and Editor:

· If you are not using a completely US English version of LANSA, then you must be aware of code page translation issues on the IBM i. Code page translation may impact the LANSA for the Web Function Editor when you save characters such as }, {, or !.

· To enable LANSA to display messages and translate data correctly from the host system, the following two files must be converted to the appropriate language: LCOECHAR.DAT (character translation) and LCOEMESG.DAT (error message text).

· For more details, refer to Multilingual Support in the LANSA Open Guide.


Identify IP Address of Data/Application Server

You will need to know the IP address of the Data/Application Server for the steps in this task. The IP address can be found using the ipconfig command in the Start/Run dialog box.


Appendix C. What is LANSA?

LANSA is an integrated family of highly productive design, development and maintenance products for multi-platform host and network applications. This family of products provides an extremely flexible application development environment where a developer can use a single skill set to build and deploy applications for the IBM i, Windows or Internet environments.

LANSA's powerful Repository-based 4GL has enabled developers to quickly deploy applications across computing boundaries and across computing paradigms. A simple recompile can transform a host-centric IBM i application using RPG/ILE into a client/server Windows application using C/C++ or a browser-based Internet application using HTML and IIS Plug-in.

Developer productivity and ease-of-use are LANSA trademarks. For years, developers have enjoyed the benefits of LANSA's Rapid Development and Maintenance Language (RDML) that insulated them from low-level languages and platform complexities. RDML can build IBM i applications, graphical event-driven Windows applications and Web applications. The LANSA Repository provides a centralized application definition and platform independent database architecture. This powerful combination has protected companies' information technology investments for over 10 years.

LANSA was the first IBM i development tool to fully embrace the Internet and Web technology. LANSA for the Web has allowed developers to construct Internet, Intranet and Extranet applications. Today, there are hundreds of thousands of people using LANSA Web-based applications in retail, health care, insurance, manufacturing, government, communications and many other industry sectors.

As an introduction to the LANSA family of products, review the following:

What is LANSA for iSeries?

What is Visual LANSA?

What is Visual LANSA Framework?

What is LANSA for the Web?

What is the e-Business Framework Wizard?

What is Commerce Edition?

What is the LANSA Integrator?

What is LANSA Open?

What is LANSA Client?


What is LANSA for iSeries?

LANSA for iSeries is an award winning application development tool originally designed to create applications for IBM i servers. LANSA for iSeries provides a total, integrated environment for modeling, designing, programming, testing, implementing and maintaining application systems. The LANSA applications may execute as host applications, Web-enabled applications or client/server applications.

The LANSA for iSeries development environment greatly increases developer productivity by using LANSA's Repository-based 4GL technology. Developers can rapidly assemble applications using the LANSA RDML (Rapid Maintenance and Development Language). RDML allows the developer to create a platform independent application definition. LANSA's RDML language can be compiled into a number of different languages including RPG/ILE on the IBM i and C/C++ for Windows platforms.

A major component of the LANSA for iSeries software is the LANSA Repository. The LANSA Repository can be used independently of the development aspects of LANSA for iSeries in conjunction with other LANSA products. The LANSA Repository on iSeries can be used as the server for the workstation-based products such as LANSA Client, LANSA SuperServer, LANSA Open and LANSA for the Web. As such, you may be required to install LANSA for iSeries to support one of these other LANSA products.

Ý Appendix C. What is LANSA?


What is Visual LANSA?

Visual LANSA provides a comprehensive Windows-based development environment for building your LANSA Repository and RDML functions. IBM i developers can use Visual LANSA as a power workstation in a distributed development environment with LANSA for iSeries. This allows you to develop both client and server programs using only one set of easy-to-learn skills. You can rapidly edit and debug your RDML using a powerful graphical development environment.

Visual LANSA can be used on a stand-alone workstation or on a workstation that is part of a network configuration. Visual LANSA supports a variety of configurations to support the diverse requirements of your application development environments.

Visual LANSA includes component technology that allows you to develop advanced GUI applications for Windows. These visual components, which you create, are stored in LANSA's Repository along with the fields and files you are using in your applications. Components support a full range of properties, events and methods for building powerful event-driven applications.

With Visual LANSA, your applications can be deployed onto a variety of platforms in flexible, multi-tier combinations that can include IBM i, Windows, Linux, Solaris and more.

Visual LANSA's application environment fully supports LANSA for the Web (including Commerce Edition and the E-Business Framework Wizard) and LANSA Integrator. The LANSA Client query and reporting tool can also be used to query your LANSA applications in the Visual LANSA environment.

Ý Appendix C. What is LANSA?


What is Visual LANSA Framework?

Visual LANSA Framework Wizard is a framework that helps you design and implement large scale and highly integrated Visual LANSA applications both for Windows and web. You can use the executable framework to very rapidly prototype Visual LANSA application designs without writing a single line of code. You can easily convert your prototype designs into real applications by snapping in your own tailor-made Visual LANSA components.

The Framework is the executable environment that provides the structure and the basic functionality for applications, business objects, commands, menus, etc. It has prototyping and program coding assistants and integrated tutorials that guide you in creating your application.

Ý Appendix C. What is LANSA?


What is LANSA for the Web?

LANSA for the Web allows you to build Web applications quickly and easily. It is a toolkit that integrates seamlessly with the LANSA Application Development Environment (either Visual LANSA or LANSA for iSeries). You can use graphical HTML forms or XML-based applications using the same Repository and RDML skill set used to build your IBM i and Windows applications. In fact, a LANSA program can be deployed to the IBM i, Windows, or the Web using a single RDML program definition.

LANSA for the Web allows you to build dynamic data retrieval applications for the Web. It also allows you to deploy the applications across a number of combinations of platforms including the IBM i and Windows. Each of these platforms can be used as the Application/Data Server for the Web Server which allows you to deploy your applications in a mixed multi-tiered architecture.

LANSA for the Web shields you from the technologies you would normally have to learn to deploy Web-enabled applications. You do not need to learn code-intensive CGI to build dynamic Web applications. You simply use LANSA's repository-based 4GL environment to build your application definition. LANSA for the Web allows the developer to work at the 4GL level. LANSA will automatically generate the HTML or XML pages for you. LANSA for the Web hides much of the complexity from the developer.

LANSA for the Web also incorporates a Transaction Server, which provides your user sessions with a persistent connection between their browser and your Data Server. Persistent connections are not available in the Hypertext Transfer Protocol (HTTP), the protocol used in serving the Web.

The huge growth and demand for Internet access from organisations has prompted LANSA to extend its offering beyond the traditional application development environment. LANSA offers a set of application specific frameworks to help companies deploy their e-Business solutions at an even more astounding rate. The e-Business Framework Wizard and Commerce Edition are part of the natural evolution of the LANSA product family. Along with LANSA's powerful application development environment, Web developers will now benefit from Commerce Edition to help accelerate Web application development.

For more details, refer to the Introduction to LANSA for the Web in the LANSA for the Web Guide.

Ý Appendix C. What is LANSA?


What is the e-Business Framework Wizard?

If you are using WebEevent function programs (as opposed to Web Application Modules) , the e-Business Framework Wizard allows you to quickly and easily customize the presentation of your LANSA Web applications. The Wizard is not used to create your LANSA functions. It is used to alter their appearance using Web-based functions executed from your browser. The Wizard removes the need to manually code HTML and JavaScript. It simplifies the implementation of graphic variables and Web components. You can change the look-and-feel of your applications without having to recompile any of the functions in your application.

The Wizard allows the RDML programmer to concentrate on the functionality of the application, without having to worry about the presentation attributes. The presentation can be quickly assembled using simple menu choices and presentation options. The Wizard gives you the flexibility of deciding which components to include or exclude from the presentation.

The Wizard allows you to convert the default look-and-feel of a LANSA function into a contemporary Web look-and-feel. The pre-shipped images, color schemes and presentation schema reduce the need for specialized graphic skills as part of the application development and implementation.

The LANSA for the Web e-Business Framework Wizard is a standard feature of LANSA for the Web. A separate license is not required to use this product. It is installed at the partition level.

For more details, refer to the LANSA for the Web Functions Wizard Guide.

Ý Appendix C. What is LANSA?


Web Application Modules (WAMs)

WAMs are a component-based Web technology used for building applications for the Internet or other networks. WAMs use an XML/XSL technology. They offer the ability to deliver content in multiple formats such as HTML, WML, or XML from a single WAM component.

The LANSA for the Web WAM technology is an extension of the LANSA development environment. If you have Repository and RDML/RDMLX skills, you can apply them to building Web-based applications using WAMs.

Weblets are shipped with the software to provide wizards or building blocks that facilitate the rapid development of HTML browser-based applications. To create your own Weblets, or complex HTML pages, you will need XSL, HTML and JavaScript skills.

The XSL used for transformation of the XML WEBROUTINE document conforms to the standard W3C XSL 1.0 specification.

Refer to the Web Application Module Guide for more information.

Ý Appendix C. What is LANSA?


What is Commerce Edition?

LANSA Commerce Edition is a suite of Business-to-Business (B2B) and Business-to-Consumer (B2C) components that are built on LANSA for the Web. Commerce Edition allows you to rapidly generate e-business applications that integrate existing IBM i, RPG and COBOL applications with the Web and Wireless world.

LANSA Commerce Edition provides an easy, rapid and configurable solution to help you extend your core IBM i applications to both customers and business partners alike. Commerce Edition is a component-based solution that allows you to choose the kinds of functionality you want to deploy on your B2B or B2C Web site.

Commerce Edition is a separately licensed product from LANSA for the Web.

For more details, contact your LANSA distributor.

Ý Appendix C. What is LANSA?


What is the LANSA Integrator?

LANSA Integrator enables integration of Application-to-Application (A2A) and Business-to-Business (B2B) transactions through XML and Java Services. LANSA Integrator allows bi-directional XML and other data formats to be exchanged between you and your trading partners regardless of what platforms they run on. It also enables integration of user-written Java Services with LANSA, RPG and COBOL applications. LANSA Integrator hides the complexities of interfacing XML and Java technologies, letting you concentrate on business requirements.

The LANSA Integrator is a Java service framework that allows you to integrate Java Services with LANSA and 3GL applications. Using the Java Service Manager you can integrate with any system on any platform using your choice of B2B technologies such as SOAP, IBM MQ Series, XML Parsing, XSL Transformation, FTP, HTTP, HTTPS, SMTP, and POP3.

LANSA Integrator can be installed as part of a LANSA system or in a standalone mode.

For more details, refer to the LANSA Integrator Guide.

Ý Appendix C. What is LANSA?


LANSA Composer

LANSA Composer provides a simple but powerful process orchestration capability that allows you to combine transport, transformation and custom business processing with processing Directives that provide conditional, iterative and other capabilities. A complete business process consisting of a number of steps may be defined, executed and managed as a single processing unit of work, without programming.

LANSA Composer provides ready-to-use Activities supporting widely-used transport protocols including:

· FTP Inbound (file transfer protocol)

· FTP Outbound (file transfer protocol)

· HTTP Inbound (hypertext transfer protocol)

· HTTP Outbound (hypertext transfer protocol)

· POP3 for inbound e-mail (post office protocol)

· SMTP for outbound e-mail (simple mail transfer protocol)

· Inbound and outbound via message brokering systems such as IBM MQ Series

To use these transport Activities with LANSA Composer, you simply need to provide configurations that specify the variable information required to connect or communicate with the other parties involved. There is no programming involved.

Using the supplied transport Activities, you can exchange business information such as orders and invoices with other parties, including external trading partners and internal business units, using agreed standards-based protocols as appropriate for each party.

LANSA Composer includes powerful visual mapping that allows you to define how to map data between disparate formats including:

· XML documents

· EDI documents

· Microsoft Excel 2007 (XLSX) files

· Text files (for example comma-separated values)

· Web service functions

· A wide range of databases, including IBM DB2 Universal Database for iSeries

The maps created with the visual mapping tool can be directly integrated into your business processes along with transport and other Activities.

With the transformation capabilities you can transform business information between external and internal formats as it is received or before it is sent. In this way you can readily extract information from corporate databases to send as, say, XML conforming to a schema agreed with your trading partner. Similarly you can transform in-coming XML documents and write them directly to your corporate database for further processing by your existing applications.

For further information, refer to the LANSA Composer Guide.

Ý Appendix C. What is LANSA?


What is LANSA Open?

LANSA Open is 'middleware' or software that facilitates the high-speed transfer of information and data between

· PC-based client applications, developed using any of the popular workstation development tools,

and

· a server (LANSA) on a IBM i, Windows, or Linux platform.

LANSA Open allows non-LANSA application developers to share and reuse LANSA's Repository and RDML technologies. It enables the rapid delivery of high performance client/server applications for the IBM i and other platforms. Developers can provide the Windows interface that users demand while maintaining the security and high performance necessary for mission critical applications. LANSA Open allows developers to use their favorite PC development tool with the speed of LANSA's middleware and the robustness of LANSA server applications.

An integral part of LANSA Open is the LANSA Object Repository, which contains all field and file details including the relevant business rules. This ensures that all PC applications are subjected to the same rigorous security checks, data validation and referential integrity checks as IBM i applications.

When using LANSA Open with LANSA for iSeries, setup tasks, which are outlined in this guide, need to be performed on the IBM i Server.


What are the Open System Utilities for IBM i?

The Open System Utilities facility is a library of utilities that allow experienced developers to manipulate the LANSA environment. These utilities enable global or system level manipulations of a LANSA for iSeries environment.

The types of manipulations the Open System Utilities perform require skill and care to be exercised whenever they are used. Source code and documentation for each utility is provided.

No warranty is expressed or implied in the provision of these utilities.

Some of the facilities provided by these utilities are:

· High-speed movement of complete partitions between environments and machines.

· Stripping down of non-development systems (i.e. to run-only) to minimal size.

· Change of LANSA program and/or data library names.

For details of the specific utilities included, refer to the Open System Utilities Guide.

Ý Appendix C. What is LANSA?


What is LANSA Client?

LANSA Client gives end users GUI access to IBM i or Windows databases with the power and protection of the LANSA Repository and RDML. You can report, chart and query from a single tool with unparalleled ease-of-use, as well as copy data to popular spreadsheets or other PC tools for analysis. Your data is protected with LANSA's file-level security. You can dramatically reduce the application backlog by empowering end users to create their own reports.

When using LANSA Client with LANSA for iSeries, setup tasks, which are outlined in this guide, need to be performed on the IBM i Server. Refer to the LANSA Client User Guide for the set up tasks required on the server.

Ý Appendix C. What is LANSA?